2010-07-10  Dan Fandrich <dan@coneharvesters.com>

	* Fixed some C89 portability issues.
	* Eliminated some compiler warnings, fixing a couple of small
	  bugs in the process.

2010-03-12  Hans de Goede <hdegoede@redhat.com>

	* camlibs/st2205: New camera driver for ST2205 based picture frames.
	* libgphoto2_port/usbdiskdirect: USB Disk direct acccess driver
	  (for ST2205 based picture frames.)
	* New dependency for "libgd" for image conversion for above driver.
	* configure.ac, camlibs/Makefile.am: hooked up new camlib, new gd check.

2010-03-06  Marcus Meissner  <marcus@jet.franken.de>

	* gphoto2/gphoto2-context.h, libgphoto2/gphoto2-context.c:
	  Make context functions not use varargs anymore to pass
	  strings out to frontends. The backends still pass in varargs
	  strings.
	  This will ease binding implementations.

2009-12-13  Marcus Meissner  <marcus@jet.franken.de>

	* gphoto2/gphoto2-widget.h, libgphoto2/gphoto2-widget.c:
	  added set_ and get_ readonly for Widgets.

2009-07-30  Dan Fandrich <dan@coneharvesters.com>

	* Fixed a bunch of C89 and SUS portability issues.

2009-04-13  Marcus Meissner   <marcus@jet.franken.de>

	* gphoto2-filesys.c: Disabled LRU caching.

	* gp_file_new_from_handler(): Allow passing data in and out via
          handler functions (to allow streaming).

	* CameraFileInfoFile: removed "name" structmember and
	  GP_FILE_INFO_NAME flags.  Use direct passing in of the filename
	  to the API functions.

	* New: gp_camera_autodetect(CameraList *list, GPContext*);

	  Simple autodetection function returning all current detected cameras.

	* (TODO: not yet New: gp_camera_open (Camera *camera, const char *name, const char *port, GPContext *context);

	   Simple open function without needing to involve libgphoto2_port.
	  )
	* gp_file_set_name() and _get_name() passing in is no longer
	  needed and the API will go away.

	* New gp_file_get_name_by_type() will convert a regular filename
	  ("normal") into one depending on type (e.g. "raw_" prefix) and
	  adjusted suffix (like ".ppm" turning into ".pgm" for grayscale
	  previews).

	* gp_file_set_type() and gp_file_get_type() are gone, these
	  functions are now implicit passed via arguments to the the
	  put_file and set_file_noop() functions.

	* gp_filesystem_set_info_noop(), gp_filesystem_set_file_noop(),
	  gp_filesystem_put_file(), gp_camera_folder_put_file():

	  Added "filename" argument to pass in the filename. The one
	  from CameraFileInfoFile and CameraFile are no longer used.

	  Added "type" argument to pass in the filetype (GP_FILE_TYPE_*).

	* Adjusted to new GPPortInfo handling.

	* Rewrote gphoto2-filesys.c to be directory based (in a tree
	  structure). Change should not be visibile outside of gphoto2-filesys.c.

2008-05-18  Marcus Meissner   <marcus@jet.franken.de>

	* libgphoto2/gphoto2-filesys.c: Do not try to extract EXIF data
	  if the file is too large. This avoids memory allocating for
	  file descriptor based downloads.

2008-05-06  Hubert Figuiere  <hub@figuiere.net>

	* camlibs/ptp2/library.c: Added Nikon P5100

2008-04-20  Theodore Kilgore <kilgota@auburn.edu> 

	* libgphoto2/bayer.h: gp_ahd_interpolate() and gp_ahd_decode() added.
	* libgphoto2/ahd_bayer.c: added.
	* libgphoto2/Makefile.am: ahd_bayer.c hooked up. 
	* libgphoto2/libgphoto2.sym: gp_ahd_decode and gp_ahd_interpolate listed.
	
	
2008-03-31  Marcus Meissner  <meissner@suse.de>
	
	* libgphoto2/gphoto2-abilities-list.c: Use qsort() instead
	  of bubble sort. Saves 0.4 seconds on a 2Ghz machine.

	  Found by Szigeti Janos.

2008-02-26  Marcus Meissner  <meissner@suse.de>

	* packaging/generic/print-camera-list.c:

	  HAL's "info.bus" is been called "info.subsystem" now.

2007-10-21  Marcus Meissner  <marcus@jet.franken.de>

	* gphoto2/gphoto2-filesys.h: Change long
	  to uint64_t, int to uint32_t to fix the struct
	  sizes to a better known value (mostly for C#).
	  Include <stdint.h>, a ISO C99 feature.

	  This changes the "CameraFileInfo" and "CameraStorageInformation"
	  struct sizes on all platforms.

2007-10-16  Marcus Meissner  <marcus@jet.franken.de>

	* libgphoto2/gphoto2-list.c: Removed artificial limit 
	  on entries in CameraList (now dynamic) and also
	  the artificial limit on name/value (now dynamic).

	  This is source code compatible, but not ABI compatible.

	  Bumped SO version to 6 (with libtool increment rules).

2007-07-25  Hubert Figuiere  <hub@figuiere.net>

	* camlibs/ptp2/library.c: Added Kodak Z712 IS

2007-06-21  Hubert Figuiere  <hub@figuiere.net>

	* camlibs/ptp2/library.c: Added Canon A560

2007-05-28  Hubert Figuiere  <hub@figuiere.net>

	* camlibs/ptp2/library.c: Added Nikon Coolpix L10.

2007-05-27  Hubert Figuiere  <hub@figuiere.net>

	* camlibs/ptp2/library.c: Added Canon A570 IS.

2007-05-05  Hubert Figuiere  <hub@figuiere.net>

	* camlibs/ptp2/library.c: Added FujiFilm F40 fd
	http://gphoto.org/bugs/?id=1713438

2007-04-08  Hubert Figuiere  <hub@figuiere.net>

	* camlibs/directory/directory.c: added more RAW types.
	Should fix bug #1696551
	http://gphoto.org/bugs/?id=1696551

2007-03-01  Marcus Meissner  <marcus@jet.franken.de>
	    Theodore Kilgore <kilgota@banach.math.auburn.edu>

	* libgphoto2/bayer.{c,h}: Enhanced bayer algorithm.

2007-01-31  Hubert Figuiere  <hub@figuiere.net>

	* camlibs/ptp2/library.c: added Coolpix P4.
	added Kodak P880

2007-01-21  Marcus Meissner  <marcus@jet.franken.de>

	* libgphoto2/gphoto2-filesys.c: 
	  Bugfixes for LRU double linked list handling.

2007-01-03  Hubert Figuiere  <hub@figuiere.net>

	* libgphoto2_port/disk/disk.c (gp_port_library_list): handle
	automounter properly when there is no HAL.

	* camlibs/directory/directory.c (file_list_func): ignore entries
	that start with '.'
	(folder_list_func): ignore entries that start with '.'
	Some code style cleaning.

2006-11-25  Hubert Figuiere  <hub@figuiere.net>

	* libgphoto2_port/configure.ac: bump soname for libgphoto2_port
	post 2.3.0 branch

	* configure.ac: 2.3.0.1.trunk because we branched 2.3.0

2006-10-14  Hubert Figuiere  <hub@figuiere.net>

	* camlibs/panasonic/l859/l859.c,
	camlibs/enigma13/enigma13.c (enigma13_get_toc),
	camlibs/panasonic/l859/README.panasonic-l859,
	camlibs/panasonic/dc.h: Fixed typo
	https://launchpad.net/distros/ubuntu/+source/libgphoto2/+bug/61163


2006-10-07  Hubert Figuiere  <hub@figuiere.net>

	* camlibs/canon/canon.c, camlibs/konica/qm150.c,
	camlibs/ptp2/ptp.c, camlibs/sierra/library.c, 
	camlibs/sierra/sierra-desc.c, doc/camlib_devel.lyx,
	libgphoto2/gphoto2-abilities-list.c: s/occured/occurred/
	From Launchpad bug 61163:
	https://launchpad.net/distros/ubuntu/+source/libgphoto2/+bug/61163

2006-09-19  Hubert Figuiere  <hub@figuiere.net>

	* camlibs/ptp2/config.c: More typo.

	* camlibs/gsmart300/library.c (delete_file_func): Fixed typo

	* camlibs/ptp2/ptp.h (PTP_DPC_NIKON_WhiteBalanceFluorescentBias): 
	Change typo in the const name

	* camlibs/stv0680/bayer.c (light_enhance),
	camlibs/minolta/dimagev/dimagev.c,
	camlibs/konica/qm150.c (camera_manual),
	camlibs/spca50x/library.c (delete_file_func),
	camlibs/canon/usb.c (canon_usb_camera_init),
	camlibs/sierra/olympus-desc.c,
	camlibs/ptp2/ptp.c (ptp_get_property_description),
	libgphoto2/gphoto2-camera.c (gp_camera_init),
	camlibs/ptp2/library.c (camera_canon_capture): Fix typos
	https://launchpad.net/products/libgphoto/+bug/61163

2006-06-07  Hubert Figuiere  <hub@figuiere.net>

	* AUTHORS: added credits for 5D capture support.

2006-04-18  Hubert Figuiere  <hub@figuiere.net>

	* configure.in: 2.2.0trunk version

2006-03-21  Marcus Meissner  <marcus@jet.franken.de>

	* libgphoto2/gphoto2-camera.[ch]:

	  Added gp_camera_wait_for_event() API, to wait for
	  specific camera events and return them to the caller.
	  See camlibs/ptp2/library.c for an example usage.

	  Contributed by Edward Flick <eddy@cdf-imaging.com>.

2006-01-27  Theodore Kilgore  <kilgota@auburn.edu>

	* camlibs/clicksmart310/*: Supports Logitech Clicksmart 310. 
	* configure.in: camlibs/clicksmart310 hooked up.
	* AUTHORS: author of camlibs/clicksmart310 added.
	* MAINTAINERS: maintainer of camlibs/clicksmart310 added. 

2006-01-04  Hubert Figuiere  <hub@figuiere.net>

	* configure.in: bump the .so version

2005-12-26  Hubert Figuiere  <hub@figuiere.net>

	* CHANGES: updated for 2.1.99

2005-12-25  Hubert Figuiere  <hub@figuiere.net>

	* configure.in: Version 2.1.99 (pre-release)

2005-12-06  Theodore Kilgore  <kilgota@auburn.edu>

	* camlibs/digigr8/*: New camera library for 0x2770:0x905c cameras. 
	* configure.in: camlibs/digigr8 hooked up.
	* AUTHORS: author of camlibs/digigr8 added.
	* MAINTAINERS: maintainer of camlibs/digigr8 added. 


2005-08-31  Hubert Figuiere  <hfiguiere@teaser.fr>

	* bindings/csharp: C# binding from f-spot 0.1.1

2005-08-30  Hubert Figuiere  <hfiguiere@teaser.fr>

	* bindings/java: Java bindings from patch# 1108091
        http://sf.net/tracker/?func=detail&aid=1108091&group_id=8874&atid=308874
	* bindings/python: Python binding from patch# 1152835
	http://sf.net/tracker/?func=detail&aid=1152835&group_id=8874&atid=308874
	
2005-08-25  Marcus Meissner  <marcus@jet.franken.de>
	
	* libgphoto2/gphoto2-filesys.c

	  Got rid of most LRU heuristics, simplified to just store
	  the last <n> full datastreams.
	  This should be fully sufficient for 99.9% of all usecases
	  (download images lineary).

	  You can control this by the setting "libgphoto2" , "cached-images".

2005-08-14  Marcus Meissner  <marcus@jet.franken.de>
	
	* camlibs/directory.c, libgphoto2_port/disk, 
	  libgphoto2/gphoto2-abilities-list.c:
	
	Added support for mounted digitalcameras (USB
	mass storage based).

	Port type is:
		disk:/full/path/
	Camera driver is:
		"Directory Browse"

2005-06-27  Hubert Figuiere  <hfiguiere@teaser.fr>

	* po/ru.po: Update ru.po

2005-06-11  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: new version 2.1.99.head.0
	* camlibs/**/Makefile.am: link camlibs as libtool modules with
	  shorter names and explicit symbol list
	* libgphoto2/Makefile.am: link libgphoto2 with explicit symbol list

2005-06-08  Theodore Kilgore <kilgota@auburn.edu>

	* libgphoto2_port/: added functions to support new request types
	* camlibs/sonix:   initial hookup
	* configure.in:	    hooked up camlibs/sonix

2005-05-13  Marcus Meissner  <marcus@jet.franken.de>

	* po/eu.po: new baskish from Hizkuntza Politikarako Sailburuordetza <hizkpol@ej-gv.es>

2005-04-14  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* */configure.in, */Makefile.am, ...: updated build system.
	  See "./autogen.sh --help" and ./configure --help" for help.

2005-04-05  Hubert Figuiere  <hfiguiere@teaser.fr>

	* camlibs/ptp: removing obsolete camlib.
	
2005-03-30  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libgphoto2/gphoto2-file.c: replace stricmp() by strcasecmp()
	  #include <gphoto2-port-portability.h> should take care of
	  portability of strcasecmp()

2005-02-07  Marcus Meissner  <marcus@jet.franken.de>

	* libgphoto2/gphoto2-filesys.c:
	  Use the minimum of the 3 exif timestamps (time, capture time,
	  digitized time). This fixes use on the Traveller SX330Z as
	  reported.

2005-01-18  Marcus Meisser   <marcus@jet.franken.de>

	* po/ru.po: Update thanks to Vyacheslav Dikonov <sdiconov@mail.ru>

2005-01-17  Colin Marquardt  <colin@marquardt-home.de>

	* po/ja.po: Update thanks to Takeshi AIHANA.

2004-12-15  Hubert Figuiere  <hfiguiere@teaser.fr>

	* configure.in: 2.1.5

2004-11-26  Hubert Figuiere  <hfiguiere@teaser.fr>

	* configure.in: 2.1.5rc1

2004-11-26  Theodore Kilgore <kilgota@auburn.edu>

	* camlibs/iclick/*: New camera driver written by T. K. and 
	  Stephen Pollei <stephen_pollei@comcast.net>. 
	* configure.in: camlibs/iclick hooked up.
	* AUTHORS: authors of camlibs/iclick added.
	* MAINTAINERS: listed T. K. as the (current) maintainer. 

2004-11-18  Lutz Mueller <lutz@users.sourceforge.net>

	* camlibs/kodak/Makefile.am: Hook up the new ez200-driver.

2004-11-18  Lutz Mueller <lutz@users.sourceforge.net>

	* camlibs/kodak/ez200/*: New camera driver written by 
	  Edo <edo.bvdcorp@free.fr>. Slightly modified to remove some
	  warnings.
	* configure.in: Hook it up.
	  
2004-11-17  Hubert Figuiere  <hfiguiere@teaser.fr>

	* configure.in
	* camlibs/toshiba: Revert deletion of driver pdrm11

2004-11-17  Lutz Mueller <lutz@users.sourceforge.net>

	* configure.in
	* camlibs/toshiba: Removed on request of Sean Bruno
	  <sean.bruno@dsl-only.net> (camera is supported by sierra driver).

2004-10-28  Hubert Figuiere  <hfiguiere@teaser.fr>

	* libgphoto2/gphoto2-context.h: Fix build for gcc 2.95
	  (bug #1055868)

2004-10-18  Hubert Figuiere  <hfiguiere@teaser.fr>

	* TESTERS: add myself as tester for Canon 20D

2004-08-23 Marcus Meissner  <marcus@jet.franken.de>
	
	* libgphoto/gphoto-result.h: Add gcc attributes
	  to specify format strings, so the compiler can warn
	  about misuse.

	* libgphoto2/gphoto2-filesys.c: Fixed 2 problems with
	  format strings / arguments.

	* libgphoto2/gphoto2-result.h: Translate libgphoto errors.

2004-08-02 Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: Removed Toshiba PDR-M65 driver
	* camlibs/toshiba/pdrm65/: Removed Toshiba PDR-M65 driver.
	  PDR-M65 uses the Sierra protocol.

2004-07-14 Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: Added camlibs/toshiba/pdrm65/Makefile
	* camlibs/toshiba/pdrm11/Makefile.am: Renamed current PDR-M11 
	  camlib "toshiba" to "toshiba_pdrm11"
	* camlibs/toshiba/pdrm65/: Added files for PDR-M65 driver.
	  The PDR-M65 driver is developed by Sean Bruno.

2004-05-29 Theodore Kilgore <kilgota@auburn.edu>

	* MAINTAINERS: added myself as maintainer of aox, mars, sq905 camlibs.  


2004-05-29 Theodore Kilgore <kilgota@auburn.edu>
	
	* AUTHORS: added myself as author of aox, mars, sq905 camlibs.
	
	

2004-05-13  Raymond Penners  <raymond@dotsphinx.com>

	* camlibs/sonydscf55: Merged in Sony DSC-F55 patches from Alberto
	Garlassi: added support for downloading MPEG files, and fixed
	thumbnail downloading.
	

2004-05-01 Theodore Kilgore <kilgota@auburn.edu>

	* configure.in: Hook up camlibs/mars


2004-04-08  Raymond Penners  <raymond@dotsphinx.com>

	* camlibs/sonydscf55: Merged in patch from Alberto Garlassi:
	serial communication fixes on fast CPUs, and the native file names
	are now used (instead of using the hardcoded "dsc%05d.jpg").


2004-01-06 Marcus Meissner <marcus@jet.franken.de>

	* Multiple USB camera support.

2003-11-19 Theodore Kilgore <kilgota@auburn.edu> 

	* configure.in: Hook up camlibs/aox (driver by Theodore Kilgore).


2003-11-16  Patrick Mansfield <patmans@users.sourceforge.net>

	* libgphoto2 gphoto2-camera.c, gphoto2-result.c, gphoto2-result.h:
	  Return GP_ERROR_CAMERA_BUSY if a command or I/O is in progress.

2003-08-27  Christophe Barbe <christophe@ufies.org>

	* libgphoto2/gphoto2-filesys.c: Return the max when unable to know 
	  the available memory instead of failing to build.

2003-06-26  Lutz Mueller <lutz@users.sourceforge.net>

	* configure.in: Hook up camlibs/sq905 (driver by Theodore Kilgore
	  <kilgota@banach.math.auburn.edu).

2003-06-22  Christophe Barbe <christophe@ufies.org>

	* gphoto2/main.c, po/*.po:
	  s/gphoto-devel@gphoto.org/gphoto-devel@lists.sourceforge.net/

2003-05-26  Hans Ulrich Niedermann  <gp@n-dimensional.de>

	* configure.in: 2.1.2rc1, with CVS tag
	* libgphoto2/gphoto2-ability-list.c: replace colon by space

2003-05-17  Hans Ulrich Niedermann  <gp@n-dimensional.de>

	* configure.in: 2.1.2dev9, with CVS tags
	* configure.in: 2.1.2dev10, without CVS tags, for development

2003-05-12  Marcus Meissner <marcus@jet.franken.de>

	* configure.in: disabled gsmart, benq, spca504_flash camlibs
	  (now replaced by spca50x camlib).
	  Handle camlibs with - in the name by replacing it with _.

2003-05-12  Hans Ulrich Niedermann  <gp@n-dimensional.de>

	* configure.in: 2.1.2dev8

2003-05-12  Marcus Meissner  <meissner@suse.de>
	
	* configure.in: added agfa-cl20 driver (from cl20.poeml.de).
	* CHANGES: adapted.
	* AUTHORS: added agfa-cl20 authors.

2003-05-05  Marcus Meissner  <marcus@jet.franken.de>
	
	* configure.in: removed ptp driver (now replaced by ptp2)
	* MAINTAINERS: ptp -> ptp2

2003-02-26  Hubert Figuiere  <hfiguiere@teaser.fr>

	* configure.in: added toshiba/pdrm11 to build
	* MAINTAINERS: added toshiba/pdrm11 maintainer

2003-02-21  Hans Ulrich Niedermann  <gp@n-dimensional.de>

	* doc/Makefile.am: renamed man pages
	* doc/gphoto2.3,doc/gphoto2_port.3: removed
	* doc/libgphoto2.3,doc/libgphoto2_port.3: added

2003-02-01  Patrick Mansfield <patmans@users.sourceforge.net>

	*  TESTERS: Added Valentin Rusu as a tester for the Epson PhotoPC 850z

2002-12-03  Marcus Meissner <marcus@jet.franken.de>
	
	* Imported stv0674 camlib from Vincent Sanders <vince@kyllikki.org>.

2002-11-21  Patrick Mansfield <patmans@users.sourceforge.net>

	* libgphoto2/gphoto2-camera.c: Allow a NULL for the path to be
	  passed to the camera capture.

2002-11-12  Lutz Mueller <lutz@users.sourceforge.net>

	* libgphoto2/gphoto2-version.c: Use HAVE_CC only if defined.

2002-11-10  Lutz Müller <lutz@users.sourceforge.net>

	* libgphoto2/gphoto2-widget.[c,h] (gp_widget_set_value): Make the
	  argument const.

2002-11-08  Hans Ulrich Niedermann  <gp@n-dimensional.de>

	* configure.in: 2.1.1dev10, increased AGE to 3
	* libgphoto2/gphoto2-version.[ch]: added
	* libgphoto2/Makefile.am: added gphoto2-version.[ch]

2002-11-06  Hans Ulrich Niedermann  <gp@n-dimensional.de>
	
	* camlibs/*/Makefile.am:
	* libgphoto2/Makefile.am:
	* libgphoto2/libgphoto2.pc.in:
	* configure.in: made camlibdir settable by cmdline option

2002-11-01  Hans Ulrich Niedermann  <gp@n-dimensional.de>
	
	* configure.in: 2.1.1dev9
	
2002-10-17  Hans Ulrich Niedermann  <gp@n-dimensional.de>

	* libgphoto2/gphoto2-abilities-list.c: removed the fscking "can't load *.la" message
	* libgphoto2_port/m4/documentation.m4: removed unnecessary stuff (xmlto, fig2dev, etc.)
	* configure.in: 2.1.1dev8

2002-10-13  Hans Ulrich Niedermann  <gp@n-dimensional.de>

	* *.am, libgphoto2_port/m4/packaging.m4, libgphoto2_port/m4/packaging.m4: moved definition of docdir from Makefile.am to m4 macros
	* configure.in: 2.1.1dev7

2002-10-03  Lutz Müller <lutz@users.sourceforge.net>

	* libgphoto2/gphoto2-abilities-list.[c,h] (gp_abilities_list_reset):
	  New.
	* configure.in: Reflect above changes in VERSION.

2002-09-28  Marcus Meissner <marcus@jet.franken.de>
        
        * Imported SiPix StyleCam Blink driver from 
          Vincent Sanders <vince@kyllikki.org>

2002-09-12  Hans Ulrich Niedermann  <gp@n-dimensional.de>

	* configure.in: 2.1.1dev6

2002-08-29  Lutz Müller <lutz@users.sourceforge.net>

	* libgphoto2/gphoto2-filesys.c: Cosmetic changes. Made code consistent
	  to reflect the assumption that only GP_FILE_TYPE_[RAW,AUDIO,NORMAL]
	  contain a significant amount of data that needs to be removed from
	  cache.

2002-08-29  Lutz Müller <lutz@users.sourceforge.net>

	* libgphoto2/gphoto-file.c (gp_file_get_data_and_size): If data or
	  size is NULL, ignore it.

2002-08-28  Hans Ulrich Niedermann  <gp@n-dimensional.de>

	* configure.in: 2.1.1dev5 (LRU cache, new drivers, etc.)
			removed multiple intl/Makefile and po/Makefile
			added by gettextize

2002-08-26  Hubert Figuiere  <hfiguiere@teaser.fr>

	* MAINTAINERS: Added Kodak DC210 maintainer.

2002-08-23  Hubert Figuiere  <hfiguiere@teaser.fr>

	* configure.in: added largan/lmini driver
	* camlibs/largan/lmini: new driver for Largan Lmini

2002-08-22  Christophe Barbé <christophe.barbe@ufies.org>

	* configure.in: test for /proc/meminfo (HAVE_PROCMEMINFO).
	* libgphoto2/gphoto2-filesys.c: Use HAVE_PROCMEMINFO.

2002-08-22  Christophe Barbé <christophe.barbe@ufies.org>

	* libgphoto2/gphoto2-filesys.c: Implemented code to free cached data when
	  we are going out of memory. 
	  I still have to add a test in configure for the /proc filesystem.

2002-08-21  Vincent Weaver <vince@deater.net>

	* camlibs/agfa/: Move camlibs/agfa to camlibs/soundvision
	* camlibs/agfa/: Rename agfa files to new soundvision scheme
	* camlibs/agfa/: Minor fixes for Tiger Fast Flicks support

2002-08-14  Christophe Barbé <christophe.barbe@ufies.org>

	* libgphoto2/gphoto2-filesys.c: LRU implementation for the filesystem
	  cache. 

2002-08-14  Peter Kajberg <pbk@odense.kollegienet.dk>

	* MAINTAINERS: Add myself as camlibs/pccam600 maintainer.
	* configure.in
	* camlibs/pccam600: New driver for Creative PC-CAM600
		
2002-08-09  Till Adam  <till@adam-lilienthal.de>

	* MAINTAINERS: Add myself as camlibs/gsmart maintainer.

2002-08-08  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Create camlibs/gsmart/Makefile.

2002-08-08  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in
	* camlibs/gsmart: New driver by Till Adam <till@adam-lilienthal.de>.

2002-08-01  Hubert Figuiere  <hfiguiere@teaser.fr>

	* libgphoto2/gphoto2-list.c (exchange): changed strcpy with memcpy
	that prevents unterminated strings overflow.

2002-09-01  Lutz Müller <lutz@users.sourceforge.net>

	* MAINTAINERS: Uli does the mailing lists.

2002-09-01  Lutz Müller <lutz@users.sourceforge.net>

	* MAINTAINERS: Arnaud is now responsible for autogen.sh. Added 
	  myself on top of Scott regarding libgphoto2(_port).

2002-07-30  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* autogen.sh: new package name: libgphoto2
	* configure.in: 2.1.1dev3 -> 2.1.1dev4

2002-07-29  Lutz Müller <lutz@users.sourceforge.net>

	* README: First attempt to separate gphoto2 from libgphoto2.

2002-07-28  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Detect new version of libexif (forgot to check 
	  that in the last time).
	* frontends: Removed. Now in the "gphoto2" module.

2002-07-27  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: new package name: libgphoto2

2002-07-25  Christophe Barbé <christophe.barbe@ufies.org>

   po files from Stefan Bj|rnelund <stefanb@update.uu.se>

	* po/sv.po: Update Swedish translation.
			
2002-07-25  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Detect new version of libexif.
	* frontends/command-line/actions.c:
	* libgphoto2/gphoto2-filesys.c: Adjust to new version of libexif
	  (if found).

2002-07-24  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: 2.1.1dev3
	* doc/gphoto2.xml: added reference to CSS stylesheet
	* doc/docbook-xml.css: added CSS stylesheet for Docbook XML

2002-07-17  Lutz Müller <lutz@users.sourceforge.net>

	* libgphoto2/libgphoto2.pc.in: Add driverdir variable.

2002-07-14  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* autogen.sh: explicitly delete autogenerated files and dirs not in CVS
	* configure.in: 2.1.1dev2, fixed typo in message
	
2002-07-12  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Use ltdl if available.

2002-07-06  Patrick Mansfield <patman@aracnet.com>

	* MAINTAINERS: Add myself to camlibs/sierra

2002-07-05  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Add camlibs/sx330z.

2002-06-27  Lutz Müller <lutz@users.sourceforge.net>

	Patch from Arnaud Launay <asl@launay.org>:

	* autogen.sh: Call libtoolize - newer automakes don't call it
	  automatically.

2002-06-27  Lutz Müller <lutz@users.sourceforge.net>

	Patch from Arnaud Launay <asl@launay.org>:

	* Makefile.am: /$(TAR)/tar/

2002-06-24  Christophe Barbé <christophe.barbe@ufies.org>

	Patch for FreeBSD from Arnaud Launay <asl@launay.org>

	* configure.in: Use -pthread instead of -lc_r, libtool 1.4.2a doesn't
		like -lc_r (unlike plain 1.4.2).

2002-06-21  Christophe Barbé <christophe.barbe@ufies.org>

   po files from Takeshi AIHANA <aihana@jcom.home.ne.jp>

	* po/ja.po: Update Japan translation.

2002-06-20  Lutz Müller <lutz@users.sourceforge.net>

	* ABOUT-NLS: Remove this file, it is generated by gettextize.

2002-06-19  Hubert Figuiere  <hfiguiere@teaser.fr>

	* camlibs/minolta/NEWER_MINOLTAS (UPDATE): updated the statement
	  about newer Minolta camera support.

2002-06-19  Christophe Barbé <christophe.barbe@ufies.org>

	* Makefile.am: Added CHANGES in EXTRA_DIST.

2002-06-19  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Make the check for cdk.h search in $ac_default_prefix.
	  Make checks for libjpeg, libexif, libcdk, etc. consistent.

2002-06-19  Lutz Müller <lutz@users.sourceforge.net>

	Suggestion from Hans Ulrich Niedermann <gp@n-dimensional.de>:

	* autogen.sh: Remove the call to configure.

2002-06-19  Lutz Müller <lutz@users.sourceforge.net>

	Suggestion from Arnaud Launay <asl@launay.org>:

	* configure.in: Let users specify where to look for libjpeg
	  (--with-jpeg-prefix).

2002-06-18  Christophe Barbé <christophe.barbe@ufies.org>

	po file from Fabian Mandelbaum <fabman@mandrakesoft.com>

	* po/es.po: Spanish translation.

2002-06-18  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: AC_PREREQ(2.50), because otherwise,
	  --enable-maintainer-mode will fail somehow.

2002-06-17  Lutz Müller <lutz@users.sourceforge.net>

	Patch by Arnaud Launay <asl@launay.org>:

	* doc/gphoto2.xml: Add missing '>'.

2002-06-17  Lutz Müller <lutz@users.sourceforge.net>

	Marcus Meissner <meissner@suse.de> explained me how what
	--enable-maintainer-mode is for:

	* Makefile.am: Uncomment the automake and aclocal flags.

2002-06-17  Lutz Müller <lutz@users.sourceforge.net>

	Patch by Arnaud Launay <asl@launay.org>, which corrects the
	previous patch:

	* Makefile.am: Correct the flags to tar.

2002-06-17  Lutz Müller <lutz@users.sourceforge.net>

	Patch by Arnaud Launay <asl@launay.org>, slightly modified:

	* Makefile.am: Get rid of the automake flags, use --bzip2 instead of
	  -j.

2002-06-17  Christophe Barbé <christophe.barbe@ufies.org>

	Patch by Arnaud Launay <asl@launay.org>

	* doc/Makefile.am : Don't try to move figures when fig2dev is not there.

2002-06-17  Christophe Barbé <christophe.barbe@ufies.org>
  
	* Makefile.am: Removed autogen.sh from EXTRA_DIST.

2002-06-17  Christophe Barbé <christophe.barbe@ufies.org>

	* configure.in: 2.1.0 branch created, main branch version 2.1.1dev1.

2002-06-17  Mariusz Woloszyn <emsi@ipartners.pl>

	* doc/FAQ: Added "gphoto2 does not work..." general question

2002-06-15  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Fix readline error message.

2002-06-15  Christophe Barbé <christophe.barbe@ufies.org>

	Patch by Arnaud Launay <asl@launay.org>

	* autogen.sh: Copy po/Makevars.template to po/Makevars when necessary.

2002-06-14  Lutz Müller <lutz@users.sourceforge.net>

        * libgphoto2/gphoto2-abilities-list.c: Cleanup the ltdl-specific
          part.

2002-06-14  Lutz Müller <lutz@users.sourceforge.net>

	Patch by Arnaud Launay <asl@launay.org>, slightly enhanced:

	* autogen.sh: If gettext --version is something like 0.11.*, 
	  add the --intl option to gettextize.

2002-06-14  Lutz Müller <lutz@users.sourceforge.net>

	* libgphoto2/Makefile.am:
	* configure.in: Fix (?) -version-info

2002-06-14  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Given the pending release, it is safer to disable
	  the use of the buggy libltdl.

2002-06-14  Lutz Müller <lutz@users.sourceforge.net>

	Suggested by Arnaud Launay <asl@launay.org>, slightly modified:

	* configure.in: Simplify check for readline.

2002-06-13  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* doc/figures/Makefile.am: don't build images we don't even use
	* doc/Makefile.am:
	  - clean pdf and ps files if generated
	  - install pdf and ps manuals
	  - create figures before building manual
	  - made pdf and ps manual creation work when srcdir != builddir
	  - added symlink in manual/ to enable people to view manual in src tree
	  - use $(AMTAR) and install only the png and html files for the html manual

2002-06-13  Lutz Müller <lutz@users.sourceforge.net>

	Patch by Arnaud Launay <asl@launay.org>, slightly corrected:

	* configure.in: Fix check for readline.

2002-06-13  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: 2.0.1dev13 (because of lots of build changes)
	* doc/figures/Makefile.am: only install png images, but still build jpg and eps
	* doc/Makefile.am: use $(XMLTO) instead of xmlto everywhere

2002-06-12  Christophe Barbé <christophe.barbe@ufies.org>

	* doc/Makefile.am: no more figures link. install only png files for the
	  user manual.

2002-06-12  Lutz Müller <lutz@users.sourceforge.net>

        * configure.in:
        * libgphoto2/gphoto2-abilities-list.c: Make libgphoto2
          use ltdl.h. I needed to introduce a global variable - code is
          marked as UGLY_HACK. If you know how to fix it, please tell me.

2002-06-12  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in:
	* libgphoto2/gphoto2-camera.c:
	* libgphoto2/gphoto2-abilities-list.c: Fixes for HAVE_LTDL. Still
	  doesn't work.

2002-06-12  Christophe Barbé <christophe.barbe@ufies.org>

	* libgphoto2_port/m4/documentation.m4: Added --with-doc-formats option and
		removed xmlto tests to find the available formats.
	* libgphoto2_port/configure.in: Duplicated tr hack from main configure.in.

2002-06-12  Lutz Müller <lutz@users.sourceforge.net>

	* doc/FAQ: New entry.

2002-06-09  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: 2.0.1dev11 (because of build changes)

2002-06-06  Lutz Müller <lutz@users.sourceforge.net>

	* autogen.sh: No need for configuring the whole thing 3 times...

2002-06-06  Lutz Müller <lutz@users.sourceforge.net>

	* autogen.sh: Fix the order of processing libgphoto2_port and .

2002-06-06  Lutz Müller <lutz@users.sourceforge.net>

	* intl: Remove these files - they should be generated by gettextize.
	* autogen.sh: Check for and run gettextize.

2002-06-06  Lutz Müller <lutz@users.sourceforge.net>

	* INSTALL: Fix the aclocal command.

2002-06-06  Lutz Müller <lutz@users.sourceforge.net>

        * acconfig.h: According to
          http://www.gnu.org/manual/autoconf-2.53/html_mono/autoconf.html,
          this file is obsolete.
        * configure.in: Adapt to above.

2002-06-04  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: 2.0.1dev10
	* doc/gphoto2.xml: reformatted preparing for PDF
	* doc/FAQ: added note about stv680 kernel driver
	* INSTALL: autogen.sh works for me, also with older autotools than
		Lutz mentioned, so I added note about that

2002-06-03  Lutz Müller <lutz@users.sourceforge.net>

	* INSTALL: Add note about outdated autogen.sh.

2002-05-30  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: 2.0.1dev9, as we have a manual now
	* configure.in: added manual doc message, named API doc msg like
		that, reformatted messages a little 
	* doc/Makefile.am: build manual only if possible,
		clean manual only if building possible
	* doc/gphoto2.xml: 
		- add "QuickStart" chapter
		- improved existing setup chapter
		- added first part of developer (API) documentation
		- added chapter on ideas for the future
		- added appendix with resources
	
2002-05-26  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* doc/gphoto2.xml: added gphoto2_port(3) man page

2002-05-26  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* doc/Makefile.am: only include rules if corresponding programs exist

2002-05-25  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* doc/gphoto2.xml: moved content of gphoto2.txt here
	* doc/gphoto2.txt: declared file obsolete
	* doc/Makefile.am: make man pages with command displayed,
		make html pages out of gphoto2.xml

2002-05-20  Christophe Barbe <christophe.barbe@ufies.org>
	
	* camlibs/canon/canon.c: mtime is now converted to UTC as expected.

2002-05-20  Tim Waugh  <twaugh@redhat.com>

	* doc/gphoto2.xml: Add note in gphoto2(1) about how ranges are
	interpreted.
	* doc/gphoto2.1: Regenerated.

2002-05-20  Christophe Barbe <christophe.barbe@ufies.org>
	
	* frontends/command-line/main.c: fixed my previous fix.

2002-05-20  Tim Waugh  <twaugh@redhat.com>

	* doc/gphoto2.xml: Fix formatting.
	* doc/gphoto2.1, doc/gphoto2.3: Regenerated.

2002-05-19  Christophe Barbe <christophe.barbe@ufies.org>
	
	* frontends/command-line/main.c: fixed fparams initialization.

2002-05-19  Christophe Barbe <christophe.barbe@ufies.org>
	
	* frontends/command-line/main.c: replaced a missused #if with a #ifdef
	* frontends/command-line/gphoto2-cmd-capture.c: same 2 times.
	   reported by Luciano Campal Vazquez <luch0@telefonica.net>

2002-05-18  Hans Ulrich Niedermann  <gp@n-dimensional.de>
	
	* frontends/command-line/gphoto2.xml: moved man pages from
		frontends/command-line/ to doc/
	* doc/gphoto2.xml: added gphoto2(3) man page
	* doc/gphoto2.xml: added examples to gphoto2(1)
	* configure.in: 2.0.1dev6

2002-05-17  Hans Ulrich Niedermann  <gp@n-dimensional.de>

	* INSTALL: added CDPATH warning, "make rpm" works again
	* configure.in: added CDPATH warning
	* configure.in: 2.0.1dev5, added comment to AC_DEFINE
	* configure.in: hopefully fixed readline detection when -lncurses needed
	
2002-05-07  Lutz Müller <lutz@users.sourceforge.net>

	* frontends/command-line: Remove more globals.

2002-05-07  Lutz Müller <lutz@users.sourceforge.net>

	* acconfig.h: #undef HAVE_PTHREAD
	* configure.in: Check for pthread.
	* frontends/command-line: Support for gp_camera_set_timeout_funcs.

2002-05-07  Lutz Müller <lutz@users.sourceforge.net>

	* libgphoto2/gphoto2-camera.c: Fix bug.

2002-05-07  Lutz Müller <lutz@users.sourceforge.net>

	* libgphoto2/gphoto2-camera.c: Fix mem-leak.

2002-05-06  Lutz Müller <lutz@users.sourceforge.net>

	* libgphoto2/gphoto2-camera.[c,h] (gp_camera_[start,stop]_timeout),
	  (gp_camera_set_timeout_funcs): New
	* configure.in: AGE 1, REVISION 0 in order to reflect above.

2002-04-30  Marcus Meissner <marcus@jet.franken.de>
	
	* libgphoto2/gphoto2-filesys.c: memset() filesys to 0 so
	  we do not forget to initialize members. (sf bug #549958)

2002-04-28  Lutz Müller <lutz@users.sourceforge.net>

	* frontends/command-line/main.c: %s/licence/license

2002-04-25  Colin Marquardt  <colin@marquardt-home.de>

	* README: Small tweaks in the "Reporting bugs" section.

2002-04-16  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Add fuji.

2002-04-07  Hans Ulrich Niedermann  <gp@n-dimensional.de>

	* frontends/command-line/main.c: added option --usb-usermap-script
	  name which lets user specify the name of the hotplug usb script
	* frontends/command-line/options.c: changed copyright from "2000,2001" to "2000-2002"
	* configure.in: added --usb-usermap-script justifies increased 2.0.1dev4
	* doc/gphoto2.txt: added notice about unplugging cam and creating
	  /etc/hotplug/usb if necessary

2002-04-04  Marcus Meissner <marcus@jet.franken.de>

	* frontends/command-line/main.c: Dump USB class devices into usbmap too.

2002-04-01  Hans Ulrich Niedermann  <gp@n-dimensional.de>

	* TESTERS: added explicit usage permissions and improved wording some

2002-03-24  Lutz Müller <lutz@users.sourceforge.net>

	Patch by Patrick Mansfield <patman@aracnet.com> (without ChangeLog
	entry, therefore I am just quoting the e-mail):

	* frontends/command-line/gphoto2-cmd-config.c: This patch fixes
	  scaling when using the command line interface with
	  a range widget with an increment value with non-zero decimal digits
	  (like .5). (...) I also used the A_STANDOUT (like Cliff's patch)
	  rather than "-" so negative numbers work correctly. Also included is
	  a change to set page increment based on the range of
	  values, so really large ranges can more easily be adjusted. The page
	  increment is set so you can go through all values in 20 key strokes
	  or fewer - this still doesn't work well, but it is better than
	  trying to go from 0 -> 8000000 in chunks of 10. It is clunky in
	  that the page increment is not always a multiple of the increment.

2002-03-23  Lutz Müller <lutz@users.sourceforge.net>

	Patch by Cliff Wright <cliff@snipe444.org> (comments quoted from 
	the e-mails):

	* frontends/command-line/main.c: The command line program does not
	  allow one to have a combination of --config, and --capture-image
	  where the config will occur first, and then the capture. Since some
	  cameras do not retain all config info between connections This is a
	  feature I wanted, so the below patch fixes this by moving config in
	  front of capture.
	* frontends/command-line/gphoto2-cmd-config.c: Unless cdk has changed
	  the way they handle month's for the config calendar display, their
	  is a bug in the command line configure in file gphoto2-cmd-config.c.
	  The patch below fixed this for me.

2002-03-22  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* packaging/usbcam*: moved to packaging/linux-hotplug/*
	* packaging/Makefile.am: reflect that
	* configure.in: reflect that and 2.0.1dev3
	* doc/gphoto2.txt: clarification that /proc/bus/usb has to 
	  be mounted in any case

2002-03-22  Lutz Müller <lutz@users.sourceforge.net>

	* frontends/command-line/Makefile.am: Remove "-g" from [C,LD]FLAGS. If
	  you need it, please add it again in configure.in.

2002-03-21  Marcus Meissner  <marcus@jet.franken.de>

	* configure.in, libgphoto2_port/configure.in:
		added AC_INLINE, AC_CONST for platforms that don't have it.

2002-03-14  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* doc/gphoto2.txt: clarification of hotplug setup

2002-03-13  Colin Marquardt  <colin@marquardt-home.de>

	* configure.in: Added es to ALL_LINGUAS.

2002-03-13  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: 2.0.1dev2, fixed typo
	* frontends/command-line/main.c: removed decoding of numeric debug message priorities
	* frontends/command-line/main.c: timestamped logs

2002-03-11  Lutz Müller <lutz@users.sourceforge.net>

	* frontends/command-line/Makefile.am:
	* frontends/command-line/main.c: Add --authors and --licence.

2002-03-11  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Check for rl_completion_matches.

2002-03-11  Lutz Müller <lutz@users.sourceforge.net>

	* frontends/command-line/globals.h:
	* frontends/command-line/main.c: 1 global variable less.

2002-03-11  Mariusz Woloszyn

	* frontends/command-line/main.c: you can now specify --filename
	  while uploading, thx to Lutz.

2002-03-09  Lutz Müller <lutz@users.sourceforge.net>

	* frontends/command-line/shell.c: Fix readline stuff (automatic 
	  completion).

2002-03-07  Hubert Figuiere  <hfiguiere@teaser.fr>

	* INSTALL: changed URL to fetch CDK: fix bug #527098

2002-02-26  Marcus Meissner <marcus@jet.franken.de>
	
	* libgphoto2/gphoto-camera.c: do gp_close_port() unconditionaly
	  in gp_camera_exit().

2002-02-26  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: We are currently working on libgphoto2-2.0.1.

2002-02-26  Lutz Müller <lutz@users.sourceforge.net>

	* frontends/command-line/foreach.c (for_each_file_in_range): If 
	  deleting files not recursively, adjust the image ID for subsequent
	  images.
	* frontends/commane-line/main.c (main): If deleting files, do
	  it in reverse order such that above case does never occur. Fixes
	  #522796.

2002-02-26  Lutz Müller <lutz@users.sourceforge.net>

	* frontends/command-line/shell.c: Patch from Rob Hillis
	  <rob@hillis.dyndns.org>: Use SHELL_PROMPT instead of 
	  shell_prompt_text.
	* frontends/command-line/actions.c: Use %li instead of %i to kill
	  some warnings.

2002-02-25  Lutz Müller <lutz@users.sourceforge.net>

	* acconfig.h:
	* configure.in: Add optional readline support.
	* frontends/command-line/main.c: Show remaining time in progress bar.
	* frontends/command-line/globals.h: Export glob_cancel.
	* frontends/command-line/shell.[c,h]: Clean up and add (optional)
	  readline support. Support deletion of files.

2002-02-25  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Version 2.0

2002-02-23  Lutz Müller <lutz@users.sourceforge.net>

	Patch from Patrick Mansfield <patman@aracnet.com>:

	* libgphoto2/gphoto2-filesys.c: sizeof (path), not sizeof (folder).
	  Doh.

2002-02-21  Colin Marquardt  <colin@marquardt-home.de>

	* configure.in: Removed zh_CN.GB2312 from ALL_LINGUAS. 
	zh_CN.po is enough.

2002-02-18  Colin Marquardt  <colin@marquardt-home.de>

	* configure.in: Added zh_CN.GB2312 to ALL_LINGUAS.

2002-02-18  Lutz Müller <lutz@users.sourceforge.net>

	Bug reported by Marcus Meissner <marcus@jet.franken.de>:

	* frontends/command-line/options.c: The option "-" is invalid.

2002-02-17  Lutz Müller <lutz@users.sourceforge.net>

	* libgphoto2/gphoto2-filesys.c: If a file is requested, look for
	  mtime first in the file, then in the info, then in the (EXIF) data of
	  the file, and finally in GP_FILE_TYPE_EXIF.

2002-02-15 Christophe Barbé <christophe.barbe@ufies.org>

   * libgphoto2_port/doc/DocRules.am: change rule to 
     build in the builddir (!= srcdir) and to install from buildir.

2002-02-14  Fredrik <fredrik@krixor.xy.org>

	* frontends/command-line/main.c: Make at least a small attempt
	  at quoting arguments which might need it when asking users
	  to execute the same command again with --debug.

	  Patch from Chris Halls.

2002-02-13  Dan Fandrich <dan@coneharvesters.com>

	* libgphoto2/gphoto2-abilities-list.h
	* libgphoto2/gphoto2-camera.h
	* libgphoto2/gphoto2-filesys.h: Rearranged some structs and added
	  some empty members to make backward compatibility easier to achieve
	  when API changes are made in the future.

2002-02-13  Tim Waugh <twaugh@redhat.com>

	* frontends/command-line/gphoto2.xml: Mention that files are
	numbered from 1, and that quotes should be used for camera models.
	* frontends/command-line/gphoto2.1: Regenerated.

2002-02-13  Lutz Müller <lutz@users.sourceforge.net>

	* libgphoto2/Makefile.am:
	* configure.in: Introduce versions.

2002-02-12  Fredrik <fredrik@krixor.xy.org>

	* libgphoto2/gphoto2-filesys.c: Fix month off-by-one bug in
	  Lutz's fix of get_exif_mtime.

2002-02-12  Lutz Müller <lutz@users.sourceforge.net>

	* libgphoto2/gphoto2-filesys.c: Fix (get_exif_mtime).

2002-02-12  Tim Waugh <twaugh@redhat.com>

	* MAINTAINERS: Add myself.
	* frontends/command-line/gphoto2.xml: New file.
	* frontends/command-line/gphoto2.1: New file.
	* frontends/command-line/Makefile.am: Install man page.

2002-02-12  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Ok, not everybody likes pkg-config. Offer an
	  alternative check, too.

2002-02-11  Lutz Müller <lutz@users.sourceforge.net>

	* libgphoto2/gphoto-filesys.c: Previously, we searched thumbnails in
	  EXIF data if GP_FILE_TYPE_PREVIEW is not supported by the driver. 
	  Now, we do it the other way round, too: If GP_FILE_TYPE_EXIF is
	  not supported by the driver, get the thumbnail and search for
	  EXIF data there.

2002-02-10  Lutz Müller <lutz@users.sourceforge.net>

	* frontends/command-line/actions.[c,h]:
	* frontends/command-line/main.c: Implement --show-info.

2002-02-09  Fredrik <fredrik@krixor.xy.org>

	* frontends/command-line/foreach.c: Fix bug where new
	  for_each_subfolder() did not descend into subfolders of
	  subfolders when recursive.

	* frontends/command-line/main.c: Be even more carefull in
	  checking the ID passed to the context functions by camera
	  drivers.

2002-02-08  Christophe Barbé <christophe.barbe@ufies.org>

	* frontends/command-line/main.c: Add usbid option to override 
	  vendorID and deviceID for a given vendorID/deviceID couple in
	  the table describing all supported cameras. This allows us to
	  quickly validate if a new cam could be supported by an existing
	  driver.  
	  This requires from the camlib driver to not use the IDs directly
	  but the device name instead.

2002-02-08  Lutz Müller <lutz@users.sourceforge.net>

	* frontends/command-line/main.c: Implement a progress bar (code
	  adapted from e2fsck).

2002-02-08  Lutz Müller <lutz@users.sourceforge.net>

	* frontends/command-line: s/image/file and s/picture/file with 
	  the exception of capture-image.

2002-02-08  Lutz Müller <lutz@users.sourceforge.net>

	* libgphoto2/gphoto2-filesys.c: Make it robust against folders
	  with trailing slashes.

2002-02-08  Lutz Müller <lutz@users.sourceforge.net>

	* frontends/commend-line/main.c:
	* frontends/command-line/actions[c,h]:
	* frontends/command-line/foreach[c,h]: Clean up, simplify.

2002-02-08  Lutz Müller <lutz@users.sourceforge.net>

	* libgphoto2/gphoto2-filesys.c: Add support for getting the 
	  mtime out of the file data.

2002-02-07  Lutz Müller <lutz@users.sourceforge.net>

	* frontends/command-line: Fix my previous (broken) patch and hide
	  all that recursive id look-up stuff.
	* frontends/command-line/gphoto2-cmd-exif.[c,h]: Removed. Now in 
	  actions.[c,h]

2002-02-07  Lutz Müller <lutz@users.sourceforge.net>

	* frontends/command-line/foreach.[c,h]: Pass CameraList as parameter.
	  This be where the const filename is allocated. Before, the string
	  got messed up.
	* frontends/command-line/main.c: %s/gp_file_free/gp_file_unref

2002-02-06  Fredrik <fredrik@krixor.xy.org>

	* frontends/command-line/foreach.c: Check return values
	  of recursive calls to for_each_subfolder(). Fixes bug
	  where errors was not detected if they occured in
	  subfolders of subfolders when doing recursive actions
	  (like -P).

2002-02-06  Colin Marquardt  <colin@marquardt-home.de>

	* CHANGES (Module): Add info about new chinese translation.

	* configure.in (ALL_LINGUAS): Added zh_CN.

2002-02-06  Lutz Müller <lutz@users.sourceforge.net>

	* libgphoto2_port/m4/Documentation.m4: Fix copy & paste error
	* doc/api/Makefile.am
	* libgphoto2_port/doc/Makefile.am
	* libgphoto2_port/doc/DocRules.am: Fix --enable-docs

2002-02-04  Fredrik <fredrik@krixor.xy.org>

	* frontends/command-line/actions.[c,h], main.c: Fixed
	  --delete-all-images to work again after I made recursion
	  the default. Recursion is now the default for downloading
	  but not for deletion. Code by me and Lutz.

2002-02-04  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: felt like 2.0beta5dev2 - nothing more

2002-02-02  Lutz Müller <lutz@users.sourceforge.net>

	* frontends/command-line: Let --show-exif accept image numbers, too.

2002-02-01  Lutz Müller <lutz@users.sourceforge.net>

	* frontends/command-line/gphoto2-cmd-exif.[c,h]: New
	* frontends/command-line/main.c: Hook it up.

2002-02-01  Raymond Penners  <raymond@dotsphinx.com>

	* camlibs/sonydscf55: Added "Sony DCR-PC100" to the list of
	supported camera's. Note: it was already supported by using "Sony
	MSAC-SR1". However, specifying the name of the camera instead of
	the name of the device required to read the camera's memory stick
	is more inline with current tradition.

2002-02-01  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Only call aalib-config if it exists.

2002-02-01  Hans Ulrich Niedermann <gp@n-dimensional.de>

	*configure.in: beta4 has already been released.
	               we are now at beta5dev1

2002-01-31  Lutz Müller <lutz@users.sourceforge.net>

	* camlibs/ricoh:
	* configure.in: Initial version. Not working.

2002-01-29  Lutz Müller <lutz@users.sourceforge.net>

	* configure.in: Tell users where to get additional libraries.

2002-01-29  Lutz Müller <lutz@users.sourceforge.net>

	* Makefile.am
	* configure.in
	* libgphoto2/Makefile.am
	* libgphoto2/gphoto2-filesys.c
	* acconfig.h
	* libexif: Remove libexif and check in configure.in if there is a
	  libexif installed on the system.

2002-01-28 Christophe Barbé <christophe.barbe@ufies.org>

	* CHANGES: Added with content from beta4 release.
	* *: Tagged all files included in beta4.

2002-01-27 Dan Fandrich <dan@coneharvesters.com>

	* frontends/command-line/gphoto2-cmd-capture.c: Fixed security problem
	  in creating temporary file for JPEG preview.

2002-01-27  Lutz Müller <lutz@users.sourceforge.net>

	* libgphoto2/gphoto2-widget.c: Size of CameraWidget->[labelname] is
	  now 256 instead of 32. Fixes long strings (esp. german translation).

2002-01-26  Lutz Müller <lutz@users.sourceforge.net>

	Patch by Hans Ulrich Niedermann <gp@n-dimensional.de> (slightly
	adapted):

	* frontends/command-line/main.c: Only report progress information
	  if the user can see it. Same with confirmation of status messages.

2002-01-26  Lutz Müller <lutz@users.sourceforge.net>

	Fixes #506075:

	* frontends/command-line/Makefile.am: Include files into EXTRA_DIST
	  that are only conditionally built.

2002-01-25 Marucs Meissner <marcus@jet.franken.de>
	
	* **/Makefile.am: Replaced $(prefix)/lib/ by $(libdir).
	  (For instance on s390x $(libdir) is $(prefix)/lib64/.)

2002-01-24 Dan Fandrich <dan@coneharvesters.com>

	* libgphoto2/pattrec.c
	* libgphoto2/jpeg.c: Added include of config.h

2002-01-21  Lutz Müller <lutz@users.sourceforge.net>

	* frontends/command-line: Fix image numbering when --recurse.

2002-01-19  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-filesys.c: Check for cancellation.

2002-01-18  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: 2.0beta4dev9 (progress is inevitable)

2002-01-16  Lutz Müller <lutz@users.sourceforge.net>

	* libexif: New
	* libgphoto2/gphoto2-filesys.c: Use libexif

2002-01-16  Lutz Müller <lutz@users.sourceforge.net>

	* libgphoto2/gphoto2-file.[c,h] (gp_file_[get,set]_mod_time): New.

2002-01-16  Colin Marquardt  <colin@marquardt-home.de>

	*  libgphoto2_port/po/fr.po: Update from Jérôme.
	*  po/fr.po: Update from Jérôme.

2002-01-16  Lutz Müller <lutz@users.sourceforge.net>

	Black magic by Marcus Meissner <marcus@jet.franken.de>:

	find . -type f | xargs grep -l gp_debug_printf | xargs perl -pi -e 's/gp_debug_printf\(\s*GP_DEBUG[^,]*,[^,]*,(.*)$/GP_DEBUG(\1/'

2002-01-15  Lutz Müller <lutz@users.sourceforge.net>

	* libgphoto2/*.h: Fix headers: no config.h, ifdef __cplusplus ...

2002-01-15  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-camera.h: Clean up.

2002-01-15  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	More GPContext changes:

	* libgphoto2/gphoto2-context.[c,h]: Add message functionality
	* camlibs: Use it.

2002-01-14  Fredrik <fredrik@krixor.xy.org>

	* frontends/command-line/main.c: Fix some core dumps when parsing
	  overly long arguments (filename, port, camera, folder). Maybe
	  this should be changed to checks of unrealistic lengths instead,
	  but at least this makes us not dump core.

2002-01-14  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* frontends/command-line/main.c: If the user presses 2 times 
	  <ctrl>-c, abort.

2002-01-14  Colin Marquardt  <colin@marquardt-home.de>

	*  libgphoto2_port/po/fr.po: Update from Jérôme (is ISO-8859-1 now).
	*  po/fr.po: Update from Jérôme.

2002-01-14  Fredrik <fredrik@krixor.xy.org>

	* frontends/command-line/main.c: Make folder recursion default.
	  Kept --recurse but made it a no-op with a warning to stderr
	  and added --no-recurse to turn recursion off.

2002-01-14  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-camera.c:
	* frontends/command-line/main.c: Translation fixes.
	
2002-01-13  Colin Marquardt  <colin@marquardt-home.de>

	*  libgphoto2_port/po/fr.po: New translation from Jérôme.
	*  po/fr.po: Update from Jérôme (help screen fits in 80 chars now).

2002-01-13  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: 2.0beta4dev8 (to detect old/new canon camlib :-)

2002-01-13  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-camera.[c,h]: Remove last references
	  to gp_camera_[get,set] error.

2002-01-13  Colin Marquardt  <colin@marquardt-home.de>

	* configure.in: Add fr to ALL_LINGUAS.
	* po/de.po: Update. 
	* po/fr.po: New file from Jérôme Fenal <jerome@fenal.org>. Thanks.

2002-01-13 Dan Fandrich <dan@coneharvesters.com>

	* libgphoto2/gphoto2-library.h
	* libgphoto2/gphoto2-list.h
	* libgphoto2/gphoto2-result.h: Put #ifdef HAVE_CONFIG_H around include

2002-01-13  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Finished the GPContext stuff - changes all over the place. Basically,
	gp_[file,camera]_progress has been replaced by gp_context_progress_*.
	Well, we haven't release a gphoto2-2.0 yet, therefore I hope you don't
	mind the API change...

	* libgphoto2/gphoto2-camera.[c,h]: Added a GPContext parameter to
	  any function that can possibly communicate with the camera. That
	  makes every function cancellable (which is good), makes it possible
	  to report multiple errors during execution of a command, offers 
	  several (nested) progress reports, and many other goodies.

2002-01-11  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-context.[c,h]: Support for multiple progress
	  reports at once (especially sub-progress reports).

2002-01-10  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-filesys.[c,h]: Add a GPContext to all functions 
	  that potentially access the camera. This makes cancelling of 
	  all operations possible and improves error reporting.
	* tests/test-filesys.c:
	* libgphoto2/gphoto2-camera.c:
	* camlibs: Adjust to reflect above changes

2002-01-10  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/Makefile.am
	* libgphoto2/gphoto2-context.[c,h]: New files
	* libgphoto2/gphoto2-abilities-list.[c,h]
	  (gp_abilities_list_load_ctx): Sample function for showing the 
	  benefits of above new files.
	* frontends/command-line/main.c: Use gp_abilities_list_load_ctx to
	  make that operation cancellable.

2002-01-09  Colin Marquardt  <colin@marquardt-home.de>

	*  TESTERS: Added Kristian Rink as a tester for the Kodak DC3200.

2002-01-09  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: 2.0beta4dev7
	* configure.in: output VERSION at configure info
	* doc/FAQ: Added "Couldn't claim USB interface"

2002-01-09 Dan Fandrich <dan@coneharvesters.com>

	* frontends/command-line/gphoto2-cmd-config.c
	* configure.in: Allow cdk.h to be found outside a cdk directory.

2002-01-08  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* configure.in: Substitute AM_PROG_LIBTOOL by AC_PROG_LIBTOOL (first
	  is deprecated).

2002-01-07  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* frontends/command-line/main.c: Correctly shut down the camera even
	  in case of error.
	* libgphoto2/gphoto2-camera.c: Additional debugging message.

2002-01-06 Dan Fandrich <dan@coneharvesters.com>

	* acconfig.h
	* configure.in: Added test for tm_gmtoff in struct tm

2002-01-06  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* doc/FAQ: Added a few FAQs
	
2002-01-06  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* configure.in: $prefix is set to NONE if no --prefix=/some/dir is
	  specified.

2002-01-04 Dan Fandrich <dan@coneharvesters.com>

	* libgphoto2/bayer.h
	* libgphoto2/exif.c
	* libgphoto2/exif.h
	* libgphoto2/gphoto2-filesys.c
	* libgphoto2/jpeg.c: Eliminated // comments (for non-C99 compilers)
	* configure.in: Only add gcc-specific CFLAGS if we're running gcc.
	* Minor changes to other files to improve portability.

2002-01-04  Colin Marquardt  <colin@marquardt-home.de>

	* configure.in: Add languages for new po files to ALL_LINGUAS.

	* po/de.po: Update.

2002-01-02  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* INSTALL: Added note about libusb requirements (CVS or 0.1.5)
	+ configure.in: time for 2.0beta4dev6 IMHO

2002-01-02  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/Makefile.am
	* camlibs/ * /Makefile.am: Install drivers into versioned
	  subdirectories.

2002-01-02  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* frontends/command-line/main.c: Implement proper cancelling of file
	  down- and upload.

2002-01-01  Fredrik <fredrik@krixor.xy.org>

	* frontends/command-line/main.c: Better wording in text telling
	  users to mail the gphoto-devel mailing list when something
	  goes wrong.

2001-12-31  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-filesys.[c,h] (gp_filesystem_delete_file_noop):
	  New.

2001-12-31  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* configure.in: Give users the possibility to specify the location
	  of cdk
	* frontends/command-line/gphoto2-cmd-config.c: Use fscale if
	  available
	* frontends/command-line/main.c: #if -> #ifdef

2001-12-31  Marcus Meissner <marcus@jet.franken.de>
	
	* libgphoto2/gphoto2-abilities-list.c (gp_abilitities_list_detect*):
	  Replaced wrong index into list->abilities by correct one.
	  Should make USB autodetection work again.

2001-12-30  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-abilities-list.c (gp_abilities_list_detect_usb):
	  Declare this function static - we don't want to advertise it.

2001-12-29  Marcus Meissner <marcus@jet.franken.de>
	
	* MAINTAINERS: Added myself to stv680 entry.
	* AUTHORS: Added myself.

2001-12-29  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* frontends/command-line/main.c: Show file-specific progress on
	  upload, too.

2001-12-29  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-camera.h: Add a note about
	  gp_camera_progress being deprecated.

2001-12-28  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-file.[c,h]: Implement progress reporting here.
	  That makes file upload and file download cancellable.
	* frontends/command-line/main.c: Use file-specific progress reporting.

2001-12-27 Dan Fandrich <dan@coneharvesters.com>

	* camlibs/canon/util.h
	* camlibs/kodak/dc240/library.c
	* camlibs/kodak/dc240/library.h
	* configure.in: renamed _byteorder.h to gphoto2-endian.h

2001-12-24  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: felt like 2.0beta4dev5 - and progress is inevitable.
	* frontends/command-line/main.h: added constants for USB hotplug matching
	* frontends/command-line/main.c:
	  Fixed Bug #490542: wrong match_flags at --print-usb-usermap
	  Thanks to JohnMcPherson for reporting this

2001-12-20 Dan Fandrich <dan@coneharvesters.com>

	* libgphoto2_port/m4/byteorder.m4
	* configure.in: added AC_NEED_BYTEORDER_H macro to generate _byteorder.h

2001-12-14  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* configure.in: Comment out check for ltdl.h. See comment in there.

2001-12-13  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* configure.in:
	* acconfig.h: Put the --disable-debugging option back in.

2001-12-13  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* configure.in: Fix no-ltdl.h case.

2001-12-13  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2: Use ltdl.h if available

2001-12-11  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* frontends/command-line/Makefile.am: It seems we need to 
	  LDADD libgphoto2_port.la here, too, although we LIBADDed it in
	  libgphoto2/Makefile.am to libgphoto2.la?

2001-12-11  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs: Remove references to GP_ERROR_IO_TIMEOUT - we use
	  GP_ERROR_TIMEOUT instead.

2001-12-08  Marcus Meissner <marcus@jet.franken.de>
	
	* camlibs/stv0680: Added 'capture-image'. Tried implementing a 
	  different 'capture-preview' method, but failed (yet).
	  Merged image enhancements from pencam-0.42 (sharpening, white
	  balancing, gamma enhancement). Not really perfect yet, but the
	  images do look better already.
	  Added 'get-raw-image', for getting just the (old) only bayer
	  processed images.
	* camlibs/stv0680/sharpen.[ch]: GIMP Sharpening Plugin.

2001-12-08  Marcus Meissner <marcus@jet.franken.de>
	
	* libgphoto2/bayer.[ch]: Export gp_bayer_expand. Needed if you want
	  to do a lightfilter pass right between bayer expand and bayer
	  interpolate.

2001-12-08  Marcus Meissner <marcus@jet.franken.de>
	
	* camlibs/stv0680/stv0680.html: Removed, replaced by pdf below.
	* camlibs/stv0680/680_commands_and_communication_sdk.pdf.gz:
	  Extract from STV 680 SDK describing USB command set. Supplied
	  by STM for 'interested developers'. Not officially supported.
	* camlibs/stv0680/CREDITS, README.pdf: Adjusted.

2001-12-07  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* frontends/command-line/main.c: ENABLE_DEBUGGING -> DISABLE_DEBUGGING
	* frontends/command-line/main.h: ENABLE_DEBUGGING -> DISABLE_DEBUGGING
	* libgphoto2/gphoto2-filesys.c: dump filesystem using gp_log
	* doc/gphoto2.txt: small addition about x-bit
	* doc/api/gphoto2-sections.txt: added misc. functions and constants
	* doc/api/*: reflect changed gphoto2-sections.txt
	
2001-12-07  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* configure.in:
	* acconfig.h: ENABLE_DEBUGGING -> DISABLE_DEBUGGING. If you don't, 
	  you don't get any logging in gtkam.

2001-12-07  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: it is time for 2.0beta4dev4
	* gphoto2-config.in: made it work again

2001-12-07  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* configure.in: Even more cleanup.

2001-12-07  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* configure.in: Remove dotlib hack
	* camlibs: Do it "the right way"

2001-12-07  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* configure.in: Remove some cruft that survived my auto[make,conf] 
	  cleanup
	* libgphoto2/Makefile.am: LIBADD libgphoto2_port.la

2001-12-06  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* configure.in: Use () instead of {}. That produces a warning in 
	  configure, but at least works when linking.

2001-12-05 Dan Fandrich <dan@coneharvesters.com>
	* configure.in
	* libgphoto2_port/m4/stdint.m4
	* camlibs/dimera/dimera3500.c
	* camlibs/dimera/mesalib.h
	* camlibs/panasonic/dc.c
	* camlibs/panasonic/dc.h
	* camlibs/panasonic/dc1000.c
	* camlibs/panasonic/dc1580.c
	* camlibs/panasonic/l859/l859.c
	* camlibs/panasonic/l859/l859.h: add AC_NEED_STDINT_H to configure.in
	  and change camera libraries to use C99-style size-specific integer types

2001-12-05  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	$builddir != $srcdir fixes.

2001-12-04  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2: Support for GP_FILE_TYPE_EXIF. Not that there is not
	  support for it in the frontends (yet).

2001-12-04  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-camera.c: Don't exit the camera if it is 
	  currently in use.

2001-12-02 Dan Fandrich <dan@coneharvesters.com>

	* libgphoto2_port/acconfig.h
	* libgphoto2_port/configure.in
	* libgphoto2_port/libgphoto2_port/gphoto2-port-log.c
	* libgphoto2_port/libgphoto2_port/gphoto2-port-log.h
	* frontends/command-line/main.c
	* frontends/command-line/main.h
	* acconfig.h
	* configure.in: Added --disable-debugging option to configure

2001-12-01  Marcus Meissner <marcus@jet.franken.de>

	* camlibs/stv0680: Partial rewrite.
	  Got vendor information on USB communications, moved corrected
	  definitions and return data structs into header file.
	  Merged serial and USB communications to use the same functions.
	  Rewrote almost all functions, fixed lots of bugs and added some
	  missing features.
	  Added 'delete all', 'capture image' and 'summary' functionality.
	  *** Tested with USB only. Serial testers wanted. ***

2001-12-02  Colin Marquardt  <colin@marquardt-home.de>

	* po/de.po: Update.

2001-12-01  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: it is time for 2.0beta4dev3
	* configure.in: renamed PGK_* to GPKG_*
	* doc/figures/Makefile.am: build jpg and png figures iff ENABLE_FIGURES is set
	
2001-11-30  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2:
	* doc/api: Move documentation out of the header files into the
	  templates

2001-11-29  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* README: Added paragraph about reporting bugs (using LANG=C)
	
2001-11-10 Dan Fandrich <dan@coneharvesters.com>

	* configure.in
	* frontends/command-line/Makefile.am
	* libgphoto2/Makefile.am
	* libgphoto2_port/configure.in
	* libgphoto2_port/libgphoto2_port/Makefile.am: libtool won't generate
	  shared dlopenable libraries when given -lintl and libintl is a
	  static library.  Now, only use -lintl when linking other targets.

2001-11-29  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* Makefile.am: enable RPM and CVS rules only when useful
	* configure.in: init RPM packaging
	* libgphoto2_port/m4/packaging.m4: added packaging macro

2001-11-27  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-camera.c: Update documentation.

2001-11-27  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-file.h: Fix formatting of comments: Should
	  always be
	  /** (nothing here - new line!)
	   * GP_WHATEVER: (colon!)
	   (...)

2001-11-27  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* HACKING: we prefer patches against CVS and camlibs should use
	  their own ChangeLog files
	* doc/figures/*.fig: My, we are k3wl. We have CVS $Id: ChangeLog 13144 2010-07-11 08:03:32Z dfandrich $s in PIX!
	* doc/figures/gphotofs.fig: added sketch of gphotofs idea flash
	* libgphoto2/gphoto2-file.h: added note about CRW (Canon RaW)

2001-11-27  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* camlibs/canon/canon.c: removed G2 from serial detection list
	* camlibs/canon/canon.c: split canon_int_ready into usb and serial part
	* camlibs/canon/library.c: cleaned up the "switch off" stuff
	* camlibs/konica/lowlevel.c: set_timeout, not timeout_set

2001-11-27  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-filesys.h: On Mariusz request, add a 
	  GP_FILE_INFO_TIME

2001-11-27  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-filesys.c: Recover from errors during
	  file-deletion.
	* camlibs/sierra/sierra.c: Report an error if, after delete_all, there
	  are still pictures on the camera. That makes libgphoto2 able to 
	  fix that.
	* camlibs/konica/library.c: Here, too.

2001-11-26  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/directory/directory.c (set_info_func): Rewrite
	* camlibs/ptp/library.c:
	* camlibs/fuji/fuji.c: Don't advertise what you don't support.
	* camlibs/konica/library.c (set_info_func): Rewrite
	* libgphoto2: Make *set_info consistent

2001-11-25  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* camlibs/canon/canon.h: define GP_MODULE for abbref gp_log* stuff
	* camlibs/canon/library.c: use proper MIME heuristics and types
	* camlibs/canon/usb.c: switched some log messages to GP_DEBUG()
	* libgphoto2/gphoto2-file.h: added MIME types for CRW and UNKNOWN
	* libgphoto2_port/configure.in: libintl fix
	* doc/figures/*: added figures about software architecture
	
2001-11-25  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-filesys.h: Support "downloaded"-flag through
	  CameraFileStatus.

2001-11-25  Hans Ulrich Niedermann <gp@n-dimensional.de>
	
	* configure.in: 2.0beta4dev2
	* camlibs/canon/canon.c: added support for PowerShot S30
	* camlibs/canon/canon.h: added support for PowerShot S30
	* camlibs/canon/library.c: added support for PowerShot S30
	* camlibs/canon/usb.c: added support for PowerShot S30
	* intl/Makefile.in: add include dir for config.h
	* libgphoto2_port/intl/Makefile.in: add include dir for config.h
	* doc/api/.cvsignore
	* libgphoto2_port/doc/.cvsignore: ignore -symbols.txt
	* camlibs/canon/serial.h
	* camlibs/canon/canon.c
	* camlibs/canon/usb.h: small cleanups

2001-11-25  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* camlibs/canon/{canon,library}.[ch]: renamed files according to rules
	* camlibs/canon/doc/: added developers' docs
	* po/POTFILES.in: reflect changes in canon file set

2001-11-24  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: hopefully really correct checks for libdl and libintl

2001-11-24  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* configure.in: Check for mcheck.h
	* tests: #ifdef HAVE_MCHECK_H

2001-11-23  Marcus Meissner <marcus@jet.franken.de>

	* camlibs/stv0680/library.c: Major rework of the Capture Preview
	  mode. It now supports all common formats of the camera and should
	  not stop after some captures.
	  Removed some of the double error conversions.
	
	* camlibs/stv0680/stv680.html: Some documentation fixes regarding 
	  Capture Image.
	   
2001-11-23  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-camera.c: Don't free a camera if it is 
	  currently in use. This fixes reentrancy crashes in gtkam on
	  shutdown during an operation.

2001-11-23  Colin Marquardt  <colin@marquardt-home.de>

	* frontends/command-line/options.c (usage): 
	  Make the help table format string translatable.
	  Make table lines 79 chars wide.

	* po/de.po (Message): All command line help table entries are now
	  translated.

2001-11-22  Marcus Meissner <marcus@jet.franken.de>

	* camlibs/stv0680/library.c: file_count can also use 
	  a different USB control message (0x8d), and it gets 
	  2 bytes for the number of images.

2001-11-22  Colin Marquardt  <colin@marquardt-home.de>

	* libgphoto2_port/libgphoto2_port/gphoto2-port.c (gp_port_write):
 	    Patch from Bill Marr <marr@shianet.org>:
	    Fix bug whereby hexadecimal output is erroneously 
            shown in decimal format.

2001-11-22  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* configure.in:
	* acconfig.h: No need for --with-multi any more
	* libgphoto2/gphoto2-camera.c: Add some comments about the 
	  problems with HAVE_MULTI.

2001-11-22  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-camera.[c,h]: Expose gp_camera_exit to the world.

2001-11-22  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* frontends/command-line/main.c: Mark more strings for translation

2001-11-22  Colin Marquardt  <colin@marquardt-home.de>

	* frontends/command-line/options.c: Make help descriptions
	  translatable.

2001-11-21  Colin Marquardt  <colin@marquardt-home.de>

	* frontends/command-line/main.c: Mark up more strings for
  	  translation.

	* camlibs/sierra/sierra.c: Spelling fixes.

2001-11-21  Marcus Meissner <marcus@jet.franken.de>
	
	* camlibs/stv0680/stv0680.html: Collected programming information
	  into nice HTML table.

2001-11-21  Colin Marquardt  <colin@marquardt-home.de>

	* po/POTFILES.in: Removed ../camlibs/canon/psa50.c

2001-11-21  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	I quote from an e-mail: "You (Lutz) should remove the code you added
	that broke (at least) two of the supported 'libgphoto2' camera
	libraries!!!" *sigh*. 

	* conigure.in: Add a --with-multi option and a warning that people
	  who use it will run into troubles with digita and dc240 and that
	  people who don't use it will run into troubles when using Nautilus
	  or Konqueror for browsing their camera.

2001-11-21  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-camera.[c,h]: Add a pre_func and a post_func 
	  that gets called before and after each access to the camera driver.
	* camlibs/konica/library.c: Use above functions.

2001-11-20  Gilles Grandou <gilles@grandou.net>

	* camlibs/sierra.[c,h]:
	  - intoduced camera classes, in order to customise behaviour for
	    various specific cameras.
	  - camera_init(): initialize model class in private library area,
	    initialize set_config and get_config function pointers.
	  - camera_get/set_config(): changed to address specific camera
	    classes. Currents one has been renamed for olympus cams, a new
	    one targeted to Epson cameras has been introduced. The default
	    set is pointing to Olympus for compatibility with current
	    code, but this should change in the future.
	  - camera_summary(): detect missing memory card. tested on Epson
	    3000z. added some info in summary.
	  - camera_manual(): added custom message for Epson cameras.
	    Current is targeted to Olympus ones. Default still display
	    Olympus message for compatibility.

2001-11-20  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* HACKING: covertly introducing important policy changes :-)

2001-11-20  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* configure.in: Put gettext hack in again. Someone complained...

2001-11-19  Mariusz Woloszyn <emsi@ipartners.pl>
	
	* camlibs/ptp: added camera filenames support,
	* fixed some minor and major bugs in handling unaligned
	  structures

2001-11-19  Mariusz Woloszyn <emsi@ipartners.pl>
	
	* camlibs/ptp: basic (and hacked) ptp camera functionality:
	  only JPG image and thumbnails downloading supported

2001-11-19  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* configure.in: Remove gettext hack. Let's see if someone complains...

2001-11-18  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* INSTALL: added note about RPM temporarily not working
	* doc/api/Makefile.am
	* libgphoto2_port/doc/Makefile.am: sourced out doc generation to
	  DocRules.am
	* libgphoto2_port/doc/DocRules.am: new file
	* configure.in
	* libgphoto2_port/configure.in
	* libgphoto2_port/m4/documentation.m4: disable building docs by
	  default 
	* libgphoto2_port/autogen.sh: added debug output
	* autogen.sh: added debug output & cleaned up a bit
	* configure.in: upped version to dev1 to map build errors to the
	  changes I just introduced

2001-11-18  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Patch from Ole Aamot <Ole.Aamot@nr.no>:

	* tests: Use mcheck.h (useful when searching for mem-leaks).

2001-11-18  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Patch from Bill Marr <marr@shianet.org>:

	* camlibs/digita/commands.c: Fix bug causing 8 bad trailing 
	  pixels in Digita thumbnail image download.

2001-11-17  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* frontends/command-line/options.c: Mark some more strings for
	  translation.

2001-11-17  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: changed package name from gphoto to gphoto2
	* configure.in: changed version from 2.0beta4 to 2.0beta4dev0 to
	  distinguish bug reports from various stages of beta4 development
	* camlibs/sonydscf1/README: added remark about general state of driver
	* libgphoto2_port/intl/Makefile.in
	* intl/Makefile.in: fixed incorrect location of config.h

2001-11-17  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* frontends/command-line: Fix translation. You use N_(...) to _mark_ a
	  string for translation. In order to convert it, you need to call
	  _(...). That is, call gp_camera_get_error in order to get a string
	  and after that, convert this string using _(...) before displaying
	  it.

2001-11-17  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/ptp/ptp.[c,h]: Hide some internals
	* frontends/command-line/main.c: Fix translation by calling
	  setlocale (LC_ALL, "") (?).

2001-11-17  Colin Marquardt  <colin@marquardt-home.de>

	* libgphoto2_port/configure.in (BUILD_INCLUDED_LIBINTL): Added
	  'de' to ALL_LINGUAS.

	* libgphoto2_port/po/de.po: Added translation.

2001-11-16  Hans Ulrich Niedermann <gp@n-dimensional.de>

	After Scott just released beta3, I tried to tag the correct file
	revisions as gphoto-2_0beta3.

	* configure.in: changed version number to 2.0beta4dev0 so we can
	  distinguish logs with the finer grain revisions. Just increase
	  the last number every time you made some changes that could
	  break or fix something of interest.

2001-11-15  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/ptp: Remove a whole lot of warnings, remove unnecessary
	  PTPResult (we've got PTP_RC_*), flesh out library.c a bit - still
	  not functional, though.

2001-11-15  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Patch from Greg Ingram <ingram@symsys.com>, slightly reworked:

	* camlibs/polaroid/pdc700.c: Make the assumption that we need to 
	  deal with multiple packets only on PDC700_PIC and PDC700_THUMB.

2001-11-15  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* MAINTAINERS: Move camlibs/ptp up to regain alphabetical order.

2001-11-15  Mariusz Woloszyn <emsi@ipartners.pl>

	* camlibs/ptp/: Started PTP support library developement

2001-11-15  Colin Marquardt  <colin@marquardt-home.de>

	* po/de.po: Update.

2001-11-15  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/ptp: Basic structure for a new driver.

2001-11-14  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/polaroid/pdc700.c: Introduce enum PDCConf for better
	  readability (instead of #define).
	  (camera_set): Renamed into (pdc700_config) for consistency reasons.
	  (camera_get_config): Implement date and time here.
	  (camera_summary): I don't quite get it - this should read 2000 here
	  instead of 0 for V3.10? If not, please revert this and correct
	  both the remark in PDCDate and the code in camera_get_config.

2001-11-14  Greg Ingram <ingram@symsys.com>

	* camlibs/polaroid/pdc700.c: 
	  - boosted the preferred baudrate to 115200
	  - discovered the self-timer state datum 
	  - discovered how to set the camera's configuration, added 
	    camera_get_config() and camera_set_config() routines and flagged 
	    the config operation
	  - added some delaying tactics in pdc700_capture()
	  - added usb vendor/product ids (no, usb doesn't work yet)
	
2001-11-14  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* cammlibs/agfa/agfa.c: Initialize a.speed[0] to 0 instead of 
	  leaving it uninitialized.

2001-11-13  Hubert Figuiere  <hfiguiere@teaser.fr>

	* camlibs/kodak/dc240/library.c: Handle GP_ERROR_IO_TIMEOUT errors. Better
	  handling of checksums. (patch by Peter Fales <psfales@lucent.com>)
	* camlibs/kodak/dc240/dc240.c (camera_init): camera reset sends garbage
	  within the 1500ms timeout. Handle that properly with 2 read. (patch by
	  Peter Fales <psfales@lucent.com>)

2001-11-13 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-filesys.c: Adjust filename only for thumbnails,
	  audio files, etc, not for normal pictures.

2001-11-12 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* configure.in:
	* libgphoto2/libgphoto-2.0.pc.in: Renamed to ...
	* libgphoto2/libgphoto2.pc.in: ... this. It seems that people 
	  really want our project to be called libgphoto2 and not libgphoto...
	  Therefore, be consistent here, too.

2001-11-11 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* frontends/command-line/main.c: Add a switch for GP_FILE_TYPE_AUDIO.

2001-11-10 Dan Fandrich <dan@coneharvesters.com>

	* libgphoto2/jpeg.[ch]: moved array definitions from .h to .c
	* libgphoto2_port/serial/unix.c: changed serial port prefix for Darwin

2001-11-10 Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libghoto2_port/doc/Makefile.am
	* doc/api/Makefile.am: fixed condition rules (added else targets)

2001-11-10  Fredrik <fredrik@krixor.xy.org>

	* camlibs/canon/canon.c: Clear all of camera->pl right after
	  malloc(). psa50_eot needed explicit clearing. This was
	  causing problems with serial communication.
	* camlibs/canon/psa50.c: Don't free psa50_serial_dialogue()'s
	  receive buffer in psa50_get_disk(). This caused us to dump
	  core when accessing serial canon cameras.

2001-11-10  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/polaroid/pdc700.c: PPM-thumbnails are 9600 bytes, not
	  4800. Sorry, guys. Should work again.

2001-11-10  Greg Ingram <ingram@symsys.com>

	* camlibs/polaroid/pdc700.c: Report
	  memory size, power source, mode, and auto-power-off time  
	  in the camera_summary.

2001-11-09  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Patch from Greg Ingram <ingram@symsys.com>, unfortunatelly without
	ChangeLog entry...

	* camlibs/polaroid/pdc700.c: Report lcd state and caption (?) in 
	  the camera_summary.

2001-11-09  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/sierra: Clean up header files (hide internals, make
	  functions static)

2001-11-08  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/sierra: Improve error reporting. Use register 47 for 
	  pic-info retrieval. Support GP_FILE_TYPE_AUDIO.

2001-11-08  Chris Pinkham <cpinkham@infi.net>

	* camlibs/jamcam/README
	  camlibs/jamcam/jamcam.c
	  camlibs/jamcam/library.h
	  camlibs/jamcam/library.c: made downloading images more robust and
	  added better error recovery.  Added support for downloading images
	  from MMC card.  Changed summary info to show support for v2 cameras.
	  Fixed gp_camera_progress percentage argument to be >0 and <1.

2001-11-08  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-filesys.h: Expand CameraFileInfo to include 
	  information about audio data, too.

2001-11-08  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Patches from Greg Ingram <ingram@symsys.com>:

	* camlibs/polaroid/pdc700.c: Lots of new stuff

2001-11-06  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* gphoto2-file.c: Added GP_FILE_TYPE_AUDIO for cameras that can
	  attach audio data to a picture.

2001-11-06  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Patch by Peter Jay Salzmann <p@dirac.org> (slightly adapted):

	* camlibs/polaroid/pdc700.c: Tell the user about the current image
	  quality setting.

2001-11-06  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-filesys.c: Don't trust the camera libraries,
	  set name, type, and adjust name for mime type after getting a file.

2001-11-06  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Chris Pinkham <cpinkham@corp.infi.net> decoded the thumbnails:

	* camlibs/polaroid/pdc700.c: Convert the thumbnails from YUV 2:1:1
	  to PPM.

2001-11-06  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/polaroid/pdc700.c: Fix memmove (third parameter is # of
	  bytes to be moved). Display version information in camera_summary.

2001-11-05  Colin Marquardt  <colin@marquardt-home.de>

	* po/de.po: Update. Convert quote signs to the ones recommended by
                    the folks at de@li.org.

2001-11-05  Chris Pinkham <cpinkham@infi.net>

	* camlibs/jamcam/jamcam.c
	  camlibs/jamcam/library.c: added initial support for MMC card on
	  Jamcam v3 cameras.  added more error checking.  changed camera
	  model string to "KBGear JamCam" instead of
	  "KBGear JamCam v3.0" since driver supports both v2 and v3
	  cameras now.

2001-11-05  Marcus Meissner <marcus@jet.franken.de>

	* camlibs/jd11: Implemented progress reporting.

2001-11-05  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/polaroid/pdc700.c: Checksum is only 1 byte long.

2001-11-05  Chris Pinkham <cpinkham@infi.net>

	* camlibs/panasonic/coolshot/coolshot.c
	  camlibs/panasonic/coolshot/library.c
	  camlibs/jamcam/jamcam.c
	  camlibs/jamcam/library.c: added support for gp_camera_progress().
	  Fixed bug in jamcam driver jamcam_file_count() routine.

2001-11-05  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/polaroid/pdc700.c: Timeout = 2sec, try each speed 2 times.

2001-11-05  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/sierra/PROTOCOL: Updated (upload).

2001-11-04  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/polaroid/pdc700.c: While searching the archives, I found
	  some dumps and saw that there is something wrong with the logic in
	  pcd700_read. Why didn't anyone fix?

2001-11-04  Stephane Castejon <scastejo@club-internet.fr>

	* liggphoto2/gphoto2-result.c,h : remove GP_ERROR_LOW_BATTERY
	* camlibs/sierra/library.c : add an error message regarding the
	  low battery level.

2001-11-04 Hans Ulrich Niedermann <gp@n-dimensional.de>

	* frontends/command-line/interface.c: clarified comment
	* frontends/command-line/main.c: added note for user that the
	  error msg from _set_error may be unrelated to real error
	* libgphoto2/gphoto2-filesys.c: improved comment for
	  gp_filesystem_set_file_funcs() 
	* libgphoto2_port/doc/Makefile.am: added dependencies like in
	  doc/api/Makefile.am - rebuilds docs now 

	* libgphoto2_port/doc/gphoto2-port-sections.txt
	* libgphoto2_port/libgphoto2_port/gphoto2-port-log.c
	* libgphoto2_port/libgphoto2_port/gphoto2-port-log.h:
	  reintroduced GPLogLevel for log levels instead of int. maintains
	  source compatibility.

	* libgphoto2_port/usb/libusb.c: fixed classification of success
	  msg; clarified one error message 
	
	* camlibs/sonydscf55/sony.c: prepare for building docs

	* camlibs/canon/canon.c:
	  - models[] now ends with { NULL, 0, 0, 0 } instead of { 0, 0, 0 }
	  - is_image now is true for both .JPG and .CRW images
	  - changed several calls to gp_debug* to GP_DEBUG
	  - added lots of comments and made existing ones gtkdoc-able
	  - added debug code to _get_file_path
	* camlibs/canon/canon.h: #define GP_MODULE "canon"
	* camlibs/canon/psa50.c:
	  - added, improved and gtkdoc-abled comments for functions
	    that are likely to survive restructuring
	  - changed several calls to gp_debug* to GP_DEBUG

2001-11-03  Stephane Castejon <scastejo@club-internet.fr>

	* camlibs/sierra/sierra.c,h
	* camlibs/sierra/library.c,h
	Add support for the upload feature.
	Replace gp_port_settings_[get/set] by gp_port_[get/set]_settings

	* liggphoto2/gphoto2-result.c,h : add GP_ERROR_LOW_BATTERY

2001-11-03 Marcus Meissner <marcus@jet.franken.de>

	* camlibs/template/template.c: Make it compile with current libraries.
	  Added NLS macros, missing functions, etc.

2001-11-03 Marcus Meissner <marcus@jet.franken.de>
	
	* camlibs/agfa/agfa.c
	* camlibs/barbie/barbie.c
	* camlibs/canon/psa50.c
	* camlibs/digita/digita.c
	* camlibs/dimera/dimera3500.c
	* camlibs/jamcam/jamcam.c
	* camlibs/jd11/jd11.c
	* camlibs/panasonic/dc1000.c
	* camlibs/panasonic/dc1580.c: 
	  If we check for 'ENABLE_NLS', we need to include <config.h>.
	  Fix 'redefinition of _' compile warnings due to broken copy & pasted
	  macro.

2001-11-01 Marcus Meissner <marcus@jet.franken.de>
	
	* camlibs/jd11:
	  - added Bayer interpolation, kept old mode as 'raw'.
	  - added configuration widgets and calls for Bulb Exposure Time
	    and Color Weighting
	  - fixed number of images for 0 images (was returning 1)
	  - cleaned up several functions in regard to GP_ return values.
	  - added resend commands to the packet reader.
	  - Added the I/O Magic MagicImage 420 as compatible camera.
	* camlibs/jd11/jd11.html: Added more information gained from the
	  Twain drivers.

2001-11-01 Marcus Meissner <marcus@jet.franken.de>
	
	* frontends/command-line/main.c: x was not set to 0 before listing
	  serial speeds leading to corrupt output.

2001-11-01 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-filesys.c: Fix bug (folder deletion)

2001-11-01 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Patch from Chris <adapt@ihug.co.nz>:

	* frontends/command-line/main.c: Don't gp_file_free twice

2001-10-28 Hans Ulrich Niedermann <gp@n-dimensional.de>

	* packaging/rpm/package.spec.in: cleaned up file lists, moved .a and .la to -devel
	
2001-10-31 Dan Fandrich <dan@coneharvesters.com>

	* camlibs/agfa/Makefile.am
	* camlibs/barbie/Makefile.am
	* camlibs/canon/Makefile.am
	* camlibs/casio/Makefile.am
	* camlibs/digita/Makefile.am
	* camlibs/dimera/Makefile.am
	* camlibs/directory/Makefile.am
	* camlibs/fuji/Makefile.am
	* camlibs/jamcam/Makefile.am
	* camlibs/jd11/Makefile.am
	* camlibs/jd350e/Makefile.am
	* camlibs/kodak/dc120/Makefile.am
	* camlibs/kodak/dc210/Makefile.am
	* camlibs/kodak/dc240/Makefile.am
	* camlibs/kodak/dc3200/Makefile.am
	* camlibs/konica/Makefile.am
	* camlibs/minolta/dimagev/Makefile.am
	* camlibs/panasonic/Makefile.am
	* camlibs/panasonic/coolshot/Makefile.am
	* camlibs/panasonic/l859/Makefile.am
	* camlibs/polaroid/Makefile.am
	* camlibs/samsung/Makefile.am
	* camlibs/sierra/Makefile.am
	* camlibs/sonydscf1/Makefile.am
	* camlibs/sonydscf55/Makefile.am
	* camlibs/stv0680/Makefile.am
	* camlibs/template/Makefile.am
	* libgphoto2_port/serial/Makefile.am
	* libgphoto2_port/usb/Makefile.am: added -module flag to libtool link 
	  command for each library that is dlopen'ed

2001-10-31 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/bayer.c: Remove unused variable
	* libgphoto2/gphoto2-camera.c: Use the library handle in order
	  to check if the camera has been initialized. Make it possible
	  to call gp_camera_set_[port_info,abilities] on an already
	  initialized camera.

2001-10-31 Dan Fandrich <dan@coneharvesters.com>

	* camlibs/dimera/*.c: use renamed get/set functions, gp_camera_set_error

2001-10-30  Hubert Figuiere  <hfiguiere@teaser.fr>

	* README: added a few USB Mass storage cameras.

2001-10-30 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/polaroid/pdc640.c: If you malloc memory for camera->pl, 
	  free it in camera_exit.

2001-10-30 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* frontends/command-line/gphoto2-cmd-config.c:
	  Implement GP_WIDGET_TEXT and GP_WIDGET_TOGGLE
	* camlibs/directory/directory.c: Expand configuration dialog
	  for testing purposes. Additions #ifdef'd out.

2001-10-30 Fredrik <fredrik@krixor.xy.org>

	* frontends/command-line/interface.c: Since status messages are
	  now written to stderr, flush stderr instead of stdout.

2001-10-30 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* frontends/command-line/main.c: Be more elaborate about wrong ports.
	  Fixes #475320

2001-10-30 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* frontends/command-line/main.[c,h]: Fix --capture-image

2001-10-29 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* frontends/command-line/interface.c: Suppress empty status
	  messages. Those indicate that we should _clear_ the status and 
	  not print _anything_.
	* frontends/command-line/main.c: No need for gp_camera_init 
	  anymore
	* libgphoto2/gphoto2-camera.c: Make sure the camera is 
	  initialized.

2001-10-29 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-abilities-list.c: Additional debug message. Spews
	  a lot of output, but people get segfaults when loading camera 
	  libraries and we need to know on which library.

2001-10-29 Marcus Meissner <marcus@jet.franken.de>

	* camlibs/jd11/jd11.c: Added Quark Probe 99, Argus DC-100 and DC-2000
	  as compatible models. Reported by Russ Burdick.

2001-10-28 Hans Ulrich Niedermann <gp@n-dimensional.de>

	* TESTERS: added list of volunteer testers to the source distribution
	* frontends/command-line/interface.c: moved status msgs to stderr
	* libgphoto2/gphoto2-abilities-list.c: don't scan USB for ID 0, 
	  better (?) error handling and reporting
	* libgphoto2_port/libgphoto2_port/gphoto2-port.c: removed report 
	  about param that is only passed on
	* libgphoto2_port/usb/libusb.c: improved error reporting
	* packaging/usbcam.console: improved chown/chmod handling 
	  (race condition removed)
	* packaging/rpm/package.spec.in: begun support for automatic file lists

2001-10-27 Marcus Meissner <marcus@jet.franken.de>

	* camlibs/jd11: New Jenoptik JD11 driver for gphoto2.
	* configure.in: added jd11 subdirs
	* MAINTAINERS: added myself

2001-10-27 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/canon/canon.c: rmdir/mkdir support
	* camlibs/canon/psa50.c (psa50_directory_operations): Consistently
	  return a gphoto2 error code.
	* camlibs/directory: Add rmdir/mkdir support
	* libgphoto2/gphoto2-camera.[c,h]
	* libgphoto2/gphoto2-filesys.[c,h]: Add rmdir/mkdir support

2001-10-26 Hans Ulrich Niedermann <gp@n-dimensional.de>

	* Makefile.am: moved spec file to packaging/rpm/
	* Makefile.am: added CDPATH warning, rpm target and cvs-tags target
	* gphoto.spec.in: moved spec file to packaging/rpm/package.spec.in
	* configure.in: added packaging/rpm/Makefile.am
	* configure.in: moved spec file to packaging/rpm/
	* packaging/Makefile.am: added rpm/, removed README.rpm
	* packaging/rpm/: new directory with Makefile.am and .cvsignore
	* packaging/Makefile.am: use @PACKAGE@-@VERSION@.spec for the SRPM file
	* packaging/README.rpm: removed obsolete how-to-build-a-RPM docs
	* packaging/rpm/README.rpm: added new this-is-how-our-RPM-works-internally docs
	* libgphoto2_port/po/POTFILES.in: gphoto2-port.c, not gp_port.c

2001-10-26 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/canon/serial.c: gp_port_pin_get -> gp_port_get_pin

2001-10-26 Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libgphoto2/gphoto2-debug.h: reformatted a little bit (more comments)
	* packaging/Makefile.am: fixed typo resulting in wrong dir creation
	* camlibs/fuji/.cvsignore: added (copied .cvsignore from camlib/canon)
	* doc/api/.cvsignore: added scan
	* intl/.cvsignore: added po2tbl.sed
	* libgphoto2_port/intl/.cvsignore: added po2tbl.sed
	* libgphoto2_port/doc/.cvsignore: added scan and tmpl
	* camlibs/canon/util.c: added explanatory comment
	* camlibs/samsung/samsung.c: added #include <string.h>
	* camlibs/canon/psa50.c: added function prototypes
	* libgphoto2/exif.c: added function prototypes
	* tests/test-gphoto2.c_ replaced exit() by return() in main()

2001-10-26 Fredrik <fredrik@krixor.xy.org>

	* camlibs/canon/.indent.pro:
	  Added -T GPPort and some other types
	* camlibs/canon/psa50.c:
	* camlibs/canon/psa50.h:
	* camlibs/canon/canon.c:
	* camlibs/canon/serial.c:
	* camlibs/canon/util.c:
	  Moved all global variables into camera->pl.
	  Re-indented.
	  Fixed small memory leak in update_disk_cache().
	  Renamed psa50_dir to canon_dir since a comment said to do
	  so when merging with more camera models (something that
	  was done a long time ago).
	  Added some comments.
	  Added/improved debugging output.
	  Cleaned out some superfluous debugging I forgot in my last
	  big patch.

2001-10-26 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* include: Move everything from here ...
	* libgphoto2: ... to here.

2001-10-26 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2: Adapt to changes in libgphoto2_port

2001-10-26 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* frontends/command-line/gphoto2-cmd-capture.c: Adjust brighness
	  and contrast with arrow keys

2001-10-26 Dan Fandrich <dan@coneharvesters.com>

	* libgphoto2_port/include/gphoto2-portability.h:
	* libgphoto2_port/include/gphoto2-port-parallel.h:
	* libgphoto2_port/include/gphoto2-port-serial.h:
	* libgphoto2_port/serial/unix.c:
	* libgphoto2/jpeg.c:
	  Preliminary support for OS X/Darwin

2001-10-26 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* configure.in: Check for jpeglib and aalib.
	* frontends/command-line/main.c
	* frontends/command-line/Makefile.am
	* frontends/command-line/gphoto2-cmd-capture.[c,h]: New. Display 
	  the preview prior saving it.

2001-10-24 Hans Ulrich Niedermann <gp@n-dimensional.de>

	* gphoto.spec.in: hotplug dependency is a prereq not a requires
	  (patch by Tim Waugh <twaugh@redhat.com>)

2001-10-25 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/canon/serial.[c,h]: No need to set the port path anywhere.
	  This is fully handled by gphoto2. That is: gp_settings_get, 
	  adjust what needs to be adjusted, and then gp_settings_set.
	* camlibs/canon/canon.c: Adjust parameters to canon_serial_init
	* camlibs/digita/serial.c: there is no dev->device_fd any more

2001-10-25 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* frontends/command-line/main.c: Remember --camera and --port

2001-10-25 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* frontends/command-line/main.c: Adapt to changes in gphoto2-port
	* libgphoto2: Here, too.

2001-10-24 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* configure.in
	* acconfig.h: Check for CDK
	* frontends/command-line/Makefile.am
	* frontends/command-line/gphoto2-cmd-config.[c,h]: New
	* frontends/command-line/main.c: Hook up --config

2001-10-25  Colin Marquardt  <colin@marquardt-home.de>

	* (Repository): s/retreiv/retriev/g

2001-10-24 Hans Ulrich Niedermann <gp@n-dimensional.de>

	* camlibs/jamcam/library.h: removed completely unnecessary compiler
	  warning
	* camlibs/sonydscf1/command.c: added #include <string.h> and
	hopefully fixed calls to strndup 
	* frontends/command-line/main.c: added debug output of guessed
	port, moved debugging interface to final log level handling,
	output logging information on stderr instead of stdout 
	* libgphoto2/exif.[ch]: moved definition of tagnames[]= from
	exif.h to exif.c, left an extern decl
	* libgphoto2/gphoto2-debug.c: simplified gp_debug_printf by using
	gp_logv instead of gp_log
	* libgphoto2_port/libgphoto2_port/gphoto2-port-log.c: moved to
	final log level mechanism, undefine HEXDUMP_ constants after use
	* libgphoto2_port/libgphoto2_port/gphoto2-port-log.h: moved to
	final log level mechanism using lots of comments


2001-10-24  Colin Marquardt  <colin@marquardt-home.de>

	* po/de.po: Update.

2001-10-24 Hans Ulrich Niedermann <gp@n-dimensional.de>

	* doc/gphoto.txt: adapted to new hotplug scripts
	* packaging/Makefile.am: add hotplug scripts to docs when installing
	* packaging/Makefile.am: add README.rpm
	* packaging/README.rpm: added RPM build instructions

2001-10-23 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Bug reported by David Robert <david@ombrepixel.com>:

	* frontends/command-line/shell.c: Fix bug (leading blanks with
	  filenames)

2001-10-23 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-core.[c,h]: Removed. All functions redirected
	  to gphoto2-abilities-list. Caching of this list should be done 
	  in the frontend.
	* frontends/command-line/main.c: Don't use gp_autodetect.
	* libgphoto2/setting.c: Move some initialization stuff from 
	  gphoto2-core to here.

2001-10-23 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs: Remove every reference to gp_camera_result_as_string
	  including camera->functions->result_as_string. It was mostly
	  unused anyways.
	* frontends/command-line/main.c: No history any more
	* libgphoto2/gphoto2-camera.[c,h] (gp_camera_[get,set]_error): New

2001-10-23 Hans Ulrich Niedermann <gp@n-dimensional.de>

	* camlibs/canon/util.c: made canon debug use gp_log. 
	  this makes canon drv to compile again

2001-10-23 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Patch from Fredrik <fredrik@krixor.xy.org>:

	* libgphoto2/gphoto2-debug.c: Bug fix

2001-10-23 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Patch from Carsten Weinholz <c.weinholz@netcologne.de>, slightly
	modified (removed unnecessary //-comments, indentation):

	* camlibs/stv0680: Added support for "Aiptek PenCam Trio"

2001-10-22 Hans Ulrich Niedermann <gp@n-dimensional.de>

	* packages/usbcam.group: added. linux-hotplug script
	* packages/usbcam.console: added. linux-hotplug script
	* packages/Makefile.am: added.
	* packages/.cvsignore: added.
	* gphoto.spec.in: simplified a bit (only gphoto and 
	  gphoto-devel, no lib* packages any more). added hotplug support.
	* configure.in: added packaging/
	* Makefile.am: added packaging/, added .tar.bz2 dist support

2001-10-22 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* frontends/command-line/main.c: Don't use gphoto2-core.h - use
	  gphoto2-abilities-list.h.

2001-10-22 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* frontends/command-line/main.c: Adjust to changes in
	  gphoto2-port-log.h.

2001-10-22 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/canon: Use camera->pl instead of camera->camlib_data.
	  Add warning about use of global variables.
	* libgphoto2/gphoto2-camera.h: Remove camera->camlib_data.

2001-10-22 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/canon/canon.c: Use the CameraFilesystem. Declare some
	  functions static.
	* libgphoto2/gphoto2-camera.[c,h]: We now use the CameraFilesystem
	  exclusively - major cleanup. 

2001-10-22 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-camera.c: Autodetect also in case of 
	  camera->port != NULL.
	* frontends/command-line/main.c: Only call gp_camera_set_abilities
	  if a model has been specified. Same with gp_camera_set_port_path.

2001-10-22 Fredrik <fredrik@krixor.xy.org>

	* camlibs/canon/psa50.c:
	Added all USB commands to a nice structure so that you call
	psa50_usb_dialogue() with a function identifier and don't have to keep
	track of cmd1,cmd2,cmd3 and length of camera reply.

	* camlibs/canon/psa50.c:
	Separated the "returns L (long) data" commands from psa50_usb_dialogue()
	and made a new psa50_usb_long_dialogue() that handles these correctly.
	This should fix a number of problems with those kinds of transfers (I
	previously fixed this for get_file, now it is fixed for all functions
	using this). Large directorys filling more than one USB bulk packet
	probably never worked before, but should work now.

	* camlibs/canon/canon.c:
	* camlibs/canon/psa50.c:
	* camlibs/canon/serial.c:
	* camlibs/canon/usb.c:
	Improved function error reporting for fetching of thumbnails and
	pictures and at the same time fixed a one-byte-per-pic-downloaded memory
	leak ;)

	Added lots of error checking and better debug result reporting to various
	functions.

	Changed hard-coded attribute values to easier-to-understand-and-maintain
	defines.

	Changed a bunch of fprintf() and perror() to gp_debug_printf().

2001-10-21 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* doc/api: Some additions
	* libgphoto2/Makefile.am
	* libgphoto2/gphoto2-library.c: Dummy file, needed by gtk-doc
	* libgphoto2/gphoto2-camera.[c,h]: Updated documentation

2001-10-21 Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libgphoto2_port/libgphoto2_port/gp_port.c: log USB IDs in hex instead of decimal

2001-10-20 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/kodak/dc120: Prepare for camera->camlib_data removal. Fix
	  compile warnings

2001-10-20 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/kodak/dc3200: Prepare for camera->camlib_data removal.

2001-10-20 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/panasonic: Prepare for camera->camlib_data removal. Fix lots
	  of compile warnings. Remove gp_port_[close,free,new] (sic).

2001-10-20 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/agfa/commands.h: Unused -> removed.
	* camlibs/agfa/Makefile.am: Reflect above.
	* camlibs/agfa/agfa.[c,h]: Use camera->pl instead of
	  camera->camlib_data. Fix small memory leak in camera_init (in case
	  of error).

2001-10-20 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/minolta/dimagev/dimagev.[c,h]: Prepare for removal of
	  camera->camlib_data. Fix memory leaks (in case of errors).

2001-10-20 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/digita:
	* camlibs/dimera: Prepare for elimination of camera->camlib_data.
	* camlibs/konica: Some additional debugging messages

2001-10-20 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-camera.[c,h] (gp_camera_get_port_speed): New

2001-10-20 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/kodak/dc240/library.c: Don't access a CameraFile directly.
	  This lets us ...
	* libgphoto2/gphoto2-file.[c,h]: ... make internals of CameraFile
	  private. Header file moved from include over to here in order to
	  prepare for documentation

2001-10-20 Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs: Instead of camera->port_info->speed, use
	  settings.serial.speed. That lets us ...
	* libgphoto2/gphoto2-camera.[c,h]: ... remove camera->port_info

2001-10-20 Hans Ulrich Niedermann <gp@n-dimensional.de>

	* gphoto.spec.in: made RPM spec file work for 1st time

2001-10-20 Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in
	* include/.cvsignore
	* libgphoto2_port/configure.in
	* libgphoto2_port/include/.cvsignore: moved config.h and stamp-h to include/

2001-10-20 Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libgphoto2_port/stamp-h.in: removed as file is generated automatically anyway
	* libgphoto2_port/doc/Makefile.am
	* doc/api/Makefile.am: added DESTDIR to installation of html files
	* gphoto.spec.in: use DESTDIR for installation
	* .cvsignore: ignore *.tar.{bz2,gz}
	* HACKING: added licensing paragraph (LGPL vs. GPL)

2001-10-20 Hans Ulrich Niedermann <gp@n-dimensional.de>

	* Makefile.am
	* camlibs/agfa/Makefile.am
	* camlibs/barbie/Makefile.am
	* camlibs/canon/Makefile.am
	* camlibs/digita/Makefile.am
	* camlibs/dimera/Makefile.am
	* camlibs/directory/Makefile.am
	* camlibs/jd350e/Makefile.am
	* camlibs/kodak/Makefile.am
	* camlibs/kodak/dc120/Makefile.am
	* camlibs/kodak/dc240/Makefile.am
	* camlibs/kodak/dc3200/Makefile.am
	* camlibs/konica/Makefile.am
	* camlibs/minolta/Makefile.am
	* camlibs/minolta/dimagev/Makefile.am
	* camlibs/panasonic/Makefile.am
	* camlibs/polaroid/Makefile.am
	* camlibs/sierra/Makefile.am
	* camlibs/sonydscf1/Makefile.am
	* camlibs/stv0680/Makefile.am
	* doc/api/Makefile.am
	* frontends/command-line/Makefile.am
	* libgphoto2_port/Makefile.am
	* libgphoto2_port/doc/Makefile.am
	* libgphoto2_port/include/Makefile.am
	* libgphoto2_port/libgphoto2_port/Makefile.am
	* libgphoto2_port/serial/Makefile.am
	* libgphoto2_port/usb/Makefile.am
	* camlibs/Makefile.am: added missing files to EXTRA_DIST and/or *_SOURCES

2001-10-19 Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libgphoto2_port/libgphoto2_port/Makefile.am: use $(libdir) as library directory
	* libgphoto2/Makefile.am: moved docs to DOC_DIR
	* libgphoto2_port/Makefile.am: added m4/ directory, moved docs to DOC_DIR
	* libgphoto2_port/autogen.sh: add m4/ dir for aclocal
	* libgphoto2_port/configure.in: add m4/ dir, sourced out doc stuff, new version, check for install
	* libgphoto2_port/doc/Makefile.am: moved to $(htmldir)
	* libgphoto2_port/m4/documentation.m4: added sourced out doc stuff
	* libgphoto2_port/m4/Makefile.am: added
	* doc/Makefile.am: added docs in DOC_DIR
	* doc/api/Makefile.am: moved to $(htmldir)
	* configure.in: sourced out doc stuff, check for install
	
2001-10-19 Dan Fandrich <dan@coneharvesters.com>

    * frontends/command-line/main.c: Added automatic port type guessing
      when the type isn't specified

2001-10-19  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/casio
	* camlibs/polaroid
	* camlibs/barbie
	* camlibs/dimera
	* camlibs/jamcam
	* camlibs/panasonic/coolshot
	* camlibs/samsung: Use camera-fs and get_file_func

2001-10-19  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/kodak/dc240: Use camera->fs - this should fix file deletion
	  that I broke earlier.
	* camlibs/kodak/dc3200: Use camera->fs. Don't use
	  gp_port_[new,free,open,close]. Declare some functions static in
	  order to fix compile warnings.

2001-10-18  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* frontends/command-line/main.c: Port to gp_log
	* libgphoto2/gphoto2-debug.[c,h]: Clean up even more.
	* po/POTFILES.in: Add frontends/command-line/main.c

2001-10-18  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/digita/digita.c: Fix compile warnings ("static ..."). Use
	  camera->fs.

2001-10-18  Fredrik <fredrik@krixor.xy.org>

	* frontends/command-line/main.c: Only try to set port speed if port
	  begins with 'serial' since gp_camera_set_port_speed() now fails
	  if called for non-serial port.

2001-10-18  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/canon.c: Don't use camera->model.
	* libgphoto2/gphoto2-camera.[c,h]: Remove camera->model.

2001-10-18  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/polaroid/pdc320.[c,h]: Don't use camera->model.

2001-10-18  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/sonydscf55: Use camera->pl, fix compile warnings

2001-10-18  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/panasonic/l859
	* camlibs/sierra: Use camera->pl

2001-10-17  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs: Don't use camera->port_info->path. This one has already
	  be set by gphoto2

2001-10-17  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/directory/directory.c: Use camera->fs exclusively.

2001-10-17  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/jd350e: Use camera->port directly. 

2001-10-17  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/stv0680: Make direct use of camera->port. Kill compile 
	  warnings by declaring some functions static.

2001-10-17  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/konica/library.c: Use camera->pl
	* libgphoto2/gphoto2-camera.[c,h]: Move lots of internals into 
	  camera->pc (for core use only) and offer hook for camera libraries
	  (camera->pl) and frontends (camera->pf)

2001-10-17  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* frontends/command-line/main.c: Use gp_log.
	* libgphoto2/gphoto2-debug.[c,h]: Use gp_log.

2001-10-17  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-debug.c: Make tranition to gp_log_*
	* camlibs/sierra: Adjust parameters of camera_capture

2001-10-17  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* README: no glib-dependency any more
	* camlibs: gp_abilities_new doesn't exist any more
	* doc/api: Even more documentation
	* libgphoto2/gphoto2-abiltiies.h: Cleaned up.
	* libgphoto2/gphoto2-abilities-list.c: Documented

2001-10-16  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Patch from Dan Fandrich <dan@coneharvesters.com>:

	* libgphoto2/gphoto2-abilities-list.c:
	* libgphoto2/gphoto2-camera.c: Make models case-insensitive.

2001-10-16  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-camera.[c,h]: Documented

2001-10-16 Dan Fandrich <dan@coneharvesters.com>

	* camlibs/dimera/*: added i18n support; improved error returning
	* po/POTFILES.in: added dimera3500.c

2001-10-16 Hans Ulrich Niedermann <gp@n-dimensional.de>

	* doc/api/.cvsignore: added tmpl directory and .cvsignore~

2001-10-16 Hans Ulrich Niedermann <gp@n-dimensional.de>

	* camlibs/casio/casio-qv.c:
	* camlibs/dimera/dimera3500.c:
	* camlibs/dimera/mesalib.c:
	* camlibs/sonydscf55/sony.c:
	* libgphoto2/abilities.c:
	* libgphoto2/gphoto2-abilities-list.c:
	* tests/test-filesys.c: added #include lines that should have already been there

2001-10-16 Hans Ulrich Niedermann <gp@n-dimensional.de>

	* frontends/command-line/main.c: added package and version to debug msgs
	* frontends/command-line/main.c: added --print-usb-usermap command
	* frontends/command-line/main.h: added definition name of hotplug script

2001-10-16  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* frontends/command-line/main.c: Use gp_camera_set_abilities.
	* include/gphoto2-camera.h:
	* libgphoto2/camera.c:Introduce gp_camera_[set,get]_abilities.

2001-10-16  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-result.[c,h]: GP_ERROR_NOT_SUPPORTED now in
	  libgphoto2_port.

2001-10-16  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/camera.c:
	* camlibs/konica/library.c:
	* camlibs/kodak/dc240/dc240.c:
	* camlibs/sierra: GP_ERROR_IO_UNKNOWN_PORT -> GP_ERROR_UNKNOWN_PORT
	* frontends/command-line: Kill warnings
	* configure.in: There are now some header files in
	  libgphoto2_port/libgphoto2_port
	* include/gphoto2-camera.h: Use the new GPPort and GPPortInfo

2001-10-16  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Bug found by Fredrik <fredrik@krixor.xy.org>:

	* doc/api/Makefile.am: Don't if-out everything.

2001-10-16  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Bug found by Colin Marquardt <colin@marquardt-home.de>:

	* doc/api/Makefile.am: Don't generate documentation if not
	  ENABLE_GTK_DOC

2001-10-15  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-debug.[c,h]: Documented.

2001-10-15  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Patch approved by Gus Hartmann <hartmann@madison-expat.net>:

	* camlibs/minolta/dimagev/download.c
	* camlibs/minolta/dimagev/upload.c: Don't access the CameraFile struct
	  directly.

2001-10-14  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* include/gphoto2-library.h: Moved to ...
	* libgphoto2/gphoto2-libary.h: ... here.

2001-10-14  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/polaroid/pdc640.c: Remove non-existant
	  GP_ERROR_NO_CAMERA_FOUND.

2001-10-14  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-result.[c,h]: Documented.

2001-10-14  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-list.[c,h]: Documented.

2001-10-13  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/gphoto2-abilities-list.[c,h]: Simplified, expose fewer
	functions.

2001-10-12 Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libgphoto2_port/libgphoto2_port/gp_port.c: more detailed debug
	  output for *_write and *_read
	* libgphoto2_port/usb/libusb.c: removed the last fprintf, fixed
	  missing "%s" in string
	* libgphoto2_port/usb/libusb.c: added call notification at
	  GP_DEBUG_HIGH for most methods

2001-10-12 Hans Ulrich Niedermann <gp@n-dimensional.de>

	* frontends/command-line/main.c: added package and version to debug msgs
	* frontends/command-line/main.c: added --print-usb-usermap command
	* frontends/command-line/main.h: added definition name of hotplug script

2001-10-12 Hans Ulrich Niedermann <gp@n-dimensional.de>

	* HACKING: reformatted, added not for emacs users
	* README: added hint to gphoto2-cli.txt
	* AUTHORS: fixed typo

2001-10-12 Hans Ulrich Niedermann <gp@n-dimensional.de>

	* camlibs/canon/canon.c: added is_crw() function
	* camlibs/canon/canon.c: moved to 1-bit power source detection
	* camlibs/canon/psa50.h: moved to 1-bit power source detection
	* camlibs/canon/Protocol: 1-bit power source detection seems to work better
	* camlibs/canon/Makefile.am: removed util.[ch] from canon driver
	* camlibs/canon/serial.c: removed dump_hex() and "util.h", added "serial.h"
	* camlibs/canon/serial.h: added prototype for canon_usb_camera_init()

2001-10-12  Fredrik <fredrik@krixor.xy.org>

	* camlibs/canon/psa50.c: more debug output in
	  psa50_usb_dialogue() and cleanups to psa50_get_file_usb()
	  (fixes downloading of small files (read: thumbnails)).

2001-10-12  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* include
	* libgphoto2: More renaming in order to make gtk-doc happy.

2001-10-12  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* include/gphoto2-widget.h
	* include/gphoto2-filesys.h: Moved to ...
	* libgphoto2/gphoto2-widget.h
	* libgphoto2/gphoto2-filesys.h: ... here.
	* libgphoto2/widget.c
	* libgphoto2/filesys.c: Moved to ...
	* libgphoto2/gphoto2-widget.c
	* libgphoto2/gphoto2-widget.h: ... here.
	* include/Makefile.am
	* libgphoto2/Makefile.am: Updated.
	* camlibs/.../Makefile.am: Updated to reflect changes above

2001-10-11  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/libgphoto-2.0.pc.in: -I${includedir}

2001-10-11  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/directory/directory.h: Removed.
	* camlibs/directory/directory.c: Remove cruft

2001-10-11  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/canon/psa50.c
	* camlibs/dimera/dimera3500.c:
	* camlibs/kodak/dc120/library.c:
	* camlibs/kodak/dc240/library.c:
	* camlibs/kodak/dc3200/library.c:
	* camlibs/panasonic/dc1000.c:
	* camlibs/panasonic/dc1580.c:
	* camlibs/panasonic/l859/l859.c:
	* camlibs/sierra/library.c:
	* frontends/command-line/interface.c: Unify percentage handling and
	define 0.0 <= percentage <= 1.0.

2001-10-11  Hans Ulrich Niedermann <gp@n-dimensional.de>

	* docs/, doc/: moved all documentation to doc/
	* doc/gphoto2.txt, doc/gphoto2-cli.txt: added to distribution

2001-10-11  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* include/gphoto2-widget.h
	* libgphoto2/exif.[c,h]
	* libgphoto2/widget.c: Fix stuff gtk-doc was complaining about.
	
2001-10-10  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* configure.in: Give some feedback (gtk-doc: yes/no?)

2001-10-10  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/filesys.c: Documented.

2001-10-10  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/template/template.c: Updated.

2001-10-10  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* frontends/command-line/interface.c: Don't jump to the next line
	  for status messages - this disturbs the nice formatting of listings.

2001-10-09  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/casio/casio-qv.c: On capture, append the file to the 
	  filesystem
	* camlibs/polaroid/pdc640.c: Here, too.
	* include/gphoto2-camera.h: Add some more warnings
	* libgphoto2/filesys.c:
	* include/gphoto2-filesys.h: We don't need to expose
	  gp_filesystem_folder_number, that doesn't make sense

2001-10-09  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Shift the whole library towards exclusively using the
	CameraFilesystem:

	* camlibs/agfa/agfa.c: delete_file_func, get_file_func
	* camlibs/canon/canon.c: Add warning that upload and deletion is
	  broken
	* camlibs/jd350e/jd350e.c: Tiny update
	* camlibs/kodak/dc120/dc120.c: folder_list_func, file_list_func, 
	  get_file_func, delete_file_func
	* camlibs/kodak/dc240.c: Add warning that changes have to be made
	* camlibs/konica/library.c: delete_all_func, delete_file_func
	* camlibs/minolta/dimagev/dimagev.c: delete_file_func, put_file_func,
	* camlibs/panasonic/dc1000.c: file_list_func, get_file_func,
	  put_file_func, delete_file_func
	* camlibs/panasonic/dc1580.c: get_file_func, put_file_func, 
	  delete_file_func
	* camlibs/panasonic/l859.c: delete_file_func, delete_all_func
	* camlibs/polaroid/pdc320.c: get_file_func, delete_all_func
	* camlibs/polaroid/pdc640.c: get_file_func, delete_file_func
	* camlibs/sierra/library.c:
	* camlibs/sierra/sierra.c: delete_all_func, delete_file_func
	* camlibs/sonydscf1/sonydscf1.c: delete_file_func
	* camlibs/sonydscf55/sonydscf55.c: Tiny update
	* camlibs/stv0680/stv0680.c: Tiny update
	* frontens/command-line/interface.c: Don't show "" status and 0.0
	  progress
	* libgphoto2/camera.c:
	* include/gphoto2-camera.h: Remove put_file, delete_all and delete - 
	  this should all be done using the filesystem. In the future, 
	  file_get and the listing functions will also disappear.
	* include/gphoto2-filesys.h:
	* libgphoto2/filesys.c: Add deletion and upload.
	* libgphoto2/jpeg.c: Kill unused variable
	* tests/test-filesys.c: Update

2001-10-09  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/sonydscf1:
	  Clean up a bit. This camera uses globals and won't work with
	  big frontends...
	  Use camera->port and camera->fs.

2001-10-09  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/stv0680/stv0680.[c,h]:
	  Fix compile warnings by declaring some functions static.
	  Use camera->port and camera->fs.

2001-10-09  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/sonydscf55/camera.c:
	  Fix compile warnings by declaring some functions static.
	  Use camera->port and camera->fs.

2001-10-09  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/minolta/dimagev/dimagev.[c,h]:
	  Fix compile warnings by declaring some functions static.
	  Use camera->port and camera->fs.

2001-10-09  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/panasonic/l859/l859.[c,h]:
	  Fix compile warnings by declaring some functions static.
	  Use camera->port and camera->fs.
	  (l859_debug): Removed. Now in libgphoto2_port

2001-10-09  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/jd3503/library.c: Fix compile warnings by declaring some
	  functions static.
	* camlibs/jd350e.c: Here, too. #include <stdlib.h>. Use camera->port
	  and camera->fs. First in order to avoid problems with port locking
	  and second for caching.
	* camlibs/jd350e.h: No filesystem here. Use camera->fs.

2001-10-09  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/konica/library.c: Remove reference to gphoto2-frontend.h.

2001-10-08  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* include/gphoto2-frontend.h
	* libgphoto2/frontend.c: Removed
	* frontends/command-line
	* include/Makefile.am
	* libgphoto2: Remove references to above

2001-10-08  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/panasonic/dc.c: gp_frontend_status ->
	  gp_camera_status

2001-10-08  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/kodak/dc240/library.c: gp_frontend_status ->
	  gp_camera_status

2001-10-08  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* include/gphoto2-[camera,frontend].h
	* libgphoto2/[camera,frontend].c: gp_frontend_message ->
	  gp_camera_message
	* camlibs: Reflect above

2001-10-08  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/polaroid/pdc640.c: Patch from Chris. Don't know what's
	  inside...

2001-10-08  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* include/gphoto2-frontend.h
	* libgphoto2/frontend.c
	* camlibs: gp_frontend_progress -> gp_camera_progress,
	gp_frontend_status -> gp_camera_status

2001-10-08  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/camera.c: Correctly initialize on gp_camera_new
	* frontends/command-line: Use the new gp_camera_[status,progress]

2001-10-08  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/camera.c
	* include/gphoto2-camera.h (gp_camera_status*), (gp_camera_progress*):
	New

2001-10-08  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* include/gphoto2-frontend.h
	* libgphoto2/frontend.c: Remove gp_frontend_prompt. This and the other
	gp_frontend functions will reappear some day in gphoto2-camera.

2001-10-07 Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: remove unnecessary variables at the beginning

2001-10-08  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/camera.c: Additional debugging messages

2001-10-07  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/jamcam: Use libgphoto2/bayer.h and libgphoto2/gamma.h
	* libgphoto2/Makefile.am: LIBADD -lm

2001-10-07  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* configure.in: -lm
	* libgphoto2/Makefile.am
	* libgphoto2/bayer.[c,h]
	* libgphoto2/gamma.[c,h]: New
	* camlibs/polaroid/pdc640.c: Use above

2001-10-07  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Patch from Chris Byrne <adapt@ihug.co.nz>:

	* camlibs/polaroid/pdc640.c: Updated

2001-10-07  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Patch from David Faure <david@mandrakesoft.com>

	* libgphoto2/core.c: Fix logic

2001-10-06  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* configure.in: Bump version up to 2.0beta3

2001-10-06  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Patch from Hans Ulrich Niedermann <gp@n-dimensional.de>:

	* frontends/command-line: Add --version

2001-10-06  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* include/gphoto2-list.h
	* libgphoto2/list.c (gp_list_ref), (gp_list_unref): New

2001-10-06  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* include/gphoto2-debug.h
	* libgphoto2/debug.c (gp_debug_history_get_size): New

2001-10-06  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/debug.c: Use the debug level from libgphoto2_port instead
	of keeping an own global variable

2001-10-05  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* configure.in: Check for vsnprintf, too.
	* libgphoto2/debug.c: Use vsnprintf if available.

2001-10-05  Fabrice Bellet <fabrice@gnu.org>

	* frontends/command-line/actions.c:
	* frontends/command-line/foreach.c:
	* frontends/command-line/main.c: Print directory names at
	each step of the recursion when using '--list-folders --recurse'.

2001-10-05  Fabrice Bellet <fabrice@gnu.org>

	* frontends/command-line/actions.c:
	* frontends/command-line/actions.h:
	* frontends/command-line/foreach.c:
	* frontends/command-line/main.c: The --recurse option should now work
	with --get-all-thumbnails, --get-all-images, --get-all-raw-data,
	--list-files and --list-folders.

2001-10-04  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/filesys.c: Only spew debugging messages in case of error -
	there don't seem to be serious bugs in there any more.

2001-10-04  Hubert Figuiere  <hfiguiere@teaser.fr>

	* camlibs/kodak/dc240/library.c: patch by Peter Fales <peter@fales.com>
	compute the packet checksum and ask to resend it.

2001-10-04  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* include/gphoto2-debug.h: #include <gphoto2-port-debug.h>
	* include/gphoto2-result.h: #include <gphoto2-port-result.h>
	* libgphoto2/debug.c: #include <gphoto2-port.h>

2001-10-04  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/debug.c: Move debugging stuff to libgphoto2_port so
	that those messages get saved, too.

2001-10-04  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/konica/library.c: const
	* frontents/command-line/main.c: Print out last debugging messages
	on error
	* include/gphoto2-debug.h:
	* libgphoto2/debug.c: Remember history
	* include/gphoto2-result.h:
	* libgphoto2/result.c: Revert the result_as_description thing
	
2001-10-04  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/result.c:
	* libgphoto2/camera.c:
	* include/gphoto2-camera.h:
	* include/gphoto2-result.h: Put in some consts.

2001-10-03  Hubert Figuiere  <hfiguiere@teaser.fr>

	* camlibs/kodak/CAMERAS: added latest Kodak DX models.

2001-10-03  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* frontends/command-line/main.c: Print out additional information
	on error.
	* include/gphoto2-result.h:
	* libgphoto2/result.c (gp_result_as_description): New.

2001-10-03  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/camera.c: Check the result of gp_port_open.

2001-10-01  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/konica/localization/Makefile.am: EXTRA_DIST the localization
	data to get the stuff included in the dist tarball.

2001-10-01  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/konica: Rejoice, we no longer have a glib dependency!

2001-10-01  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/konica/konica.[c,h]:
	* camlibs/konica/library.c: Moving towards glib-free code...

2001-09-27  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/sierra/protocol.c:
	* camlibs/sierra/sierra.c: Gilles Grandou <gilles@grandou.net>
	figured out how to retrieve date and software revision.
	* configure.in:
	* camlibs/jd350e: New driver from Michael Trawny <trawny99@yahoo.com>

2001-09-25  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/jpeg.h: Fix a warning
	* libgphoto2/camera.c: Fix locking problem in
	gp_camera_folder_delete_all.

2001-09-24  Nathan Stenzel <nathanstenzel@users.sourceforge.net>

	* camlibs/polaroid/pdc320.h:
	* camlibs/polaroid/pdc320.c: now uses jpeg.c and jpeg.h
	* libgphoto2/jpeg.h:
	* libgphoto2/jpeg.c: Can now create and write jpeg files
	(except for actual encoding of compressed data)

2001-09-24  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/jpeg.h:
	* camlibs/polaroid/pdc320.c: Adapt to changes jpeg_* -> gp_jpeg_*
	* libgphoto2/jpeg.h: Kill yet another warning.

2001-09-24  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/jpeg.[c,h]: Respect the namespace of libjpeg. Otherwise,
	gtkam and other graphical frontends will horribly fail.

2001-09-24  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/core.c: have_initted is no longer needed.

2001-09-24  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/sonydscf1/sonydscf1.c:
	* libgphoto2/debug.c: glob_debug is now static in libgphoto2

2001-09-24  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* frontends/command-line/main.c: glob_debug is now static in libgphoto2

2001-09-24  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/jpeg.c: #define CHECK_RESULT(...) (...)

2001-09-23  Nathan Stenzel <nathanstenzel@users.sourceforge.net>

    * libgphoto2/jpeg.h
    * libgphoto2/jpeg.c: Quantization table handling is much easier to do.

2001-09-23  Chris Pinkham <cpinkham@infi.net>

	* camlibs/jamcam/jamcam.c
	  camlibs/jamcam/library.h
	  camlibs/jamcam/library.c: Added support for low-res images.

2001-09-22  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/filesys.c: Fix two small bugs.

2001-09-22  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/jamcam/.cvsignore:
	* camlibs/sonydscf55/.cvsignore: New
	* include/gphoto2-debug.h:
	* libgphoto2/debug.c: Debugging stuff can be found here.
	* frontends/command-line/main.c: Use gp_debug_set_level and don't
	use gp_init any more (this is done automatically).
	* include/Makefile.am:
	* libgphoto2/Makefile.am: Add the debugging files
	* include/gphoto2-core.h: Remove debugging and initialization stuff
	* libgphoto2/core.c: Make gp_init a static function.
	* (...) Various smaller changes regarding gp_init and gp_debug_*.

2001-09-22  Raymond Penners  <raymond@dotsphinx.com>

	* camlibs/sonydscf55/*: Fixes & eliminated compiler warnings.

2001-09-22  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Patch from Carsten Pfeiffer <carpdjih@sp.zrz.tu-berlin.de>

	* camlibs/sonydscf1.sonydscf1.c:
	* include/gphoto2-core.h:
	* include/gphoto2-file.h:
	* include/gphoto2-filesys.h:
	* libgphoto2/core.c:
	* libgphoto2/file.c:
	* libgphoto2/filesys.c: char *whatever -> const char *whatever.

2001-09-22  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Patch from Ilya Konstantinov <future@shiny.co.il>:

	* camlibs/sierra/sierra.c (get_info_func): Set the filename.

2001-09-21  Raymond Penners  <raymond@dotsphinx.com>

	* AUTHORS
	  MAINTAINERS
	  configure.in
	  camlibs/sonydscf55/*: added camera library for Sony DSC-F55
	  and Sony's Serial Port Adaptor MSAC-SR1 for the Sony DCR-PC100.

2001-09-18  Chris Pinkham <cpinkham@infi.net>

	* camlibs/canon/psa50.c
	  camlibs/canon/serial.c
	  libgphoto2_port/include/gphoto2-port.h
	  libgphoto2_port/libgphoto2_port/gp_port.c
	  libgphoto2_port/usb/libusb.c: changed *usb_msg_read* and
	  *usb_msg_write* functions to allow passing in of request and
	  index values.

	* MAINTAINERS
	  configure.in
	  camlibs/jamcam/Makefile.am
	  camlibs/jamcam/jamcam.c
	  camlibs/jamcam/library.c
	  camlibs/jamcam/library.h: added camera library for KBGear JamCam v3.0

2001-09-12  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/core.c: Add some CHECK_INITs.

2001-09-11  Nathan Stenzel <nathanstenzel@users.sourceforge.net>

    * libgphoto2/jpeg.c: New
    * libgphoto2/jpeg.h: New

2001-09-10  Hubert Figuiere  <hfiguiere@teaser.fr>

	* libgphoto2_port/usb/libusb.c (gp_port_usb_find_device_lib): if
	device and vendor IDs are 0, return not found.

2001-09-10  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/kodak/dc240/dc240.c (camera_init): Don't open/close the port.
	This is done by libgphoto2.

2001-09-10  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/camera.c
	(gp_camera_init): Do a simple CHECK_RESULT_OPEN_CLOSE on the init_func
	(gp_camera_set_port): Set the path if the port is a serial one.
	* camlibs/template/template.c:
	* camlibs/sierra/sierra.c:
	* camlibs/samsung/samsung.c:
	* camlibs/polaroid/pdc700.c:
	* camlibs/polaroid/pdc320.c:
	* camlibs/panasonic/coolshot/coolshot.c:
	* camlibs/konica/library.c:
	* camlibs/dimera/mesalib.c:
	* camlibs/digita/usb.c:
	* camlibs/digita/serial.c:
	* camlibs/casio/casio-qv.c:
	* camlibs/canon/serial.c:
	* camlibs/barbie/barbie.c:
	* camlibs/agfa-cl18/agfa.c: Don't open the port. This is always done
	by libgphoto2.

2001-09-10  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/camera.c (gp_camera_list_folders), (gp_camera_list_files):
	Return the result instead of GP_OK if anything goes wrong
	* libgphoto2/filesys.c: Check if path to folder is absolute. If not,
	return GP_ERROR_PATH_NOT_ABSOLUTE.
	* libgphoto2/result.c:
	* include/gphoto2-result.h: GP_ERROR_PATH_NOT_ABSOLUTE: New error.

2001-09-10  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/sierra/sierra.c (get_info_func): Fix copy & paste bug.

2001-09-10  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/core.c: Additional debugging stuff.

2001-09-09  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/core.c: Use "... == GP_OK" instead of "!...". That should
	prevent that every USB camera shows up on gp_autodetect...

2001-09-07  Hubert Figuiere  <hfiguiere@teaser.fr>

	* libgphoto2_port/usb/libusb.c (gp_port_usb_close): Fixed a
	segfault when passed device handle was NULL.

2001-09-07  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/filesys.c (gp_filesystem_format): Don't request any
	listings here.

2001-09-07  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/polaroid/pdc640.c: New
	* camlibs/polaroid/Makefile.am: Added pdc640

2001-09-06  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* MAINTAINERS: Added Marius for panasonic
	* camlibs/panasonic/coolshot/Makefile.am: @dotlibs

2001-09-06  Chris Pinkham <cpinkham@infi.net>

	* camlibs/panasonic/coolshot/README
	  camlibs/panasonic/coolshot/coolshot.c
	  camlibs/panasonic/coolshot/library.c: changed thumbnail code to
	  properly decode thumbnails after discovering they are encoded in
	  YUV 4:1:1 format.

2001-09-05  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/polaroid/pdc320.c: Bug fixes from Nathan Stenzel
	<nathanstenzel@motion.net>

2001-09-03  Chris Pinkham <cpinkham@infi.net>

	* camlibs/panasonic/coolshot/README
	  camlibs/panasonic/coolshot/coolshot.c
	  camlibs/panasonic/coolshot/library.h
	  camlibs/panasonic/coolshot/library.c: added thumbnail support.

2001-09-02  Chris Pinkham <cpinkham@infi.net>

	* camlibs/panasonic/coolshot/coolshot.c
	  camlibs/panasonic/coolshot/library.c: code cleanup
	* camlibs/panasonic/coolshot/README: added TODO list for driver

2001-09-02  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* include/gphoto2-filesys.h:
	* libgphoto2/filesys.c: Cache files, too.
	* libgphoto2/camera.c: Use cached files if exist.
	* camlibs/konica/library.c:
	* camlibs/sierra/sierra.c: Cache files in the filesystem.

2001-09-02  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/panasonic/coolshot/coolshot.c: Use gp_list_populate instead
	of accessing the filesystem. The filesystem is clever enough to do
	that itself.

2001-09-02  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/stv0680/pattrec.[c,h]: Move those files ...
	* libgphoto2/pattrec.[c,]: ...here.

2001-09-02  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* frontends/command-line/options.c: #include <config.h>

2001-09-01  Chris Pinkham <cpinkham@infi.net>

	* configure.in: added line to generate
	camlibs/panasonic/coolshot/Makefile
	* MAINTAINERS: added line for camlibs/panasonic/coolshot driver
	* camlibs/panasonic/Makefile.am: added coolshot to SUBDIRS declaration
	* camlibs/panasonic/coolshot/Makefile.am
	* camlibs/panasonic/coolshot/README
	* camlibs/panasonic/coolshot/TODO
	* camlibs/panasonic/coolshot/coolshot.[c,h]
	* camlibs/panasonic/coolshot/library.[c,h]:added files to support
	Panasonic Coolshot KXL-600A & KXL-601A digital cameras.

2001-09-01  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/casio: New
	* configure.in: Add casio. Like the polaroid and samsung, those drivers
	DON'T WORK and therefore are signed as EXPERIMENTAL. I add those only
	to give you a basic framework on which to build.

2001-08-31  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/polaroid/pdc700.c: New

2001-08-31  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* configure.in: Added polaroid.
	* camlibs/samsung/samsung.c: Added GP_DRIVER_STATUS_EXPERIMENTAL;
	* frontends/command-line/main.c: print the EXPERIMENTAL/TESTING flag
	* include/gphoto2-abilities.h:
	* libgphoto2/abilities.c: Added CameraDriverStatus
	* camlibs/polaroid/pdc320.c:
	* camlibs/polaroid/Makefile.am: New

2001-08-31  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/samsung/Makefile.am:
	* camlibs/samsung/samsung.c: New but untested. (Just ported it from
	old gphoto).
	* configure.in: Added samsung

2001-08-31  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/camera.c: Add debugging messages

2001-08-31  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/agfa-cl18/agfa.c: Remove gp_port_usb_find_device, that's in
	libgphoto2/camera.c now.
	* camlibs/canon/canon.c: Move the declaration of the models struct here.
	* camlibs/canon/canon.h: The models struct is no longer needed here.
	* camlibs/psa50.[c,h]: cs->gdev is now camera->port.
	* camlibs/canon/serial.[c,h]
	(canon_usb_probe): Removed. Now in libgphoto2/camera.c
	(canon_serial_init): Don't create/free a port here. Use camera->port.
	(canon_serial_close): Removed. No longer needed. Handled by libgphoto2
	(canon_serial_restore): Same here.
	* digita/commands.c: Indicate usb product/vendor in the abilities
	so that gphoto2 can autodetect. Use camera->port.
	* camlibs/digita/serial.c: Don't create/free the port here. Handled by
	libgphoto2
	* camlibs/digita/usb.c: No probe, no port creation (->libgphoto2)
	* camlibs/directory/directory.c: Declare lots of functions static.
	* camlibs/kodak/dc240/library.[c,h]:
	* camlibs/kodak/dc240/dc240.[c,h]: Use camera->port
	* camlibs/konica/library.c: No gp_port_usb_find_device here.
	* libgphoto2/camera.c (gp_camera_init): In case of USB,
	find the device. That removes redundancy in the camera libraries.

2001-08-30  Dan Fandrich <dan@coneharvesters.com>
	* libgphoto2/file.c:
	* include/gphoto2-file.h:
	* camlibs/dimera/dimera3500.c: removed traces of the PNM
	pseudo-file type and added PGM.

2001-08-30  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/dimera/dimera3500.c (camera_file_get): Use
	gp_file_adjust_name_for_mime_type
	* libgphoto2/file.c (gp_file_adjust_name_for_mime_type):
	GP_MIME_RAW -> *.raw

2001-08-30  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/agfa.c:
	* camlibs/commands.c:
	* camlibs/commands.h: Use a macro CHECK for most of the simple
	error checks. That makes the code much cleaner.

2001-08-30  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/agfa-cl18/agfa.h: Renamed to
	* camlibs/agfa-cl18/commands.h
	* camlibs/Makefile.am: Reflect this change.
	* camlibs/commands.c:
	* camlibs/agfa.c: Improve error reporting.

2001-08-30  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/agfa-cl18/*: Bring it up to date (camera->port and camera->fs)

2001-08-29  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/barbie/*: Use camera->port and camera->fs.
	* camlibs/dimera/dimera3500.c
	(populate_filesystem): Removed.
	(camera_folder_list_folders): Removed. We don't support folders anyways
	(camera_folder_list_files): Renamed to
	(file_list_func): Don't access the CameraFilesystem here. Just
	populate the list. The CameraFilesystem will get updated by libgphoto2.
	(camera_file_get_info): Renamed to
	(get_info_func): New
	(camera_file_set_info): Removed. Not supported.
	(camera_init): Correctly gp_filesystem_set_list_funcs and
	gp_filesystem_set_info_funcs so that the CameraFilesystem has full
	control over the information
	* include/gphoto2-list.h:
	* libgphoto2/list.c: (gp_list_populate): New. Please use this
	function to populate the list passed to you on file_list_func.
	* libgphoto2/filesys.c: Don't remove the dirty flag on folders 
	on gp_filesystem_append (thanks, Dan!)

2001-08-29  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/template/*: Updated
	* include/gphoto2-camera.h: Add a note about c_folder_list_folders and
	c_folder_list_files not to be used. Same with [get,set]_info.
	* include/gphoto2-filesys.h: Remove an uneeded typedef.
	* libgphoto2/filesys.c: Here, too.

2001-08-29  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Dan Fandrich <dan@coneharvesters.com> found this bug:

	* libgphoto2/camera.c (list_files, list_folders): If
	gp_filesystem_list_files returns 0 files, try the old method. Same with
	folders.

2001-08-29  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Fabrice did it again:

	* camlibs/sierra/*: Actually use camera->fs.

2001-08-29  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* include/gphotoos2.h:
	* include/gphoto2-portability-os2.h: Removed. Contents are now ...
	* include/gphoto2.h: ... here.

2001-08-29  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* gphoto2-library.h: Clean up this file.
	* gphoto2-camera.h: We don't need camera_init, camera_abilities, and
	camera_id here. That belongs into gphoto2-library.h.
	* libgphoto2/camera.c:
	* libgphoto2/core.c: Adapt
	* camlibs/*: Move camera_init to the bottom of the file. Camera
	driver authors, could you please declare the functions above static?
	Except camera_id and camera_abilities.

2001-08-29  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	All work from Fabrice Bellet <Fabrice.Bellet@creatis.insa-lyon.fr>:

	* libgphoto2/filesys.c (gp_filesystem_number): Check if the folder
	is dirty (like in gp_filesystem_folder_number).

2001-08-29  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/sierra/*:
	* camlibs/directory/directory.c (camera_folder_list_folders),
	(camera_folder_list_files), (camera_file_[get,set]_info): Removed.
	Use the camera->fs. Use camera->port.
	* camlibs/*: camera->port->* -> camera->port_info->*
	* include/gphoto2-camera.h:
	* libgphoto2/camera.c: Open the port before accessing a camera,
	close it after.

2001-08-28  Hubert Figuiere  <hfiguiere@teaser.fr>

	* include/gphoto2-file.h (GP_MIME_BMP): added this mime type.

2001-08-29  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* include/gphoto2-file.h: Add a note about the crappy API
	* include/gphoto2-abilities-list.h:
	* libgphoto2/abilities-list.c:
	* libgphoto2/core.c: Don't access the CameraAbilitiesList directly
	any more.

2001-08-29  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Another patch from Ilya Konstantinov <future@shiny.co.il>:

	* libgphoto2/camera.c (gp_camera_new): Correctly initialize the speed
	to 0

2001-08-28  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/canon/psa50.c:
	* camlibs/kodak/dc120/library.c:
	* camlibs/minolta/dimagev/dimagev.c:
	* camlibs/panasonic/dc1000.c:
	* camlibs/panasonic/dc1580.c:
	* camlibs/sonydscf1/sonydscf1.c: Remove direct accesses to the 
	CameraFile struct.

2001-08-27  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Patch from Fabrice Bellet <Fabrice.Bellet@creatis.insa-lyon.fr>:

	* camlibs/sierra/library.[c,h]:
	* camlibs/sierra/sierra.c: Use the new filesystem to cache file 
	information and for listing files/folders.
	* include/gphoto2-file.h:
	* libgphoto2/file.c (gp_file_detect_mime_type), 
	(gp_file_adjust_name_for_mime_type): New
	* libgphoto2/camera.c: list->count = 0;
	* libpghoto2/filesys.c (gp_filesystem_number): If this function is
	called, scan the whole filesystem.
	* tests/test-filesys.c: Test gp_filesystem_get_folder, too.

2001-08-27  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/sierra/sierra.c: Now that libgphoto2_port is patched, we
	can revert the quick fix from two hours ago.

2001-08-27  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/camera.c
	* libgphoto2/file.c: strcpy -> strncpy

2001-08-27  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* include/gphoto2-filesys.h:
	* libgphoto2/filesys.c: Cache folders and files, too (that is, only
	query them from the camera when needed.
	* frontends/command-line/main.c: Don't require a port with
	"Directory Browse".
	* camlibs/konica/library.c: Use the new functions
	* camlibs/directory/directory.[c,h]: Use the filesystem
	* tests/test-filesys.c: Demonstrate the use of the new functions.

2001-08-27  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/sierra/sierra.c: And correctly use the macros CHECK (won't
	stop the camera) and CHECK_STOP (after the connection has been started).

2001-08-27  Lutz MÜller <urc8@rz.uni-karlsruhe.de>

	* camlibs/sierra/sierra.c: Until I can fix the bug in
	libgphoto2_port, don't close the USB port.

2001-08-27  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Suggestion from Ilya Konstantinov <gphoto-devel@future.galanet.net>:

	* include/gphoto2-camera.h:
	* libgphoto2/camera.c (gp_camera_[get,set]_port_name) and
	(gp_camera_[get,set]_port_path): New
	* frontends/command-line/main.c: Call those functions.

2001-08-27  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* include/gphoto2-filesys.h:
	* libgphoto2/filesys.c: Implement caching for file information.
	* tests/test-filesys.c: Test it here.
	* camlibs/konica/library.c: Use gp_filesystem_[get,set]_info. This
	stuff is really incredibly fast.

2001-08-27  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Daniel Resare <noa@metamatrix.se> suggested using AC_CONFIG_SUBDIRS:

	* configure.in: Use AC_CONFIG_SUBDIRS(libgphoto2_port).
	* Makefile.am: build.sh isn't needed any more
	* INSTALL: Update installation instructions
	
	* doc/Makefile.am: Removed OVERVIEW and NOTES. This should have 
	happened a long time ago.

2001-08-27  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	Ilya Konstantinov <gphoto-devel@future.galanet.net> pointed me to
	this bug:

	* camlibs/sierra/sierra.c (camera_file_get): Add a break in the
	switch statement so that people can download files instead of getting
	errors.

2001-08-27  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* include/gphoto2-core.h:
	* libgphoto2/core.c (gp_autodetect): Revert an API change I committed
	by error. Sorry.
	* libgphoto2/camera.c:
	* frontends/command-line/main.c: Here too.

2001-08-27  Lutz Müller <urc8@rz.uni-karlsruhe.de>
	
	Suggestions from Fabrice Bellet <Fabrice.Bellet@creatis.insa-lyon.fr>:

	* camlibs/sierra/library.c (sierra_change_folder): Just return if we
	are already in the requested folder.
	(sierra_update_fs_for_folder): Dont jump into the folder twice.
	* camlibs/sierra/sierra.c (camera_init): Use camera_start here instead
	of reimplementing everything again.

2001-08-26  Hubert Figuiere  <hfiguiere@teaser.fr>

	* configure.in: fixed a typo in the dotlibs value.

2001-08-26  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* include/gphoto2-camera.h:
	* libgphoto2/camera.c: Add gp_camera_[set,get]_model. Please use
	those functions instead of directly accessing camera->model.
	* libgphoto2/core.c: On exit, set glob_abilities_list = NULL
	* tests/test-gphoto2.c: Add lots of documentation.

2001-08-26  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/dimera/dimera3500.c: explicitly set the conversion method
	to GP_FILE_CONVERSION_METHOD_CHUCK.
	* camlibs/digita/digita.c: Move the conversion raw -> ppm to ...
	* include/gphoto2-file.h:
	* libgphoto2/file.c: ... here.
	* include/gphoto2-filesystem.h:
	* libgphoto2/filesys.c: Implement "dirty" folders.

2001-08-26  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/dimera3500.c: Move the raw->pnm conversion ...
	* include/gphoto2-file.h:
	* libgphto2/file.c: ... here. Now, other camera drivers can use this,
	too.
	* include/gphoto2-core.c:
	* libgphoto2/core.c: Small change to make the API consistent.
	* frontends/command-line/main.c: Add possibility for download of raw
	data.

2001-08-25  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* include/gphoto2-file.h:
	* include/gphoto2-library.h:
	* include/gphoto2-camera.h: Support for raw data.
	* libpghoto2/file.c: Adjust to above changes.
	* libgphoto2/frontend.c: Kill a warning.
	* libgphoto2/libgphoto-2.0.pc.in: CFlags -> Cflags
	* libgphoto2/widget.c: Include gphoto2-result.h instead of gphoto2.h
	* camlibs/*: Prepare support for download of raw data. Remove lots of
	redundant code (people just copied & pasted the code for file_get 
	and file_get_preview...). I hope everything works as it did before.
	* frontend/command-line/*: Prepare support for download of raw data

2001-08-24  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/abilities.c:
	* include/gphoto2-abilities.h: Let gp_abilities_new return an error 
	code. This was the last one.
	* camlibs/*: Adjust to above change.
	* camlibs/canon/canon.c: #if 0 some code to kill some warnings

2001-08-24  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* include/gphoto2-abilities-list.h: Make gp_abilities_list_new
	return an error code. Introduce gp_abilities_list_sort and
	gp_abilities_list_count.
	* libgphoto2/abilities-list.c: See above.
	* libgphoto2/core.c: Sorting code now is in abilibies-list.
	* libgphoto2/file.c: "image/x-png" -> "image/png"

2001-08-24  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/sierra/library.c: Remove some unnecessary casts, put in some
	CHECKs
	* camlibs/kodak/dc120/dc120.c:
	* camlibs/kodak/dc210/library.c:
	* camlibs/kodak/dc240/library.c: Use gp_file_* instead of directly
	accessing the struct.
	* libgphoto2/filesys.c: Remove lots of redundancy, always check if
	folder has a trailing slash (and ignore it if this is the case).

2001-08-24  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/agfa-cl18/agfa.c: Use gp_file_* instead of directly
	accessing the struct.
	* camlibs/barbie/barbie.c: And here.
	* camlibs/directory/directory.c: And here.
	* camlibs/konica/library.c: And here.
	* camlibs/sierra/sierra.c: And here.
	* camlibs/panasonic/l859/l859.c: And here.
	* camlibs/dimera/dimera3500.c: And here.
	* camlibs/stv0680/stv0680.c: And here.
	* frontends/command-line/main.c: And here.
	* libgphoto2/camera.c: And here.
	* libgphoto2/file.c:
	* include/gphoto2-file.h: Introduce some more gp_file_* functions.

2001-08-24  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* include/gphoto2-file.h: Make gp_file_new return an error code.
	* */*: Adjust everything for above change.

2001-08-23  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/list.c (gp_list_new): memset on *list instead of list.

2001-08-22  Hubert Figuiere  <hfiguiere@teaser.fr>

	* camlibs/dimera/dimera3500.c: removed * / * embedded inside comments
	that issued warnings and broke the build...
	* camlibs/kodak/dc240/library.c (dc240_wait_for_busy_completion): 
	cast a const to a char to avoid a serious warning on Solaris sparc 
	gcc. Fix bug #454183

2001-08-22  Stephane Castejon <scastejo@club-internet.fr>

	* frontends/command-line/main.c : fix option --debug so that it
	  really put the GP_DEBUG_HIGH mode.

2001-08-22  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* */*: Small parameter changes to make gphoto2 API more consistent.
	More to follow.

2001-08-22  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* README: Update USB Mass Storage list

2001-08-21  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/camera.c (gp_camera_file_get_info): Fix logic.

2001-08-21  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/camera.c:
	* libgphoto2/core.c:
	* libgphoto2/widget.c: Introduce CHECK_NULL and CHECK_RESULT for
	better error recovery and reporting

2001-08-22  Hubert Figuiere  <hfiguiere@teaser.fr>

	* MAINTAINERS: take over DC240 maintenance.
	* camlibs/kodak/dc240/library.h: removed unused functions.
	* camlibs/kodak/dc240/library.c: moved lot of functions to static.
	(dc240_wait_for_busy_completion): implemented. (NEW)
	(dc240_capture): finished implementation and prototype update. 
	* camlibs/kodak/dc240/dc240.c (camera_init): activate capture_image
	(camera_capture): reimplemented and updated prototype

2001-08-21  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/camera.c (gp_camera_file_get_info): Make sure the field
	name is always set.

2001-08-21  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* README: Updated list of USB Mass Storage cameras. Thanks Hubert!

2001-08-21  Stephane Castejon <scastejo@club-internet.fr>

	* Removing unused variables

2001-08-21  Stephane Castejon <scastejo@club-internet.fr>

	Correct following bugs in the sierra driver :
	* Could not retrieve movies from the cameras (got the image having
   	the same base name instead).  Same behaviour for movie thumbnails,
	* After correction of problem 1, got movie thumbnails that do 
	not fit the JPEG format.
 	* After correction of problem 1 & 2, part of some movie thumbnails had a 
   	very bad quality! The phenomenon was aleatory.

	In camlibs/sierra/library.c,h :
	* Rewrite the sierra_read_packet routine : now it downloads movie thumbnails
	correctly (third bug).
	* Correction in the sierra_capture routine to make it generic regarding name
	of the folder the captured image is stored in.
	* Move update_fs_for_folder and sierra_change_folder from sierra.c
	to here.
	* Plus various other minor changes to try to be consistent between the
	different routines (when do we need to retry, error codes).
	Still work to be done there.
	* Add gp_filesystem_delete_all at the beginning of update_fs_for_folder.
	* Start documenting routines.

	In camlibs/sierra/sierra.c :
	* Add call to sierra_change_folder in camera_file_get_generic,
	camera_file_get_info, camera_folder_delete_all, camera_file_delete.
	Remove sierra_folder_set from camera_start (then delete the routine
	since it is not used anymore).
	* Correct camera_file_get_generic to handle movie thumbnails
	correctly.
	* Correction in camera_file_get_generic regarding the properties
	(type and name) of the return file : it is always jpeg for thumbnails.
	* Move update_fs_for_folder and sierra_change_folder to library.c.
	* Remove formatting of the filesystem from camera_folder_delete_all : it
	is now performed by sierra_update_fs_for_folder.
	* Add a camera specific error code GP_ERROR_BAD_CONDITION which is raised 
	when a picture cannot be captured (for instance if the lens protection was 
	not removed, or the memory card is full).
	* Start documenting routines.

2001-08-20  Lutz Müller  <urc8@rz.uni-karlsruhe.de>

	* doc/OVERVIEW: Cruft, not up to date, incorrect. Removed.
	* doc/NOTES: Redundant. Removed.
	* libgphoto2/camera.c: Be nice to frontend-writers, call gp_init if
	it hasn't been called yet on gp_camera_new.
	* libgphoto2/core.c: Same here with gp_autodetect and gp_camera_count.
	* include/gphoto2-core.h: Kill compile warning

2001-08-20  Lutz MÜller  <urc8@rz.uni-karlsruhe.de>

	* libpghoto2/camera.c: Kill compile warning by declaring gp_camera_exit
	static

2001-08-20  Lutz MÜller  <urc8@rz.uni-karlsruhe.de>

	* MAINTAINERS: New

2001-08-20  Lutz Müller  <urc8@rz.uni-karlsruhe.de>

	* camlibs/sierra/sierra.c (camera_file_get_generic): Documentation
	update

2001-08-20  Lutz Müller  <urc8@rz.uni-karlsruhe.de>

	* camlibs/sierra/sierra.c (camera_file_get_generic): Fix detection
	of TIFF images

2001-08-19  Lutz Müller  <urc8@rz.uni-karlsruhe.de>

	* configure.in: -Wmissing-prototypes -Wmissing-declarations
	* camlibs/agfa-cl18/commands.c:
	* camlibs/agfa-cl18/usb.c:
	* frontends/command-line/foreach.c:
	* frontends/command-line/interface.c:
	* frontends/command-line/main.c:
	* frontends/command-line/options.c:
	* frontends/command-line/range.c:
	* frontends/command-line/shell.h:
	* include/gphoto2-file.h:
	* libgphoto2/file.c: First step towards a compilation with -Werror

2001-08-19  Lutz Müller  <urc8@rz.uni-karlsruhe.de>

	* camlibs/konica/library.c: Format the filesystem before updating it.

2001-08-19  Lutz Müller  <urc8@rz.uni-karlsruhe.de>

	* tests/test-filesys.c: Even more tests
	* libgphoto2/filesys.c: Fix remaining bugs. It should work now...

2001-08-19  Lutz Müller  <urc8@rz.uni-karlsruhe.de>

	* tests/test-filesys.c: New
	* tests/Makefile.am: Compile test-filesys.c
	* libgphoto2/filesys.c: Several bugfixes - there are still bugs in
	there.

2001-08-19  Lutz Müller  <urc8@rz.uni-karlsruhe.de>

	* configure.in: Don't generate camlibs/template/Makefile
	* libgphoto2/filesys.c:
	* include/gphoto2-filesys.h (gp_filesystem_delete_all): New

2001-08-19  Lutz Müller  <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/filesys.c (gp_filesystem_format): Fix bug found by 
	Stéphane Castejon.

2001-08-19  Lutz Müller  <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/globals.h: Unused. Removed.

2001-08-19  Lutz Müller  <urc8@rz.uni-karlsruhe.de>

	* include/gphoto2-filesys.h:
	* libgphoto2/filesys.c (gp_filesystem_get_folder): New
	* libgphoto2/widget.c (gp_widget_get_parent): Corrected typo

2001-08-18  Lutz Müller  <urc8@rz.uni-karlsruhe.de>

	* include/gphoto2-widget.h:
	* libgphoto2/widget.c (gp_widget_get_parent): New function

2001-08-18  Lutz Müller  <urc8@rz.uni-karlsruhe.de>

	* include/Makefile.am: Oops, add gphoto2-result.h.

2001-08-18  Lutz Müller  <urc8@rz.uni-karlsruhe.de>

	* po/POTFILES.in: Add core.c, camera.c and result.c

2001-08-18  Lutz Müller  <urc8@rz.uni-karlsruhe.de>

	* README: Add notice about USB Mass Storage cameras.
	* include/*:
	* libgphoto2/*: Major cleanup - add licence notice to begin of each
	file, remove unused files/functions, ...
	* camlibs/konica/Makefile.am: There's no ChangeLog here...
	* tests/test-gphoto2.c: Adjust headers

2001-08-17  Lutz Müller  <urc8@rz.uni-karlsruhe.de>

	* include/gphoto2-camera.h:
	* include/gphoto2-file.h:
	* include/gphoto2-widget.h: Sort some stuff, put in LGPL notice.
	* libgphoto2/widget.c: Hide CameraWidget internals here. No need to
	publish all that stuff.

2001-08-17  Lutz Müller  <urc8@rz.uni-karlsruhe.de>

	* include/gphoto2-datatypes.h: Move the declaration of the lists to ...
	* include/gphoto2-lists.h: ... here. This is a first step towards 
	cleaning up the include-mess. Realized that CameraListType isn't 
	needed at all - removed.
	* include/gphoto2-filesys.h: Hide the actual contents of 
	the CameraFilesystem ...
	* libgphoto2/filesys.c ... here. The normal user doesn't need to 
	know what's inside.
	* libgphoto2/core.c:
	* libgphoto2/lists.c:
	* camlibs/*: Reflect above changes

2001-08-17  Lutz Müller  <urc8@rz.uni-karlsruhe.de>

	* configure.in: Add libgphoto-2.0.pc
	* libgphoto2/Makefile.am: Remove the old GNOME configuration stuff. 
	GNOME uses pkgconfig now:
	* libgphoto2/libgphoto2Conf.sh.in: Removed
	* libgphoto2/libgphoto-2.0.pc.in: New
	
2001-08-17  Lutz Müller  <urc8@rz.uni-karlsruhe.de>

	* tests/*: New
	* configure.in:
	* Makefile.am: Add tests to SUBDIRS and generate the Makefile
	* frontents/command-line/test.[c,h]: Removed
	* frontends/command-line/main.c:
	* frontents/command-line/Makefile.am: Reflect changes

2001-08-17  Lutz Müller  <urc8@rz.uni-karlsruhe.de>

	* frontents/gtk/macros/*: Removed.

2001-08-17  Lutz Müller  <urc8@rz.uni-karlsruhe.de>

	* frontents/Makefile.am: Remove libpghoto2_frontend from SUBDIRS.
	* frontents/gtk/*: Removed those ancient files. For GUI frontends, 
	refer to gtkam or GnoCam. They are distributed separately.

2001-08-17  Lutz Müller  <urc8@rz.uni-karlsruhe.de>

	* frontends/command-line/Makefile.am: Remove reference to
	libgphoto2_frontend.la which wasn't needed anyways.

2001-08-17  Lutz Müller  <urc8@rz.uni-karlsruhe.de>

	* frontents/libgphoto2_frontend/*: Removed. Those files were mainly
	empty functions and nowhere needed.

2001-08-17  Hubert Figuiere  <hfiguiere@teaser.fr>

	* camlibs/kodak/dc210/dc210.c, camlibs/kodak/dc210/dc210.h,
	camlibs/kodak/dc210/library.c, camlibs/kodak/dc210/library.h,
	camlibs/kodak/dc210/Makefile.am, camlibs/kodak/dc210/README:
	Initial release of DC210 driver port.

2001-08-16  Christophe Barbe <christophe.barbe@online.fr>

	* configure.in, camlibs/agfa-cl18/Makefile.am,
	camlibs/barbie/Makefile.am, camlibs/canon/Makefile.am,
	camlibs/digita/Makefile.am, camlibs/dimera/Makefile.am,
	camlibs/directory/Makefile.am, camlibs/kodak/dc120/Makefile.am,
	camlibs/kodak/dc240/Makefile.am, camlibs/kodak/dc3200/Makefile.am,
	camlibs/konica/Makefile.am, camlibs/minolta/dimagev/Makefile.am,
	camlibs/panasonic/Makefile.am, camlibs/panasonic/l859/Makefile.am,
	camlibs/sierra/Makefile.am, camlibs/sonydscf1/Makefile.am,
	camlibs/stv0680/Makefile.am, camlibs/template/Makefile.am: It 
	adds code in configure.in to detect when '.libs' is not detected 
	and in this case defined a variable "dotlibs" which is then 
	substitued in all Makefile.in. This fix a build problem with 
	newer libtool (1.4)

2001-08-15  Hubert Figuiere  <hfiguiere@teaser.fr>

	* camlibs/kodak/dc240/dc240.c (camera_about): Changed a typo in
	supported camera models.

2001-08-14  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/sierra/sierra.c: Set timeout to TIMEOUT before updating 
	folder. Thanks to Stéphane Castejon who found this bug.

2001-08-13  Hubert Figuiere  <hfiguiere@teaser.fr>

	* libgphoto2_port/usb/libusb.c (gp_port_usb_open): fix bug #438062: 
	a NULL usb_device* was passed to usb_dev_handle.

2001-08-12  Hubert Figuiere  <hfiguiere@teaser.fr>

	* camlibs/kodak/dc240/library.c (dc240_file_action): fix bug #440162

2001-08-08  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/sierra/library.c: (sierra_delete_all): Move notice about 
	cameras ignoring delete_all to ...
	* camlibs/sierra/sierra.c: (camera_folder_delete_all): ... here. And 
	update the filesystem - without that, gphoto2 won't be able to 
	fix the behaviour of some cameras (ignoring delete_all).

2001-08-08  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/panasonic/Makefile.am: SUBDIRS = l859

2001-08-08  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/konica/library.c: (camera_init): Update the filesystem once
	at camera_init
	(camera_folder_list_folders): Use gp_filesystem_list_folders
	(camera_folder_list_files): Use gp_filesystem_list_files

2001-08-08  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/sierra/library.[c,h]: (do_capture): Return the right location
	of the picture (on my camera, it is in /DCIM/100OLYMP)
	(sierra_file_count): Move that function into ...
	* camlibs/sierra/sierra.c: (update_fs_for_folder): New. Check the 
	contents of the camera once at the beginning (init), then don't access
	the card anymore.
	(camera_init): Populate the filesystem
	(camera_folder_list_files): Use gp_filesystem_list_files
	(camera_folder_list_folders): Use gp_filesystem_list_folders
	(camera_file_get_info): The thumbnails aren't in quicktime format
	(camera_capture): Add the picture to the filesystem
	* include/gphoto2-filesys.h:
	* libgphoto2/filesys.c: (gp_filesystem_append): Allow filename == NULL
	for appending just folders
	(gp_filesystem_dump): New
	(gp_filesystem_list_files): New
	(gp_filesystem_list_folders): New

2001-08-04  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/sierra/sierra.c: The C-2100UZ is supported, too.
	Unfortunatelly, the product id is the same for the C-2100UZ, the
	C-3000Z, and the C-3030Z. This results in three entries for this camera
	("gphoto2 --auto-detect"). This has to be fixed somehow, sometime.

2001-08-03  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/sierra/sierra.c: Remove the Panasonic Coolshot KXI-600A
	from the list of supported cameras - Chris Pinkham 
	<cpinkham@infi.net> figured out that this camera uses a totally 
	different protocol.

2001-08-03  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* camlibs/sierra/library.c: Add a note that the Nikon CoolPix 880 
	simply ignores (!) the delete_all command. Thanks to Mick Grant 
	<mickgr@drahthaar.clara.net> for figuring this out.

2001-08-03  Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/camera.c: Even if the camera reports success on 
	delete_all, check if all pictures have been deleted.

2001-08-03	Lutz Müller <urc8@rz.uni-karlsruhe.de>

	* libgphoto2/camera.c: Not all cameras implement delete_all - fall back
	to deletion one by one then.

2001-07-25  Hubert Figuiere  <hfiguiere@teaser.fr>

	* camlibs/kodak/CAMERAS: initial revision.

2001-07-09  Hubert Figuiere  <hfiguiere@teaser.fr>

	* camlibs/kodak/dc240/dc240.c:
	* camlibs/kodak/dc240/library.[c,h]: stricter typing of prototypes
	using const.

2001-07-09  Hubert Figuiere  <hfiguiere@teaser.fr>

	* camlibs/kodak/dc240/dc240.c: added USB support for DC280, DC3400
	and DC5000.

2001-07-04  Hubert Figuiere  <hfiguiere@teaser.fr>

	* camlibs/kodak/dc240/library.c: close bugs #438161 and #438155.

2000-08-20 15:47  scottf

	* libgphoto2/library.c: minor formatting changes

2000-08-20 15:44  scottf

	* libgphoto2/: core.c, file.c, settings.c: added mallocs for NULL
	reallocs

2000-08-20 13:29  jgangemi

	* frontends/gtk/configure.in:	- now checks for gnome libs > 1.2.4
	(needed for libglade to work)

2000-08-20 08:13  philm

	* camlibs/canon/: Changelog, canon.c, psa50.c: make use of
	gp_config_set/get instead of own file to save settings

2000-08-20 06:44  philm

	* camlibs/canon/: Changelog, TODO, canon.c, serial.c: USB now works
	thanks to the help of James Tappin and Tuomas Jormola.

2000-08-19 11:53  jgangemi

	* frontends/gtk/src/main.c:   - gphoto-backend correctly initalized

2000-08-19 11:52  jgangemi

	* frontends/gtk/src/Makefile.am:   - now we look in the dialogs
	directory too!

2000-08-19 11:51  jgangemi

	* frontends/gtk/configure.in:	- added src/dialogs/Makefile

2000-08-19 11:22  philm

	* camlibs/canon/serial.c: fixed another type in serial.c

2000-08-19 11:13  jgangemi

	* frontends/gtk/configure.in:	- more verbose output if libglade
	fails

2000-08-19 10:33  philm

	* camlibs/canon/serial.c: fixed a typo in serial.c

2000-08-19 04:34  scottf

	* camlibs/fujitsu/fujitsu.c: updated the supported camera list

2000-08-18 20:47  jgangemi

	* frontends/gtk/src/main.c:   - adding gnome support (by by
	Lutz_Müller)

2000-08-18 20:45  jgangemi

	* frontends/gtk/src/Makefile.am:   - adding gnome support (by
	Lutz_Müller)
	  - now uses gpio-config

2000-08-18 20:44  jgangemi

	* frontends/gtk/: acconfig.h, configure.in:   - adding gnome
	support (by Lutz_Müller)

2000-08-18 17:24  scottf

	* configure.in, libgphoto2/core.c, libgphoto2/core.h,
	libgphoto2/settings.c: implemented id-based settings system

2000-08-18 12:35  scottf

	* frontends/gtk-old/src/util.c: removed debug statement. whoops. :P

2000-08-18 12:33  scottf

	* frontends/gtk-old/src/: callbacks.c, interface.c, util.c, util.h:
	added option to open image in viewer/editor after download

2000-08-18 11:34  scottf

	* camlibs/canon/serial.c: minor update in serial.c for latest
	libusb (usb_device members names changed)

2000-08-17 17:08  scottf

	* camlibs/directory/directory.def: whoops. overwrote the
	directory.def file. fixed

2000-08-17 17:06  scottf

	* camlibs/directory/directory.c, camlibs/directory/directory.def,
	frontends/command-line/main.c: fixing directory browse lib

2000-08-17 15:48  scottf

	* camlibs/directory/directory.c, frontends/gtk-old/src/main.c:
	directory browse now uses GPIO_DIR macros for portability.
	gphoto2_gtk updated for frontend_register functionality

2000-08-17 15:18  scottf

	* camlibs/fujitsu/fujitsu.c, camlibs/fujitsu/library.c,
	libgphoto2/file.c: minor edits

2000-08-17 10:54  scottf

	* camlibs/directory/Makefile.am, camlibs/directory/directory.c,
	frontends/command-line/interface.h, frontends/command-line/main.c,
	include/gphoto2-datatypes.h, libgphoto2/core.c: fixed
	frontend_register function (name-space conflict)

2000-08-17 10:35  scottf

	* camlibs/fujitsu/fujitsu.c, camlibs/fujitsu/library.c,
	camlibs/fujitsu/library.h, frontends/command-line/main.c,
	include/gphoto2-core.h, include/gphoto2-datatypes.h,
	include/gphoto2.h, libgphoto2/core.c, libgphoto2/library.c,
	libgphoto2/settings.c: fixing little things

2000-08-17 06:36  philm

	* frontends/gtk-old/src/Makefile.am: fixed Makefile.am to use
	gpio-config

2000-08-17 04:30  mariusz

	* configure.in: Solaris workaround for tr and grep fixed

2000-08-17 03:05  philm

	* camlibs/canon/: Changelog, canon.c, psa50.c, serial.c: fixed USB
	compilation, but does it work?

2000-08-16 15:12  scottf

	* include/gphoto2.h, libgphoto2/core.c, libgphoto2/exif.h,
	libgphoto2/library.c, libgphoto2/library.h: fixed minor issues

2000-08-16 07:46  mariusz

	* configure.in: fixed problems with Solaris tr (ranges) and grep
	(-E option)

2000-08-16 07:40  mariusz

	* frontends/command-line/main.c: reverse order for image deleting
	in cli

2000-08-15 19:33  jgangemi

	* frontends/gtk/src/: gp_util.c, gp_util.h:   - added gp_idle
	  - completed gp_interface_message_long
	    - create_message_win_long unimplemented
	  - completed gp_interface_message
	    - create_message_win unimplemented

2000-08-15 19:28  jgangemi

	* frontends/gtk/src/: interface.c, interface.h:   - added
	create_message_win_long stub
	  - added create_message_win stub

2000-08-15 13:49  scottf

	* libgphoto2/: library.c, library.h: quick define changes

2000-08-15 11:42  philm

	* camlibs/canon/: Changelog, TODO, canon.c, psa50.c, psa50.h,
	serial.c, serial.h, util.c, util.h: created a working
	camera_config_set functions (saves debug level and owner name). 
	modified heavily the driver to use the camlib_data struct to store
	all the variables which were previously global.  The driver should
	now be able to use more than one Canon camera at a time (not
	tested).

2000-08-14 20:35  jgangemi

	* frontends/gtk/src/camera_util.h:   - finished config_camera_cb
	    - still need to add gp_message calls and implement
	build/retrieve rec
	      routines

2000-08-14 20:31  jgangemi

	* frontends/gtk/src/callbacks.c:   - finished config_camera_cb
	    - still need to add gp_message calls and implement the
	build/retrieve
	      routines

2000-08-14 20:30  jgangemi

	* frontends/gtk/src/camera_util.c:   - moved gp_gtk_camera* to
	gp_util

2000-08-14 20:29  jgangemi

	* frontends/gtk/src/: gp_util.c, gp_util.h:   - new files :
	contains all gp_* routines
	  - added stubs for some routines so interface compiles
	  - gp_debug_print now functional

2000-08-14 20:27  jgangemi

	* frontends/gtk/src/Makefile.am:   - added a few more files to
	compile

2000-08-13 21:45  jgangemi

	* frontends/gtk/src/interface.c:   - added some interface menus,
	work on local file listings

2000-08-13 21:44  jgangemi

	* frontends/gtk/src/: callbacks.c, callbacks.h:   - added some new
	callbacks

2000-08-13 21:43  jgangemi

	* frontends/gtk/src/globals.h:	 - global vars here

2000-08-13 21:42  jgangemi

	* frontends/gtk/src/: tree_list_util.c, tree_list_util.h:   - all
	functions involving trees reside here - these mainly deal w/
	    the directory structures and manipulation of the local and
	camera
	    file system

2000-08-13 21:41  jgangemi

	* frontends/gtk/src/: camera_util.c, camera_util.h:   - all
	interface funcs to the camera will reside here - see the README
	file
	    one level up

2000-08-13 21:39  jgangemi

	* frontends/gtk/src/Makefile.am:   added files for compiling

2000-08-13 21:39  jgangemi

	* frontends/gtk/README:   read me - i've got some "standards"
	listed here

2000-08-12 13:06  scottf

	* camlibs/konica/: konica.c, konica.h, library.c, lowlevel.c,
	localization/data_english.c30, localization/data_french.c30: added
	patches from Lutz. now supports localization

2000-08-11 04:24  simpson2

	* camlibs/makefile.os2, camlibs/barbie/makefile.os2,
	camlibs/canon/makefile.os2, camlibs/canon/serial.c,
	camlibs/digita/makefile.os2, camlibs/directory/makefile.os2,
	camlibs/sonydscf1/Makefile.am, camlibs/sonydscf1/chotplay.c,
	camlibs/sonydscf1/makefile.os2, camlibs/sonydscf1/sonydscf1.c,
	frontends/command-line/makefile.os2,
	frontends/libgphoto2_frontend/makefile.os2, include/gphotoos2.h,
	libgphoto2/core.c, libgphoto2/file.c, libgphoto2/fs.c,
	libgphoto2/makefile.os2: bvl: Updated OS/2 makefile and made a
	start with modifying the sony lib

2000-08-10 17:16  scottf

	* camlibs/canon/serial.c: removed reference to gpio/gpio.h in favor
	of just gpio.h

2000-08-10 16:36  scottf

	* camlibs/fujitsu/: fujitsu.c, fujitsu.h: added generic USB support
	to fujitsu library. just put in vendor/product/endpoints for any
	camera and it will be supported

2000-08-10 16:19  scottf

	* camlibs/fujitsu/fujitsu.c, camlibs/fujitsu/fujitsu.h,
	camlibs/fujitsu/library.c, frontends/command-line/main.c,
	include/gphoto2-datatypes.h: optimized the fujitsu USB support.
	little change in folder-display in the cli

2000-08-10 16:04  scottf

	* camlibs/canon/canon.c: quick typecast change

2000-08-10 15:48  scottf

	* libgphoto2/fs.c: fixed filesystem deletion bug (yuck)

2000-08-10 14:48  philm

	* camlibs/canon/: Changelog, canon.c, psa50.c: changed
	camera_summary to report battery status.

2000-08-10 13:43  philm

	* camlibs/canon/: Changelog, TODO, canon.c, psa50.c, psa50.h: added
	psa50_set_time. added some widget to the config dialog box.

2000-08-09 18:22  philm

	* camlibs/canon/: Changelog, Protocol, canon.c, psa50.c: changed
	timeout for initialization from 1000 to 900 because with 1000 it
	was working on command line but not GUI.  started a configure
	dialog box.  changed gp_file_list to use gp_list_append.

2000-08-09 18:17  scottf

	* camlibs/fujitsu/fujitsu.c, camlibs/fujitsu/fujitsu.h,
	camlibs/fujitsu/library.c, camlibs/fujitsu/library.h,
	camlibs/panasonic/.cvsignore, libgphoto2/fs.c: added USB support to
	the fujitsu library

2000-08-09 14:44  philm

	* camlibs/canon/canon.c: changed a sprintf to strcpy in canon.c
	(avoids a coredumps (?))

2000-08-09 14:14  scottf

	* camlibs/fujitsu/: fujitsu.c, fujitsu.h, library.c: adding USB
	support to fujitsu. it's failing right now. blech.

2000-08-08 19:35  scottf

	* include/gphoto2-datatypes.h: modified cameralistentry

2000-08-08 15:43  scottf

	* camlibs/konica/: konica.c, konica.h, library.c, library.h,
	lowlevel.c, lowlevel.h: added Lutz's patches for filename-centric
	API

2000-08-08 15:33  philm

	* camlibs/canon/serial.c: Fixed typo in serial.c

2000-08-08 15:04  scottf

	* frontends/command-line/main.c: fixed get-all-pictures bug that
	crashed the CLI (for_each_image was being called with NULL folder)

2000-08-08 15:00  scottf

	* frontends/gtk-old/src/: callbacks.c, interface.c: updated gtk-old
	to new API

2000-08-08 14:59  philm

	* camlibs/canon/: TODO, canon.c, psa50.c, psa50.h, serial.c: Upload
	preliminary support for testing.

2000-08-08 12:56  philm

	* camlibs/canon/: Changelog, TODO: TODO and Changelog files
	created.

2000-08-08 12:38  philm

	* camlibs/canon/: canon.c, serial.c: Bug for setting attributes
	corrected. changed canon_serial_send to speed up for all cameras
	but A50 which does not like getting too much data in a row.

2000-08-08 12:10  mariusz

	* camlibs/panasonic/dc1580.c: bug related to abilities fixed

2000-08-06 06:01  mariusz

	* camlibs/panasonic/: README, dc1000.c, dc1580.c: abilities
	accomodated to the new API

2000-08-05 09:57  mariusz

	* camlibs/panasonic/: README, dc.h, dc1000.c, dc1580.c: filename
	based communication between library and core

2000-08-05 05:35  philm

	* camlibs/canon/canon.c: camera_file_delete updated to the filename
	API

2000-08-05 04:55  philm

	* camlibs/canon/: Makefile.am, README, canon.c, psa50.c, serial.c,
	serial.h: Updated library to the filename based API.  PowerShot A5
	support must be updated to the new API.  Deletion of pics does not
	yet work.  USB is not updated to the changes in libgpio.

2000-08-04 20:29  scottf

	* docs/: camlib_devel.sgml, camlib_devel.txt: updated linuxdoc and
	plaintext camlib developer docs

2000-08-04 18:09  scottf

	* camlibs/barbie/barbie.c, camlibs/digita/digita.c,
	camlibs/directory/directory.c, camlibs/fujitsu/fujitsu.c,
	docs/camlib_devel.lyx, include/gphoto2-core.h,
	include/gphoto2-datatypes.h, include/gphoto2-library.h,
	libgphoto2/core.c, libgphoto2/globals.h, libgphoto2/library.c:
	changed camera_id and camera_abilities prototypes. this should be
	the start of stability for the API

2000-08-04 17:09  jerdfelt

	* include/gphoto2-datatypes.h: Clean up type definitions and
	prototypes. Some minor formatting changes for consistency

2000-08-04 17:07  jerdfelt

	* camlibs/digita/: digita.c, usb.c: Get it to atleast compile again

2000-08-04 17:04  jerdfelt

	* camlibs/: canon/.cvsignore, konica/.cvsignore: Update .cvsignore

2000-08-04 17:04  jerdfelt

	* camlibs/canon/canon.c: Spaces to TABs

2000-08-04 17:02  jerdfelt

	* libgphoto2/.cvsignore: Wildcard .lo

2000-08-04 17:01  jerdfelt

	* configure.in: Fix alignment for camera help

2000-08-04 17:01  jerdfelt

	* camlibs/sonydscf1/: .cvsignore, Makefile.am: Standard files

2000-08-04 15:32  scottf

	* camlibs/barbie/barbie.c, camlibs/canon/canon.c,
	camlibs/digita/digita.c, camlibs/directory/directory.c,
	camlibs/fujitsu/fujitsu.c, camlibs/fujitsu/library.c,
	camlibs/konica/library.c, camlibs/panasonic/dc1000.c,
	camlibs/panasonic/dc1580.c, camlibs/sonydscf1/sonydscf1.c,
	camlibs/template/template.c, docs/camlib_devel-portmon.eps,
	docs/camlib_devel-repeater.eps, docs/camlib_devel-y.eps,
	docs/camlib_devel.lyx, docs/camlib_devel.txt,
	include/gphoto2-library.h, libgphoto2/library.c: changed prototype
	for camera_id to use CameraText (sorry everyone\!)

2000-08-04 14:59  jerdfelt

	* libgphoto2/core.c: Standardize formatting a little bit

2000-08-04 14:52  jerdfelt

	* include/gphoto2-datatypes.h: Tabs before everything? Call me
	anal, but I think this is more readable :)

2000-08-04 11:38  scottf

	* frontends/command-line/main.c: fixed thumbnail naming buggy

2000-08-03 17:47  scottf

	* camlibs/barbie/barbie.c, camlibs/barbie/barbie.h,
	camlibs/barbie/library.c, camlibs/directory/directory.c,
	camlibs/fujitsu/fujitsu.c, frontends/command-line/main.c,
	frontends/gtk-old/src/callbacks.c, include/gphoto2-core.h,
	include/gphoto2-datatypes.h, include/gphoto2-library.h,
	libgphoto2/core.c, libgphoto2/fs.c: changed to newer API version.
	completely filename based, more atomic to make way for camera
	locking

2000-08-03 16:13  scottf

	* configure.in, camlibs/NOTES, camlibs/barbie/barbie.c,
	camlibs/directory/directory.c, camlibs/fujitsu/fujitsu.c,
	camlibs/fujitsu/fujitsu.h, camlibs/sonydscf1/chotplay.c,
	camlibs/sonydscf1/sonydscf1.c, frontends/command-line/main.c: moved
	to filename-based system. tested (pretty well) and working with
	barbie, directory, and fujitsu libraries

2000-08-02 10:38  scottf

	* DAEMON, camlibs/barbie/Makefile.am, camlibs/barbie/barbie.c,
	camlibs/barbie/barbie.h, camlibs/barbie/library.c,
	camlibs/barbie/library.h, camlibs/barbie/makefile.os2,
	frontends/command-line/main.c, include/gphoto2-core.h,
	include/gphoto2-datatypes.h, include/gphoto2-library.h,
	libgphoto2/Makefile.am, libgphoto2/core.c, libgphoto2/fs.c,
	libgphoto2/fs.h, libgphoto2/library.c: changing to filename based
	system

2000-08-01 15:03  scottf

	* camlibs/directory/directory.c, include/gphoto2-core.h,
	include/gphoto2-datatypes.h, libgphoto2/widget.c: revised widget
	system (a little)

2000-08-01 15:00  scottf

	* frontends/gtk-old/src/callbacks.c: fixed configuration bug (radio
	buttons). updated to newer widget revision

2000-08-01 12:31  scottf

	* camlibs/fujitsu/fujitsu.c: added folder support patch from Veros
	Kaplan (thanks Veros\!)

2000-08-01 12:17  scottf

	* include/gphoto2-datatypes.h: fixed abilities bug

2000-07-31 19:10  scottf

	* camlibs/: canon/psa50.c, canon/serial.c, digita/digita.c,
	digita/usb.c: updated for new dynamic libgpio

2000-07-31 14:47  scottf

	* camlibs/panasonic/.cvsignore: updated .cvsignore

2000-07-31 14:46  scottf

	* camlibs/panasonic/: README, dc1000.c, dc1000.h: added missing
	panasonic files

2000-07-31 14:45  scottf

	* frontends/command-line/main.c, libgphoto2/Makefile.am,
	libgphoto2/core.c: fixed CAMLIBS directory bug

2000-07-31 11:16  scottf

	* camlibs/fujitsu/fujitsu.c: fixed camera_init conditional
	placemente (noted by Veros Kaplan)

2000-07-31 05:16  simpson2

	* camlibs/digita/: digita.c, digita.h, serial.c: bvl: init
	structure passed to digita seial init, for serial path and speed

2000-07-30 12:59  scottf

	* camlibs/konica/: konica.c, konica.h, library.c: added patch from
	lutz to konica

2000-07-30 06:34  simpson2

	* docs/build_OS2.txt: bvl: start of information on OS/2 Build

2000-07-30 05:10  simpson2

	* AUTHORS, camlibs/makefile.os2, camlibs/barbie/makefile.os2,
	camlibs/canon/makefile.os2, camlibs/digita/makefile.os2,
	camlibs/directory/makefile.os2, camlibs/fujitsu/makefile.os2,
	camlibs/konica/makefile.os2, camlibs/panasonic/makefile.os2,
	camlibs/sonydscf1/makefile.os2,
	frontends/command-line/makefile.os2: bvl: updated OS/2 makefiles,
	there was a stupid machine dependant declaration      in them

2000-07-29 13:28  scottf

	* AUTHORS: added mariusz to the AUTHORS file

2000-07-29 12:06  scottf

	* camlibs/: canon/canon.c, panasonic/Makefile.am, panasonic/dc.c,
	panasonic/dc.h, panasonic/dc1580.c, panasonic/dc1580.h: applied
	patches from Mariusz(panasonic) and Phillipe (canon)

2000-07-29 04:41  simpson2

	* camlibs/barbie/makefile.os2,
	frontends/libgphoto2_frontend/makefile.os2: bvl: updated OS/2
	support

2000-07-29 04:32  simpson2

	* camlibs/.cvsignore: bvl: updated

2000-07-29 04:31  simpson2

	* camlibs/konica/: .cvsignore, konica.df, makefile.os2: bvl: added
	files needed to build DLL on OS/2

2000-07-29 04:30  simpson2

	* camlibs/fujitsu/.cvsignore: [no log message]

2000-07-29 04:29  simpson2

	* camlibs/fujitsu/: fujitsu.df, makefile.os2: bvl: Files needed to
	build DLL on OS/2

2000-07-29 04:28  simpson2

	* camlibs/makefile.os2, camlibs/directory/makefile.os2,
	frontends/command-line/makefile.os2, include/gphotoos2.h,
	libgphoto2/makefile.os2: bvl: various changes and updates to OS/2
	specific files

2000-07-29 04:27  simpson2

	* camlibs/sonydscf1/: readme, todo: [no log message]

2000-07-29 04:25  simpson2

	* camlibs/sonydscf1/: chotplay.c, chotplay.h, command.c, command.h,
	common.h, config.h, dsc_f1.c, getuint.c, getuint.h, makefile.os2,
	pmp.h, sonydscf1.c, sonydscf1.df, sonydscf1.h: bvl: Support for the
	Sony DSC-F1, modified library from gphoto1	only tested and
	compiled on OS/2

2000-07-29 04:20  simpson2

	* camlibs/canon/: canon.c, psa50.c, serial.c: bvl: changed include
	<gpio/gpio.h> to <gpio.h> as discussed earlier

2000-07-29 04:17  simpson2

	* camlibs/: barbie/barbie.df, barbie/makefile.os2, canon/canon.df,
	canon/makefile.os2: bvl: added files to build DLL on OS/2

2000-07-29 04:16  simpson2

	* camlibs/panasonic/: dc.c, dc1580.c, makefile.os2, panasonic.df:
	bvl: dc.c, dc1580.c added db.h include, to make it compile on OS/2 
	    makefile.os2 panansonic.df files needed to build dll on OS/2

2000-07-29 04:14  simpson2

	* camlibs/digita/digita.df: bvl: digita.df, module defenition file
	to create DLL on OS/2

2000-07-29 04:13  simpson2

	* camlibs/digita/makefile.os2: bvl: makefile for OS/2

2000-07-29 04:13  simpson2

	* camlibs/digita/: commands.c, digita.c, digita.h, serial.c, usb.c:
	bvl: Changed include file from <gpio/gpio.h> to <gpio.h>

2000-07-28 23:09  scottf

	* include/gphoto2-datatypes.h: fixed abilities->port macros to
	reflect renumbering of CameraPortType

2000-07-28 16:54  scottf

	* camlibs/panasonic/dc1580.c: replace gp_message in panasonic lib
	with gp_camera_message

2000-07-28 13:20  scottf

	* camlibs/canon/canon.c, camlibs/canon/canon.h,
	camlibs/canon/psa50.c, camlibs/canon/psa50.h,
	camlibs/fujitsu/fujitsu.c, frontends/command-line/main.c,
	frontends/gtk-old/src/callbacks.c, include/gphoto2-datatypes.h,
	libgphoto2/core.c, libgphoto2/globals.h, libgphoto2/library.c:
	added patch from mariusz to fix deleting bug. added canon patch
	from phillipe to fix thumbnailing bug and add detection of IXUS

2000-07-27 13:00  scottf

	* camlibs/canon/canon.c, camlibs/canon/serial.c,
	camlibs/konica/library.c, libgphoto2/library.c: fixed 'not a
	library' bug for konica and canon libraries

2000-07-27 12:30  scottf

	* camlibs/konica/library.c: added patch from Lutz fixing exit, and
	removing unneeded struct

2000-07-27 03:31  scottf

	* ChangeLog: updated ChangeLog

2000-07-27 00:38  scottf

	* frontends/gtk/configure.in: changed name of gtk from project5 to
	gphoto2_gtk2 for now

2000-07-27 00:37  scottf

	* frontends/gtk/: install-sh, missing, mkinstalldirs,
	intl/ChangeLog, intl/VERSION, intl/bindtextdom.c,
	intl/cat-compat.c, intl/dcgettext.c, intl/dgettext.c,
	intl/explodename.c, intl/finddomain.c, intl/gettext.c,
	intl/gettext.h, intl/gettextP.h, intl/hash-string.h,
	intl/intl-compat.c, intl/l10nflist.c, intl/libgettext.h,
	intl/linux-msg.sed, intl/loadinfo.h, intl/loadmsgcat.c,
	intl/localealias.c, intl/po2tbl.sed.in, intl/textdomain.c,
	intl/xopen-msg.sed: remove intl directory

2000-07-27 00:35  scottf

	* frontends/gtk/: aclocal.m4, config.h.in, configure,
	po/Makefile.in.in, po/cat-id-tbl.c, po/project5.pot,
	po/stamp-cat-id, src/Makefile.am: removed unnecessary files

2000-07-27 00:25  scottf

	* frontends/gtk/src/: tree_list_util.c, tree_list_util.h: added
	missing files to the gtk frontend

2000-07-26 22:46  scottf

	* camlibs/digita/digita.c: fixed small bug in digita abilities code
	(incremented pointer location, not value for some reason :P)

2000-07-26 22:44  scottf

	* camlibs/template/template.c: corrected template directory's port
	ability

2000-07-26 22:42  scottf

	* camlibs/: canon/.cvsignore, konica/.cvsignore: mod'd cvsignore
	files

2000-07-26 22:41  scottf

	* camlibs/digita/digita.c, camlibs/digita/digita.h,
	camlibs/digita/serial.c, camlibs/digita/usb.c,
	frontends/command-line/Makefile.am, frontends/command-line/main.c,
	include/gphoto2-datatypes.h, include/gphoto2.h: added digita
	library and command-line patch from Johannes

2000-07-26 21:33  scottf

	* camlibs/: canon/Makefile, canon/Makefile.in, konica/Makefile.in:
	removed Makefile[.in] from canon and konica libs

2000-07-26 21:06  scottf

	* docs/: .cvsignore, camlib_devel.lyx, camlib_devel.sgml,
	camlib_devel.txt, frontend_devel.lyx, frontend_devel.sgml,
	frontend_devel.txt: starting to write the docs. outlined structure

2000-07-26 20:43  scottf

	* docs/: camlib_devel.lyx, camlib_devel.sgml, frontend_devel.lyx,
	frontend_devel.sgml: adding skeletons for the docs

2000-07-26 20:26  scottf

	* docs/: camlib_devel.txt, frontend_devel.txt: starting developer
	documentation

2000-07-26 20:22  scottf

	* frontends/gtk/src/Makefile.am: small Makefile.am change to gtk

2000-07-26 19:55  scottf

	* frontends/gtk-old/files.list: removed files.list

2000-07-26 14:36  scottf

	* frontends/gtk/autogen.sh: added autogen.sh

2000-07-26 14:34  scottf

	* frontends/gtk/: ABOUT-NLS, AUTHORS, COPYING, ChangeLog, INSTALL,
	Makefile.am, NEWS, README, acconfig.h, aclocal.m4, config.h.in,
	configure, configure.in, install-sh, missing, mkinstalldirs,
	stamp-h.in, intl/ChangeLog, intl/VERSION, intl/bindtextdom.c,
	intl/cat-compat.c, intl/dcgettext.c, intl/dgettext.c,
	intl/explodename.c, intl/finddomain.c, intl/gettext.c,
	intl/gettext.h, intl/gettextP.h, intl/hash-string.h,
	intl/intl-compat.c, intl/l10nflist.c, intl/libgettext.h,
	intl/linux-msg.sed, intl/loadinfo.h, intl/loadmsgcat.c,
	intl/localealias.c, intl/po2tbl.sed.in, intl/textdomain.c,
	intl/xopen-msg.sed, pixmaps/camera.xpm, pixmaps/close_image.xpm,
	pixmaps/configure.xpm, pixmaps/delete_images.xpm, pixmaps/exit.xpm,
	pixmaps/fliph.xpm, pixmaps/flipv.xpm, pixmaps/folder.xpm,
	pixmaps/get_index.xpm, pixmaps/get_index_empty.xpm,
	pixmaps/get_selected_images.xpm, pixmaps/no_thumbnail.xpm,
	pixmaps/open_image.xpm, pixmaps/print_image.xpm,
	pixmaps/refresh.xpm, pixmaps/resize.xpm, pixmaps/rotc.xpm,
	pixmaps/save_current_image.xpm, po/ChangeLog, po/Makefile.in.in,
	po/POTFILES.in, po/cat-id-tbl.c, po/project5.pot, po/stamp-cat-id,
	src/Makefile.am, src/callbacks.c, src/callbacks.h, src/interface.c,
	src/interface.h, src/main.c, src/support.c, src/support.h: added
	new gtk inteface beginning code

2000-07-26 14:25  scottf

	* frontends/gtk-old/: po/.cvsignore, src/.cvsignore: whoops. fixed
	cvsignore in gtk-old

2000-07-26 14:24  scottf

	* camlibs/: canon/.cvsignore, konica/.cvsignore,
	konica/localization/data_english.c30,
	konica/localization/data_french.c30, panasonic/.cvsignore: updated
	all .cvsignore files

2000-07-26 14:21  scottf

	* frontends/gtk-old/: .cvsignore, po/.cvsignore, src/.cvsignore:
	updated .cvsignore files

2000-07-26 14:14  scottf

	* configure.in, camlibs/barbie/barbie.c, camlibs/canon/Makefile,
	camlibs/canon/Makefile.am, camlibs/canon/Makefile.in,
	camlibs/directory/directory.c, camlibs/konica/konica.c,
	camlibs/konica/konica.h, camlibs/konica/library.c,
	camlibs/konica/lowlevel.c, camlibs/konica/lowlevel.h,
	frontends/command-line/main.c, frontends/gtk-old/src/callbacks.c,
	frontends/gtk-old/src/globals.h, frontends/gtk-old/src/interface.c,
	frontends/gtk-old/src/interface.h, frontends/gtk-old/src/main.c,
	include/gphoto2-core.h, include/gphoto2-datatypes.h,
	include/gphoto2.h, libgphoto2/core.c, libgphoto2/library.c: updated
	gtk-old interface to new object-oriented API

2000-07-25 16:58  ole

	* camlibs/canon/Makefile.am: Fix libgphoto2_canon_la_LDFLAGS

2000-07-25 14:26  scottf

	* include/gphoto2-core.h, include/gphoto2-datatypes.h,
	libgphoto2/core.c: added gp_camera_free(). added some error
	checking

2000-07-25 14:03  scottf

	* configure.in, camlibs/barbie/barbie.c, camlibs/barbie/barbie.h,
	camlibs/canon/Makefile, camlibs/canon/canon.c,
	camlibs/canon/psa50.c, camlibs/canon/psa50.h,
	camlibs/canon/serial.c, camlibs/digita/digita.c,
	camlibs/directory/directory.c, camlibs/directory/directory.h,
	camlibs/fujitsu/fujitsu.c, camlibs/fujitsu/fujitsu.h,
	camlibs/fujitsu/library.c, camlibs/fujitsu/library.h,
	camlibs/konica/library.c, camlibs/panasonic/dc1580.c,
	camlibs/template/template.c, frontends/command-line/interface.c,
	frontends/command-line/main.c, include/gphoto2-core.h,
	include/gphoto2-datatypes.h, include/gphoto2-interface.h,
	include/gphoto2-library.h, libgphoto2/core.c, libgphoto2/core.h,
	libgphoto2/file.c, libgphoto2/globals.h, libgphoto2/library.c,
	libgphoto2/library.h: moved to object-oriented Camera* design

2000-07-25 13:02  scottf

	* camlibs/canon/: Makefile, Makefile.am, Makefile.in, Protocol,
	README, canon.c, canon.h, crc.c, crc.h, mkpatch, psa50.c, psa50.h,
	serial.c, serial.h, util.c, util.h, ps350/COPYING, ps350/README,
	ps350/SerialIn, ps350/compu1, ps350/compu3, ps350/compu3c,
	ps350/compu3d, ps350/compu3e-4, ps350/compu3f, ps350/compu5,
	ps350/compu6, ps350/notes.txt, ps350/ps350chk.c, ps350/ps350init,
	ps350/ps350proto.txt, ps350/renamejpg.c: added canon lib\!\!

2000-07-24 13:43  scottf

	* configure.in: added comma :P

2000-07-24 03:47  simpson2

	* makefile.os2, camlibs/makefile.os2,
	camlibs/directory/directory.def, camlibs/directory/makefile.os2,
	frontends/command-line/main.c, frontends/command-line/makefile.os2,
	include/gphoto2.h, include/gphotoos2.h, libgphoto2/library.c,
	libgphoto2/makefile.os2: bvl: Made some linebreak statments, and
	ifdef correction on behalf of the      OS/2 port

2000-07-22 14:47  scottf

	* camlibs/: directory/directory.c, fujitsu/fujitsu.c: minor
	config_set/get bug fix

2000-07-22 14:34  scottf

	* camlibs/fujitsu/fujitsu.c, frontends/gtk-old/src/callbacks.c,
	include/gphoto2-core.h, include/gphoto2-datatypes.h,
	libgphoto2/core.c, libgphoto2/widget.c: added dynamic configuration
	support.

2000-07-21 21:59  scottf

	* frontends/gtk-old/src/callbacks.c, frontends/gtk-old/src/util.c,
	include/gphoto2-core.h, include/gphoto2-datatypes.h,
	libgphoto2/widget.c: fixed nasty recursive gp_widget_free bug.
	blech.

2000-07-21 20:06  scottf

	* camlibs/fujitsu/fujitsu.c, frontends/gtk-old/src/callbacks.c,
	include/gphoto2-datatypes.h, libgphoto2/widget.c: reworked widget
	system a little. added more functions

2000-07-21 16:14  scottf

	* frontends/gtk-old/src/callbacks.c, libgphoto2/widget.c: adding
	configuration support to GTK frontend

2000-07-21 14:55  scottf

	* camlibs/fujitsu/fujitsu.c, frontends/command-line/test.c,
	frontends/gtk-old/src/callbacks.c, include/gphoto2-core.h,
	include/gphoto2-datatypes.h, libgphoto2/core.c,
	libgphoto2/widget.c: widget system is now working\! adding support
	to GTK frontend

2000-07-21 14:15  scottf

	* acconfig.h, configure.in, camlibs/Makefile.am,
	camlibs/konica/Makefile.in, camlibs/panasonic/dc.c,
	camlibs/panasonic/dc.h, camlibs/panasonic/dc1580.c,
	camlibs/panasonic/dc1580.h, frontends/command-line/.cvsignore,
	libgphoto2/file.c, libgphoto2/library.c: added a bunch of patchs
	from Johannes and Mariusz

2000-07-21 14:15  scottf

	* camlibs/digita/: .cvsignore, Makefile.am, commands.c, digita.c,
	digita.h, serial.c, usb.c: adding .cvsignor for digita driver dir

2000-07-19 21:55  scottf

	* camlibs/directory/directory.c: added more image file types to
	directory browse lib

2000-07-19 21:43  scottf

	* camlibs/fujitsu/fujitsu.c, frontends/gtk-old/src/callbacks.c:
	added more cameras to the supported camera list

2000-07-19 21:37  scottf

	* camlibs/barbie/barbie.c: renamed the camera models

2000-07-19 21:20  scottf

	* camlibs/barbie/barbie.c, camlibs/directory/directory.c,
	camlibs/fujitsu/fujitsu.c, camlibs/konica/library.c,
	camlibs/panasonic/dc1580.c, camlibs/template/template.c,
	frontends/command-line/main.c, include/gphoto2-core.h,
	include/gphoto2-datatypes.h, include/gphoto2-library.h,
	libgphoto2/core.c, libgphoto2/core.h: changed _manual, _about, and
	_summary to use CameraText to guarantee 32k of text space

2000-07-19 20:59  scottf

	* camlibs/barbie/barbie.c, camlibs/directory/directory.c,
	camlibs/fujitsu/fujitsu.c, camlibs/konica/library.c,
	camlibs/panasonic/dc1580.c, frontends/command-line/main.c,
	include/gphoto2-datatypes.h, libgphoto2/util.c: changed
	abilities.(serial, parallel, usb, ...) to just ORing of
	abilities.port

2000-07-19 20:36  scottf

	* camlibs/barbie/barbie.c, camlibs/directory/directory.c,
	camlibs/fujitsu/fujitsu.c, camlibs/panasonic/dc1580.c,
	camlibs/template/template.c, include/gphoto2-core.h,
	include/gphoto2-datatypes.h, include/gphoto2-library.h,
	libgphoto2/core.c, libgphoto2/core.h: updated camera_capture
	prototype

2000-07-19 20:23  scottf

	* camlibs/barbie/barbie.c, camlibs/directory/directory.c,
	camlibs/fujitsu/fujitsu.c, camlibs/konica/library.c,
	camlibs/panasonic/dc1580.c, camlibs/template/template.c,
	frontends/libgphoto2_frontend/cache.c, include/gphoto2-datatypes.h,
	include/gphoto2-library.h, libgphoto2/core.c, libgphoto2/file.c:
	converted over to using mime types in CameraFile->type

2000-07-19 20:07  scottf

	* configure.in, camlibs/konica/COPYING, camlibs/konica/ChangeLog,
	camlibs/konica/EXPERTS, camlibs/konica/Makefile.am,
	camlibs/konica/Makefile.in, camlibs/konica/README,
	camlibs/konica/TODO, camlibs/konica/konica.c,
	camlibs/konica/konica.h, camlibs/konica/library.c,
	camlibs/konica/lowlevel.c, camlibs/konica/lowlevel.h: added konica
	library. thanx Lutz\!

2000-07-19 19:24  scottf

	* camlibs/fujitsu/fujitsu.c, camlibs/fujitsu/library.c,
	frontends/gtk-old/src/callbacks.c,
	frontends/gtk-old/src/interface.c, libgphoto2/core.c,
	libgphoto2/library.c, libgphoto2/util.c: fixed camera abilities
	bug. finishing gtk frontend. fixed minor bug in fujitsu lib

2000-07-19 18:58  scottf

	* camlibs/fujitsu/fujitsu.c: added camera_stop to the end of _init

2000-07-19 18:45  scottf

	* camlibs/fujitsu/README: updated README

2000-07-19 18:44  scottf

	* camlibs/fujitsu/library.c: hell. removed all usleeps and it's
	much quicker now. errors are recovered (if they ever pop up)

2000-07-19 18:41  scottf

	* camlibs/fujitsu/fujitsu.c: removed guts of camera_exit. not
	needed now.

2000-07-19 18:39  scottf

	* camlibs/fujitsu/fujitsu.c: wrapped folder_set and file_count in
	start/stop functions

2000-07-19 18:36  scottf

	* camlibs/fujitsu/fujitsu.c, frontends/gtk-old/src/callbacks.c:
	gtk-old is working. good to go\!

2000-07-19 18:30  scottf

	* camlibs/fujitsu/library.c: scaled percentage value

2000-07-19 18:28  scottf

	* camlibs/fujitsu/library.c: reduced timeout. faster now.

2000-07-19 18:27  scottf

	* camlibs/fujitsu/: fujitsu.c, library.c: error recovery is a good
	thing. now nak's incomplete packets and reads again

2000-07-19 18:00  scottf

	* camlibs/fujitsu/library.c: increased timeout to let camera catch
	up

2000-07-19 17:56  scottf

	* camlibs/fujitsu/fujitsu.c: hacked around idle camera bug. camera
	didn't like sitting idle between operations.

2000-07-19 16:53  scottf

	* camlibs/fujitsu/fujitsu.c, camlibs/fujitsu/library.c,
	frontends/command-line/main.c, frontends/gtk-old/AUTHORS,
	frontends/gtk-old/MANUAL, frontends/gtk-old/src/callbacks.c,
	frontends/gtk-old/src/callbacks.h,
	frontends/gtk-old/src/gtkiconlist.c,
	frontends/gtk-old/src/gtkitementry.c,
	frontends/gtk-old/src/interface.c,
	frontends/gtk-old/src/interface.h, frontends/gtk-old/src/util.c,
	frontends/gtk-old/src/util.h: almost done on new gtk-old interface.
	fixing fujitsu library bugs.

2000-07-19 15:07  scottf

	* camlibs/directory/directory.c: fixed preview naming bug

2000-07-19 13:08  scottf

	* libgphoto2/file.c: null terminater the file->data in gp_file_open

2000-07-19 11:35  scottf

	* frontends/gtk-old/src/: callbacks.c, callbacks.h, interface.c:
	finished the save dialog. just need to save now

2000-07-19 11:04  scottf

	* frontends/gtk-old/acinclude.m4: added DOCDIC macro to build
	(thanks Ole)

2000-07-19 11:03  scottf

	* frontends/gtk-old/pixmaps/refresh.xpm: added refresh button

2000-07-18 20:08  scottf

	* frontends/gtk-old/src/: callbacks.c, interface.c, interface.h,
	util.c, util.h: finishing up gtk-old. adding saving functionality.

2000-07-18 17:28  scottf

	* frontends/gtk-old/src/: callbacks.c, gtkiconlist.lo, interface.c:
	how'd that object file get in there? whoops. it was me. :P

2000-07-18 17:22  scottf

	* COPYING: Put in copy of LGPL

2000-07-18 17:21  scottf

	* camlibs/directory/directory.c: added manual and summary to
	directory lib

2000-07-18 17:08  scottf

	* frontends/gtk-old/: AUTHORS, acconfig.h, configure.in,
	src/callbacks.c, src/interface.c, src/interface.h: added help menu
	items

2000-07-18 16:22  scottf

	* include/gphoto2.h: removed gpio.h reference from gphoto2.h
	(didn't need it)

2000-07-18 16:17  scottf

	* frontends/gtk-old/: COPYING, INSTALL: whoops. needed to add
	COPYING file and INSTALL :P

2000-07-18 16:17  scottf

	* frontends/gtk-old/: Makefile.am, src/callbacks.c: updated COPYING
	file and INSTALL

2000-07-18 16:12  scottf

	* camlibs/fujitsu/library.c, camlibs/template/template.c,
	include/gphoto2.h: finished replacing <gpio/gpio.h> with <gpio.h>

2000-07-18 16:10  scottf

	* camlibs/barbie/barbie.c, camlibs/fujitsu/fujitsu.c,
	camlibs/panasonic/dc.h, frontends/gtk-old/MANUAL,
	frontends/gtk-old/Makefile.am, frontends/gtk-old/src/callbacks.c,
	frontends/gtk-old/src/interface.c, libgphoto2/Makefile.am,
	libgphoto2/core.c: replaced all #include <gpio/gpio.h> with
	#include <gpio.h> for portability (so other non-development
	oriented platforms can compile without installing)

2000-07-18 15:31  scottf

	* frontends/gtk-old/.cvsignore: added cvsignore to gtk-old

2000-07-18 14:38  scottf

	* AUTHORS: minor AUTHORS change.

2000-07-18 14:38  scottf

	* frontends/gtk-old/configure.in,
	frontends/gtk-old/src/callbacks.c,
	frontends/gtk-old/src/interface.c,
	frontends/gtk-old/src/interface.h, libgphoto2/file.c: added AUTHORS
	file to install.

2000-07-18 14:13  scottf

	* .cvsignore, AUTHORS, Makefile.am, acconfig.h, configure.in,
	camlibs/.cvsignore, camlibs/Makefile.am, camlibs/NOTES,
	camlibs/barbie/.cvsignore, camlibs/directory/.cvsignore,
	camlibs/fujitsu/.cvsignore, frontends/.cvsignore,
	frontends/command-line/.cvsignore, frontends/command-line/main.c,
	frontends/gtk-old/configure.in, frontends/gtk-old/src/callbacks.c,
	frontends/gtk-old/src/interface.c,
	frontends/libgphoto2_frontend/.cvsignore, include/.cvsignore,
	libgphoto2/Makefile.am: added patch for --get-picture (correctly
	reports error message now) from Mariusz. patched cvsignore patch
	from Johannes.

2000-07-18 13:25  scottf

	* camlibs/panasonic/dc.c, camlibs/panasonic/dc.h,
	camlibs/panasonic/dc1580.c, camlibs/panasonic/dc1580.h,
	frontends/command-line/main.c, libgphoto2/core.c: updated
	panansonic library. Thanx Mariusz

2000-07-17 19:28  scottf

	* frontends/gtk-old/src/: callbacks.c, callbacks.h, gtkiconlist.c,
	gtkiconlist.h: fixed nasty bug with gtkiconlist. not thread safe.

2000-07-17 16:44  scottf

	* frontends/gtk-old/src/: callbacks.c, callbacks.h, interface.c:
	rearranged toolbar. added refresh button. removed index buttons.

2000-07-17 12:46  ole

	* libgphoto2/core.c: Added #ifdef's for GPIO_USB, GPIO_IEEE1394 and
	GPIO_NETWORK

2000-07-17 12:43  ole

	* frontends/command-line/main.c: Replaced conflicting delacaration
	of 'daemon' in unistd.h with 'daemonmode'

2000-07-17 12:26  scottf

	* include/gphotoos2.h: edited gphotoos2.h.

2000-07-17 12:11  scottf

	* configure.in, makefile.os2, camlibs/makefile.os2,
	camlibs/directory/directory.c, camlibs/directory/directory.def,
	camlibs/directory/makedll.cmd, camlibs/directory/makefile.os2,
	camlibs/fujitsu/fujitsu.c, camlibs/panasonic/dc1580.c,
	frontends/command-line/main.c, frontends/command-line/makefile.os2,
	include/gphoto2.h, include/gphotoos2.h, libgphoto2/library.c,
	libgphoto2/makefile.os2: added os2 support. Thank Bart a lot, OS2
	users :)

2000-07-17 11:54  scottf

	* camlibs/panasonic/: dc.c, dc1580.c: small workaround for uint8_t
	and uint32_t (#defines)

2000-07-17 11:45  scottf

	* camlibs/: Makefile.am, panasonic/Makefile.am, panasonic/dc.c,
	panasonic/dc.h, panasonic/dc1580.c, panasonic/dc1580.h: Added
	panasonic library. Thanx Mariusz.

2000-07-14 21:27  scottf

	* frontends/gtk-old/src/: callbacks.c, callbacks.h, globals.h,
	interface.c, main.c: added file deletion to gtk-old. now icon list
	updates on resizing (neat). only a couple things left :)

2000-07-14 19:08  scottf

	* frontends/gtk-old/src/: callbacks.c, gtkiconlist.c,
	gtkitementry.c, interface.c: selecting thumbnails works (small hack
	in gtkiconlist.c)

2000-07-14 17:55  scottf

	* frontends/gtk-old/src/: callbacks.c, callbacks.h, globals.h,
	interface.c, interface.h, main.c: wow. folder listing is working
	nicely. added new progress window (percent and message included
	with cancel button).

2000-07-14 17:53  scottf

	* libgphoto2/core.c: core will now sort the folder list before
	passing it back to the front-end (how nice ;)

2000-07-14 15:32  scottf

	* camlibs/directory/directory.c: fixed getting multiple indexes
	error

2000-07-14 15:14  scottf

	* camlibs/barbie/barbie.c, camlibs/directory/directory.c,
	camlibs/fujitsu/fujitsu.c, camlibs/fujitsu/fujitsu.h,
	camlibs/fujitsu/library.c, camlibs/fujitsu/library.h,
	camlibs/template/template.c, frontends/command-line/main.c,
	frontends/command-line/test.c, frontends/gtk-old/src/main.c,
	include/gphoto2-core.h, include/gphoto2-datatypes.h,
	include/gphoto2-library.h, libgphoto2/core.c, libgphoto2/core.h,
	libgphoto2/library.c, libgphoto2/util.c, libgphoto2/util.h: remove
	camera_debug_set function, moved to CameraInit flag

2000-07-13 20:06  scottf

	* frontends/gtk-old/src/callbacks.c: whoops. file_get changed to
	file_get_preview in the indexing function :P MUCH faster now.
	sheesh.

2000-07-13 20:01  scottf

	* frontends/gtk-old/src/: callbacks.c, gtkiconlist.c,
	gtkiconlist.h, interface.c, util.c, util.h: indexing is working.
	camera folder browsing is working. directory browse works (will
	index any directory)

2000-07-13 16:33  scottf

	* libgphoto2/: core.c, library.c: fixed previous sorting error
	(forgot to sort the camera abilities with the camera list). blech
	blech blech

2000-07-13 16:09  scottf

	* libgphoto2/library.c: camera list is now sorted

2000-07-13 16:01  scottf

	* camlibs/directory/directory.c, include/gphoto2-datatypes.h: sped
	up directory browse functionality overall

2000-07-13 16:00  scottf

	* frontends/gtk-old/src/: callbacks.c, callbacks.h, interface.c,
	main.c: folder browsing and setting now working

2000-07-13 15:09  scottf

	* camlibs/directory/directory.c: fixed crashing from NULL pointer

2000-07-13 13:37  scottf

	* camlibs/barbie/barbie.c, camlibs/directory/directory.c,
	frontends/gtk-old/pixmaps/folder.xpm,
	frontends/gtk-old/src/callbacks.c,
	frontends/gtk-old/src/callbacks.h,
	frontends/gtk-old/src/interface.c, include/gphoto2-library.h:
	removed <gphotos> camerafolderlist entry requirement (was silly)

2000-07-13 13:29  scottf

	* frontends/gtk-old/pixmaps/: camera.xpm, folder.xpm,
	no_thumbnail.xpm: whoops. forgot pixmaps

2000-07-13 13:29  scottf

	* frontends/gtk-old/src/: callbacks.c, callbacks.h, interface.c,
	main.c: adding folder tree on left

2000-07-12 20:55  scottf

	* frontends/gtk-old/src/: callbacks.c, gtkiconlist.c,
	gtkiconlist.h, gtkiconlist.lo, gtkitementry.c, gtkitementry.h,
	interface.c: added icon list from gtkiconlist and some beginning
	index code (not much)

2000-07-12 17:45  scottf

	* camlibs/fujitsu/fujitsu.c, frontends/command-line/main.c,
	frontends/gtk-old/src/Makefile.am,
	frontends/gtk-old/src/callbacks.c,
	frontends/gtk-old/src/interface.c: starting thumbnail index.
	gdk-pixbuf rocks.

2000-07-12 17:44  scottf

	* libgphoto2/settings.c: fixed load_settings bug that let null
	values crash the core (blech)

2000-07-11 19:33  scottf

	* camlibs/barbie/barbie.c, camlibs/directory/directory.c,
	frontends/command-line/main.c, frontends/command-line/test.c,
	include/gphoto2-core.h, include/gphoto2-datatypes.h,
	libgphoto2/core.c, libgphoto2/core.h, libgphoto2/library.c: done
	for the day

2000-07-11 19:33  scottf

	* frontends/gtk-old/src/: callbacks.c, callbacks.h, main.c, util.c:
	camera changes go smoothly.

2000-07-11 19:32  scottf

	* camlibs/fujitsu/: fujitsu.c, library.c: fixed detection of
	folders

2000-07-11 18:19  scottf

	* camlibs/fujitsu/fujitsu.c: fixed timing issues (slowed down
	read/write)

2000-07-11 18:00  scottf

	* frontends/gtk-old/src/: Makefile.am, callbacks.c, globals.h,
	interface.c, interface.h, main.c, util.c: camera info/manual/about
	working. doesn't init() at start-up (waits for camera-related
	function

2000-07-11 17:26  scottf

	* camlibs/fujitsu/fujitsu.c: fixed get_int_register bug (no ack)

2000-07-11 16:06  scottf

	* camlibs/fujitsu/: fujitsu.c, library.c: added 460Z to list of
	supported cameras

2000-07-11 15:32  scottf

	* camlibs/fujitsu/: fujitsu.c, library.c: fixed camera_exit bug

2000-07-11 14:31  scottf

	* frontends/gtk-old/src/: callbacks.c, globals.h, interface.c,
	main.c: camera selection dialog working

2000-07-10 19:16  scottf

	* frontends/gtk-old/src/: callbacks.c, callbacks.h, globals.h,
	interface.c, main.c, util.c, util.h: diggin in to the old gtk
	interface. camera/selection working (well, sort of)

2000-07-10 17:52  scottf

	* DAEMON, frontends/command-line/main.c: added daemon description,
	and flag for command-line

2000-07-10 15:08  scottf

	* frontends/command-line/Makefile.am,
	frontends/command-line/interface.c, frontends/command-line/main.c,
	frontends/gtk-old/src/interface.c,
	frontends/gtk-old/src/interface.h,
	frontends/libgphoto2_frontend/cache.c,
	frontends/libgphoto2_frontend/gphoto2-frontend.h,
	frontends/libgphoto2_frontend/helpers.c,
	frontends/libgphoto2_frontend/image.c,
	frontends/libgphoto2_frontend/script.c,
	include/gphoto2-interface.h, libgphoto2/core.c: renamed interface_*
	to gp_interface_*. changed command-line numbering to begin at 1

2000-07-10 10:27  scottf

	* frontends/libgphoto2_frontend/: Makefile.am, cache.c, cache.h,
	gphoto2-frontend.h, helpers.h, image.c, image.h, script.c: adding
	gPhoto scripting

2000-07-08 13:20  ole

	* libgphoto2/: .cvsignore, Makefile.am: Shut up, cvs...

2000-07-08 12:41  ole

	* configure.in: Added check for gpio and LIBGPHOTO_* globals

2000-07-08 11:36  ole

	* libgphoto2/: Makefile.am, libgphoto2Conf.sh.in: Added
	configuration file for using libgphoto2 in GNOME applications

2000-07-07 18:58  scottf

	* frontends/gtk-old/src/: util.c, util.h: whoops. needed to remove
	old gPhoto ref's

2000-07-07 18:54  scottf

	* frontends/gtk-old/src/Makefile.am: final commit for the day

2000-07-07 18:52  scottf

	* frontends/gtk-old/src/: callbacks.c, callbacks.h, interface.c,
	main.c, util.c, util.h: added util.[ch]

2000-07-07 18:19  scottf

	* frontends/gtk-old/configure.in,
	frontends/gtk-old/src/Makefile.am,
	frontends/gtk-old/src/interface.c,
	frontends/gtk-old/src/interface.h, frontends/gtk-old/src/main.c,
	libgphoto2/Makefile.am: linked libgphoto2 to libgpio.

2000-07-07 17:57  scottf

	* Makefile.am, configure.in, gphoto2-config.in,
	frontends/gtk-old/src/Makefile.am, frontends/gtk-old/src/main.c:
	added gphoto2-config script to make adding frontends and libraries
	easier

2000-07-07 17:28  scottf

	* frontends/gtk-old/: AUTHORS, ChangeLog, Makefile.am, NEWS,
	README, acconfig.h, autogen.sh, configure.in, files.list,
	gphoto2-gtk.glade, gphoto2-gtk.glade.bak, stamp-h.in,
	pixmaps/close_image.xpm, pixmaps/configure.xpm,
	pixmaps/delete_images.xpm, pixmaps/exit.xpm, pixmaps/fliph.xpm,
	pixmaps/flipv.xpm, pixmaps/get_index.xpm,
	pixmaps/get_index_empty.xpm, pixmaps/get_selected_images.xpm,
	pixmaps/open_image.xpm, pixmaps/print_image.xpm,
	pixmaps/resize.xpm, pixmaps/rotc.xpm,
	pixmaps/save_current_image.xpm, po/ChangeLog, po/POTFILES.in,
	src/Makefile.am, src/callbacks.c, src/callbacks.h, src/interface.c,
	src/interface.h, src/main.c, src/support.c, src/support.h: Adding
	older gtk interface to frontends

2000-07-06 17:33  scottf

	* camlibs/fujitsu/fujitsu.c, camlibs/fujitsu/fujitsu.h,
	camlibs/fujitsu/library.c, include/gphoto2-library.h: added DC1
	error checking to fujitsu library

2000-07-06 16:59  scottf

	* camlibs/fujitsu/fujitsu.c, camlibs/fujitsu/library.c,
	frontends/command-line/main.c, include/gphoto2-library.h: fujitsu
	camera summary working.

2000-07-06 15:27  scottf

	* camlibs/fujitsu/fujitsu.c, camlibs/fujitsu/fujitsu.h,
	camlibs/fujitsu/library.c, frontends/command-line/interface.c,
	frontends/command-line/main.c: fujitsu library working nicely. 99%
	functional.

2000-07-05 20:11  scottf

	* camlibs/fujitsu/fujitsu.c, camlibs/fujitsu/fujitsu.h,
	camlibs/fujitsu/library.c, frontends/command-line/main.c: fujitsu
	lib 90% working.

2000-07-05 12:55  scottf

	* configure.in: minor changes. version change.

2000-07-03 19:16  scottf

	* camlibs/fujitsu/: fujitsu.c, fujitsu.h, library.c:
	reading/writing int32 registers supported (fujitsu)

2000-07-03 14:58  scottf

	* camlibs/fujitsu/fujitsu.c, camlibs/fujitsu/fujitsu.h,
	camlibs/fujitsu/library.c, frontends/command-line/main.c: working
	on fujitsu. fixed debug output in command-line

2000-06-30 20:23  scottf

	* camlibs/fujitsu/: README, fujitsu.c, library.c: done for the
	week. fujitsu still being worked on

2000-06-30 13:43  scottf

	* camlibs/fujitsu/: fujitsu.c, fujitsu.h, library.c, library.h:
	continuing adding fujitsu lib.

2000-06-30 13:24  scottf

	* camlibs/fujitsu/: Makefile.am, fujitsu.c, fujitsu.h, library.c,
	library.h: renamed gphoto.[ch] to library.[ch]

2000-06-29 20:01  scottf

	* camlibs/fujitsu/: fujitsu.c, fujitsu.h: fujitsu's camera_init is
	working

2000-06-29 16:07  scottf

	* camlibs/fujitsu/Makefile.am, camlibs/fujitsu/fujitsu.c,
	include/gphoto2-core.h, include/gphoto2-datatypes.h,
	libgphoto2/util.c, libgphoto2/widget.c: starting fujitsu library.
	fixed widget errors.

2000-06-29 15:36  scottf

	* libgphoto2/widget.c: added gp_widget_* code

2000-06-29 14:01  scottf

	* libgphoto2/: Makefile.am, interface.c, interface.h, widget.c,
	widget.h: rename interface.[ch] to widget.[ch]

2000-06-29 13:56  scottf

	* camlibs/CONFIG_DIALOG, camlibs/NOTES, camlibs/barbie/barbie.c,
	camlibs/directory/directory.c, camlibs/fujitsu/fujitsu.c,
	camlibs/template/template.c, frontends/command-line/main.c,
	include/gphoto2-core.h, include/gphoto2-datatypes.h,
	include/gphoto2-library.h, libgphoto2/core.c, libgphoto2/core.h,
	libgphoto2/library.c: transferred another image. adding
	configuration dialog widgets. command-line is usable (yay)

2000-06-29 13:47  scottf

	* camlibs/barbie/barbie.c: fixed init bug.

2000-06-29 13:19  scottf

	* libgphoto2/: Makefile.am, interface.c, interface.h: adding
	beginning of toolkit-independent interface code

2000-06-28 14:17  scottf

	* camlibs/CONFIG_DIALOG, libgphoto2/file.c, libgphoto2/file.h:
	whoops. added file.[ch] in libgphoto2/. added another spec to the
	CONFIG_DIALOG file

2000-06-27 19:48  scottf

	* camlibs/NOTES, camlibs/barbie/barbie.c,
	camlibs/directory/directory.c, camlibs/fujitsu/fujitsu.c,
	camlibs/template/template.c, include/gphoto2-core.h,
	include/gphoto2-library.h, libgphoto2/core.h, libgphoto2/library.c:
	added camera_config_query function. touched up API.

2000-06-27 19:44  scottf

	* camlibs/CONFIG_DIALOG: Added configuration dialog spec

2000-06-27 18:09  scottf

	* camlibs/barbie/barbie.c, camlibs/directory/directory.c,
	camlibs/fujitsu/fujitsu.c, camlibs/template/template.c,
	frontends/command-line/main.c, include/gphoto2-datatypes.h,
	include/gphoto2-interface.h, include/gphoto2-library.h,
	libgphoto2/core.c, libgphoto2/core.h, libgphoto2/library.c: renamed
	camera_config to camera_config_set and added camera_config_get to
	facilitate multiple configuration dialogs. added error checking to
	the front-end.

2000-06-27 17:48  scottf

	* camlibs/barbie/barbie.c, camlibs/directory/directory.c,
	frontends/command-line/interface.c, frontends/command-line/main.c,
	frontends/command-line/test.c, include/gphoto2-core.h,
	include/gphoto2-interface.h, libgphoto2/core.c: rename gp_update_*
	to just gp_*. added image upload functionality to command-line
	front-end. note to self: my slow camera sucks ass

2000-06-27 15:02  scottf

	* frontends/command-line/main.c: added -n/--num-pictures
	functionality to command-line

2000-06-27 14:54  scottf

	* frontends/libgphoto2_frontend/: Makefile, Makefile.in, cache.lo,
	cache.o, helpers.lo, helpers.o, image.lo, image.o,
	libgphoto2_util.la: crap. removed object files. i suck.

2000-06-27 14:52  scottf

	* frontends/command-line/main.c,
	frontends/libgphoto2_frontend/cache.lo,
	frontends/libgphoto2_frontend/cache.o,
	frontends/libgphoto2_frontend/helpers.lo,
	frontends/libgphoto2_frontend/helpers.o,
	frontends/libgphoto2_frontend/image.lo,
	frontends/libgphoto2_frontend/image.o, include/gphoto2-datatypes.h,
	libgphoto2/core.c: added delete_picture function to command-line.
	worked on command-line options system. fixed directory browse bug.

2000-06-26 20:28  scottf

	* camlibs/barbie/barbie.c, camlibs/directory/directory.c,
	frontends/command-line/main.c, include/gphoto2-core.h: added
	--get-picture functionality to command-line. first successful
	download...

2000-06-26 18:29  scottf

	* camlibs/barbie/barbie.c, camlibs/directory/directory.c,
	camlibs/fujitsu/fujitsu.c, camlibs/template/template.c,
	frontends/command-line/main.c,
	frontends/libgphoto2_frontend/Makefile,
	frontends/libgphoto2_frontend/Makefile.am,
	frontends/libgphoto2_frontend/Makefile.in,
	frontends/libgphoto2_frontend/cache.lo,
	frontends/libgphoto2_frontend/cache.o,
	frontends/libgphoto2_frontend/helpers.lo,
	frontends/libgphoto2_frontend/helpers.o,
	frontends/libgphoto2_frontend/image.lo,
	frontends/libgphoto2_frontend/image.o,
	frontends/libgphoto2_frontend/libgphoto2_util.la,
	include/gphoto2-core.h, include/gphoto2-datatypes.h,
	include/gphoto2-library.h, libgphoto2/core.c, libgphoto2/core.h,
	frontends/command-line/main.c: added list/set folders to
	command-line options

2000-06-26 13:37  scottf

	* frontends/command-line/Makefile.am: (hopefully) last change for
	renaming of libgphoto2_util

2000-06-26 13:36  scottf

	* configure.in: whoops. changed configure.in to reflect
	libgphoto2_util renaming

2000-06-26 13:35  scottf

	* frontends/: Makefile.am, command-line/Makefile.am: changed
	libgphoto2_util references to libgphoto2_frontend

2000-06-26 13:34  scottf

	* frontends/: libgphoto2_frontend/Makefile,
	libgphoto2_frontend/Makefile.am, libgphoto2_frontend/Makefile.in,
	libgphoto2_frontend/cache.c, libgphoto2_frontend/cache.h,
	libgphoto2_frontend/cache.lo, libgphoto2_frontend/cache.o,
	libgphoto2_frontend/helpers.c, libgphoto2_frontend/helpers.h,
	libgphoto2_frontend/helpers.lo, libgphoto2_frontend/helpers.o,
	libgphoto2_frontend/image.c, libgphoto2_frontend/image.h,
	libgphoto2_frontend/image.lo, libgphoto2_frontend/image.o,
	libgphoto2_frontend/libgphoto2_util.la,
	libgphoto2_util/Makefile.am, libgphoto2_util/cache.c,
	libgphoto2_util/cache.h, libgphoto2_util/helpers.c,
	libgphoto2_util/helpers.h, libgphoto2_util/image.c,
	libgphoto2_util/image.h: renamed libgphoto2_util to
	libgphoto2_frontend

2000-06-23 20:48  scottf

	* configure.in, camlibs/barbie/barbie.c,
	camlibs/directory/directory.c, camlibs/fujitsu/fujitsu.c,
	camlibs/template/template.c, frontends/command-line/main.c,
	include/gphoto2-datatypes.h, libgphoto2/util.c: readded
	serial/usb/parallel/ieee1394 flags in CameraAbilities struct. works
	much nicer

2000-06-23 19:39  scottf

	* camlibs/barbie/barbie.c, camlibs/fujitsu/fujitsu.c,
	camlibs/template/template.c, frontends/command-line/Makefile.am,
	frontends/command-line/main.c, include/gphoto2-core.h,
	include/gphoto2-datatypes.h, include/gphoto2.h, libgphoto2/core.c:
	*added listing of cameras/port to front-end. *added gpio wrapper
	for device_count/info

2000-06-22 19:05  scottf

	* camlibs/barbie/barbie.c, camlibs/directory/directory.c,
	camlibs/fujitsu/fujitsu.c, camlibs/template/template.c,
	frontends/command-line/main.c, frontends/command-line/main.h,
	frontends/command-line/test.c, include/gphoto2-core.h,
	include/gphoto2-datatypes.h, libgphoto2/core.c, libgphoto2/util.c:
	reworked abilities (again). more abstract.

2000-06-22 15:57  scottf

	* camlibs/barbie/barbie.c, camlibs/directory/directory.c,
	camlibs/fujitsu/fujitsu.c, camlibs/template/template.c,
	include/gphoto2-datatypes.h, include/gphoto2-library.h,
	libgphoto2/util.c: removed cancel and lock abilities for now.
	updated library API to reflect the changes. Need to figure out a
	way to consolidate specialized features.

2000-06-22 15:46  scottf

	* camlibs/barbie/barbie.c, camlibs/directory/directory.c,
	camlibs/fujitsu/fujitsu.c, camlibs/template/template.c,
	include/gphoto2-core.h, include/gphoto2-datatypes.h,
	include/gphoto2-library.h, libgphoto2/core.c, libgphoto2/core.h,
	libgphoto2/util.c: changed camera_config call. Removed
	CameraConfigSetting in place of an array of CameraSetting's.

2000-06-22 13:06  scottf

	* AUTHORS, INSTALL, README, camlibs/NOTES,
	camlibs/barbie/Makefile.am, camlibs/barbie/barbie.c,
	camlibs/directory/Makefile.am, camlibs/directory/directory.c,
	camlibs/fujitsu/Makefile.am, camlibs/fujitsu/fujitsu.c,
	camlibs/template/Makefile.am, camlibs/template/template.c,
	frontends/command-line/main.c, frontends/command-line/test.c,
	frontends/libgphoto2_util/Makefile.am, include/gphoto2-core.h,
	include/gphoto2-datatypes.h, include/gphoto2-library.h,
	libgphoto2/Makefile.am, libgphoto2/core.c, libgphoto2/core.h,
	libgphoto2/library.c, libgphoto2/library.h, libgphoto2/util.c,
	libgphoto2/util.h: *revamped CameraAbilities (no more reset/sleep)
	*making command-line functional *adding error-checking *removed
	camera_open/close *added camera_debug_set to get more verbose
	output *other misc.

2000-06-21 18:20  scottf

	* include/gphoto2-library.h, libgphoto2/core.c: adding
	documentation to API

2000-06-21 17:09  scottf

	* NOTES, camlibs/directory/directory.c,
	frontends/command-line/main.c, frontends/command-line/main.h,
	include/gphoto2-core.h, libgphoto2/core.c, libgphoto2/library.c:
	improving command-line parser. debug checking and more verbose
	output

2000-06-21 12:55  scottf

	* libgphoto2/: Makefile.am, core.c, exif.c, globals.h, library.c,
	settings.c: clean-up in the exif lib. -Wall is damn grumpy.

2000-06-21 11:34  scottf

	* camlibs/barbie/barbie.c, libgphoto2/Makefile.am,
	libgphoto2/exif.c, libgphoto2/exif.h: added exif lib

2000-06-20 18:01  scottf

	* frontends/command-line/main.c: aesthetic changes to command-line
	parser

2000-06-20 17:43  scottf

	* frontends/command-line/: Makefile.am, main.c, main.h, test.c,
	test.h: added command-line option parser. weird but neat.

2000-06-20 15:48  scottf

	* frontends/command-line/: main.c, main.h: whoops. re-added
	main.c/h

2000-06-20 15:47  scottf

	* frontends/command-line/Makefile.am: command-line parsing routines
	added. rearranging of code

2000-06-20 14:36  scottf

	* frontends/command-line/: Makefile.am, main.c, main.h, test.c,
	test.h: starting command-line interface. moving files.

2000-06-20 13:28  scottf

	* include/gphoto2-core.h, include/gphoto2-datatypes.h,
	include/gphoto2-library.h, libgphoto2/core.c, libgphoto2/core.h,
	libgphoto2/library.c: added camera_file_put() to camera API

2000-06-20 13:28  scottf

	* camlibs/: barbie/barbie.c, directory/directory.c,
	fujitsu/fujitsu.c, template/Makefile.am, template/README,
	template/template.c, template/template.h: added template directory
	for new camera libraries

2000-06-19 15:41  scottf

	* camlibs/barbie/barbie.c, camlibs/directory/directory.c,
	camlibs/fujitsu/fujitsu.c, frontends/command-line/main.c,
	include/gphoto2-core.h, include/gphoto2-datatypes.h,
	include/gphoto2-library.h, libgphoto2/core.c, libgphoto2/core.h,
	libgphoto2/library.c: folder listing has changed. now more
	optimized for serial connections

2000-06-19 14:24  scottf

	* camlibs/NOTES, camlibs/barbie/barbie.c,
	camlibs/directory/directory.c, camlibs/fujitsu/fujitsu.c,
	include/Makefile.am, include/gphoto2-datatypes.h,
	include/gphoto2-library.h, include/gphoto2.h,
	libgphoto2/Makefile.am, libgphoto2/core.c, libgphoto2/core.h,
	libgphoto2/library.c, libgphoto2/library.h: added camera library
	id's. enumerated camera differently (abilities per-camera now).

2000-06-19 12:32  scottf

	* frontends/command-line/gphoto2, include/gphoto2-core.h,
	include/gphoto2-datatypes.h, include/gphoto2-interface.h,
	include/gphoto2-library.h: finished renaming include files

2000-06-19 12:31  scottf

	* configure.in, camlibs/barbie/barbie.c, frontends/Makefile.am,
	frontends/command-line/Makefile.am, frontends/command-line/gphoto2,
	frontends/command-line/main.c, include/gphoto-core.h,
	include/gphoto-datatypes.h, include/gphoto-interface.h,
	include/gphoto-library.h, libgphoto2/core.c: renamed include files.
	fixed compile problems with libgphoto2_util.

2000-06-19 12:20  scottf

	* frontends/: Makefile.am, libgphoto2_util/Makefile.am,
	libgphoto2_util/cache.c, libgphoto2_util/cache.h,
	libgphoto2_util/helpers.c, libgphoto2_util/helpers.h,
	libgphoto2_util/image.c, libgphoto2_util/image.h: finish renaming
	libgphoto2_util

2000-06-19 12:19  scottf

	* frontends/libgphoto2-util/: Makefile.am, cache.c, cache.h,
	image.c, image.h: renaming libgphoto2-util to libgphoto2_util
	(Automake don't like dashes)

2000-06-19 12:06  scottf

	* libgphoto2/: Makefile.am, cache.c, cache.h, core.c, helpers.c,
	helpers.h: moving around files

2000-06-19 12:01  scottf

	* frontends/: Makefile.am, command-line/Makefile.am,
	libgphoto2-util/Makefile.am, libgphoto2-util/cache.c,
	libgphoto2-util/cache.h, libgphoto2-util/image.c,
	libgphoto2-util/image.h: added beginining of gphoto2 utility
	library for frontends

2000-06-16 14:48  scottf

	* AUTHORS, COPYING, ChangeLog, INSTALL, Makefile.am, NEWS, NOTES,
	OVERVIEW, README, TODO, autogen.sh, configure.in,
	include/gphoto-core.h, include/gphoto-datatypes.h,
	include/gphoto-interface.h, camlibs/Makefile.am,
	camlibs/barbie/Makefile.am, camlibs/barbie/README,
	camlibs/directory/Makefile.am, camlibs/directory/directory.c,
	camlibs/directory/directory.h, include/Makefile.am,
	include/gphoto-library.h, include/gphoto2.h,
	camlibs/barbie/barbie.c, camlibs/barbie/barbie.h,
	camlibs/barbie/compile, camlibs/barbie/main.c,
	camlibs/fujitsu/Makefile.am, camlibs/fujitsu/README,
	camlibs/fujitsu/fujitsu.c, camlibs/fujitsu/fujitsu.h,
	libgphoto2/cache.c, libgphoto2/cache.h, libgphoto2/core.c,
	frontends/Makefile.am, frontends/command-line/Makefile.am,
	frontends/command-line/interface.c,
	frontends/command-line/interface.h, frontends/command-line/main.c,
	frontends/command-line/main.h, libgphoto2/Makefile.am,
	libgphoto2/TODO, libgphoto2/core.h, libgphoto2/helpers.c,
	libgphoto2/helpers.h, libgphoto2/library.c, libgphoto2/library.h,
	libgphoto2/settings.c, libgphoto2/settings.h, libgphoto2/util.c,
	libgphoto2/util.h, frontends/command-line/gphoto2: Initial revision

2000-06-16 14:48  scottf

	* AUTHORS, COPYING, ChangeLog, INSTALL, Makefile.am, NEWS, NOTES,
	OVERVIEW, README, TODO, autogen.sh, configure.in,
	include/gphoto-core.h, include/gphoto-datatypes.h,
	include/gphoto-interface.h, camlibs/Makefile.am,
	camlibs/barbie/Makefile.am, camlibs/barbie/README,
	camlibs/directory/Makefile.am, camlibs/directory/directory.c,
	camlibs/directory/directory.h, include/Makefile.am,
	include/gphoto-library.h, include/gphoto2.h,
	camlibs/barbie/barbie.c, camlibs/barbie/barbie.h,
	camlibs/barbie/compile, camlibs/barbie/main.c,
	camlibs/fujitsu/Makefile.am, camlibs/fujitsu/README,
	camlibs/fujitsu/fujitsu.c, camlibs/fujitsu/fujitsu.h,
	libgphoto2/cache.c, libgphoto2/cache.h, libgphoto2/core.c,
	frontends/Makefile.am, frontends/command-line/Makefile.am,
	frontends/command-line/interface.c,
	frontends/command-line/interface.h, frontends/command-line/main.c,
	frontends/command-line/main.h, libgphoto2/Makefile.am,
	libgphoto2/TODO, libgphoto2/core.h, libgphoto2/helpers.c,
	libgphoto2/helpers.h, libgphoto2/library.c, libgphoto2/library.h,
	libgphoto2/settings.c, libgphoto2/settings.h, libgphoto2/util.c,
	libgphoto2/util.h, frontends/command-line/gphoto2: gPhoto2: digital
	camera access libraries and application
